2006-09-21  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (getStatus): fix handling of LFUN_RUNCHKTEX (bug 2831)

2006-09-19  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C (Pimpl, focusChange): revert patch to bug 2423.

2006-09-19  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* CutAndPaste.C (pasteSelectionHelper): pass Cursor as argument,
	remove cursor-dependent arguments, inplement method to reset layout
	in insets which forceParagraphsToDefault (fixes bug 2382).
	* CutAndPaste.C (pasteParagraphList): adapt call of 
	pasteSelectionHelper.

2006-09-15  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text.C (setCursorFromCoordinates): 
	* text2.C (setCursorIntern): add an assertion.

	* BufferView_pimpl.C (scrollDocView): reset cursor before setting
	it from coordinates (bug 2830).

2006-09-15  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* paragraph_funcs.C (breakParagraph): make sure to respect nesting
	when depth > 0 (bug 2445).

2006-09-14  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* src/text3.C (doInsertInset): reset first paragraph to default 
	after selected content has been pasted (bug 2802)

2006-09-11  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lfuns.h:
	* LyXAction.C: new LFUN inset-dissolve (bug 2201).
	
	* text.C (dissolveInset): new method.
	(erase, backspace): use dissolveInset.

	* text3.C (dispatch): implement LFUN_INSET_DISSOLVE using
	dissolveInset.
	(getStatus): disable LFUN_INSET_DISSOLVE if the inset has more
	than one cell. 

2006-09-07  Enrico Forestieri <forenr@tlc.unipr.it>

	* messages.C (Messages::get): don't warn about locale on cygwin
	as it is not supported.

2006-09-08  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C (getCurrentChange): do not assume that
	LyXText at cursor position is the same as LyXText at
	cursor.selBegin() position. Fixes a crash (bug 2600).

2006-08-19  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C (focusChange): new method; updates the
	toolbars (bug 2423)
	(Pimpl): connect the WorkArea::focusChange signal.

2006-08-17  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView.C (mouseSetCursor): do not call dEPM when cursor is
	invalidated by notifyCursorLeaves.

2006-08-17  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* undo.C (recordUndoInset): remember the cursor position inside
	the inset.

2006-08-17  Bo Peng <ben.bob@gmail.com>

	* lyxsocket.C: fix crash when lyx is closed for msvc compiled lyx

2006-08-17  Bo Peng <ben.bob@gmail.com>

	* message.C: add test for HAVE_LC_MESSAGE for msvc compatibility

2006-08-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* version.C.in: make lyx_release_date a placeholder.

	* lyx_main.C (parse_version): change a bit the display of LyX
	release date.

2006-08-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfind.C (find): comment out debug message.

2006-08-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C (getStatus, dispatch): do not handle
	LFUN_GOTOERROR.

	* bufferview_funcs.C (findInset): exit early when at end of
	document (and avoid a crash).

2006-08-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text2.C (init): do not reset curent font (bug 2664)

2006-08-14  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text2.C (changeDepthAllowed): exit early when selection spans
	several cells (bug 2630)

2006-08-13  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* dociterator.C (forwardPosNoDescend): when at the end of the
	inset, leave it, like forwardPos does (bug 2510).

2006-08-12  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* buffer.C (updateDocLang): update labels when changing language.

2006-08-11  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyx_main.C (init): Do automatic reconfiguration even when
	running in batch mode (bug 2741).

2006-08-09  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C (dispatch/LFUN_NEXT_INSET_TOGGLE): moved from
	LyXText.

	* text3.C (dispatch/LFUN_NEXT_INSET_TOGGLE): moved to
	BufferView::Pimpl, since this should work in mathed too.

2006-08-10  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* buffer.C (save): fix logic error in fix to bug 2740.

2006-08-09  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* CutAndPaste.C (copySelection): remove annoying debug
	message.

2006-08-08  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* buffer.C (save): Check if the backup directory is valid and
	writeable, and warn the user if not (instead of letting boost
	assert) [bug 2740].

2006-08-08  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

        * LaTeX.C (deplog): Add the toc file to the dependencies if a line
        \tf@toc=\write#
        is present in the log file, since miktex does not write the line
        \openout# = `sample.toc'.

2006-07-13  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text3.C (dispatch): merge the SEL and non-SEL cursor movement
	LFUNs; use LCursor::selHandle consistently (fixes bugs 2119 and
	2259, and also a crash related to with dEPM)

2006-07-12  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* version.C.in: set release date.

2006-07-07  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* rowpainter.h (rightMargin): reduce to 10 pixels, like the left
	margin. 

2006-06-29  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C (Pimpl): initialize correctly
	multiparsel_cache_ (may fix bug 2630).

2006-06-28  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* buffer.C (changeLanguage): remove debug message.

2006-06-27  Enrico Forestieri <forenr@tlc.unipr.it>

	* lyxrc.h: rename RC_CYGWIN_PATH_FIX as RC_TEX_EXPECTS_WINDOWS_PATHS
	and cygwin_path_fix as windows_style_tex_paths.
	* lyxfunc.C (actOnUpdatedPrefs): ditto.
	* lyxrc.C: ditto; also rename \cygwin_path_fix_needed as
	\tex_expects_windows_paths.
	* lyx_main.C (init): rename cygwin_path_fix as windows_style_tex_paths.

2006-06-07  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* bufferparams.h: make author_map use an unsigned index, to avoid
	a warning.

	* text.C (readParToken): handle \change_inserted and
	\change_deleted tokens with wrong author index (bug 2614).

2006-05-30  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* intl.C (InitKeyMapper): reset kbmap file names if the files
	could not be read (bug 2604).

2006-05-29  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* LaTeX.C (run): rerun latex if idx file is empty (needed by memoir)
	fix typo in comment (bug 2623).

	* LaTeXFeatures.C (getPackages): whitespace.

2006-05-22  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* BufferView_pimpl.C (getStatus): Disable saving of bookmarks in
	mathed for it is not yet supported and makes LyX crash (bug 2597)

2006-05-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyx_main.C (init): call Formats::setAutoOpen.
	
	* lyxrc.C (read): do not reset editor/viewer values of "none".

	* format.C (fixCommand): helper function: tweak command depending
	of the availability of OS viewer/editor.
	(setAutoOpen): run fixCommand over all the formats.

2006-05-16  Bo Peng  <ben.bob@gmail.com>

	* format.C (edit, view): call autoOpenFile if editor/viewer is
	"auto"; add more alerts for errors.

2006-05-05  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyx_main.C (init): call queryUserLyXDir just after reading
	lyxrc.dist, but before reading lyxrc.defaults; add extra_prefix to
	the PATH before reconfiguring.
	(needsUpdate): new helper function; returns true if file does not
	exist or is older than configure.py.
	(queryUserLyXDir): check textclass.lst and packages.lst in
	addition to lyxrc.defaults.
	(reconfigureUserLyXDir): use SystemCall, since system() does not
	wait on windows.

2006-04-28  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyx_main.C (readRcFile): do not report an error if file is not
	found. 
	(init): read lyxrc.dist before lyxrc.defaults; remove code to read
	lyxrc (LyX 1.1.5 compatibility code).

	* encoding.C (read): 
	* language.C (read): set debug to the INFO channel.

2006-04-28  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* BufferView_pimpl.C (dispatch): update bibfiles cache after adding 
	or deleting a bib database

	* buffer.C (readDocument): update bibfiles cache after the document 
	was read
	
	* buffer.[Ch] (updateBibfilesCache): new method to build or update a 
	cached vector with all used bibtex databases.
	* buffer.[Ch] (getBibfilesCache): new method that returns the cache.
	* buffer.[Ch] (getMasterBuffer): new (non-const) method to get the 
	buffer of the master document (bug 2460).

2006-04-24  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text.C (numberOfHfills): do not forget to count the last hfill
	(bug 2509).

2006-04-25  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_main.C (reconfigureUserLyXDir): test lib/configure.py, not
	lib/configure

2006-04-24  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text3.C (dispatch): set cursor also after rmb click (bug 2326).

2006-04-14  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* LaTeXFeatures.C (simplefeatures): add tipa.

2006-04-13  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* src/paragraph.h (public): new enum ChangeTracking,
	indicating if ct is used in the current buffer.
	(cleanChanges): pass enum ChangeTracking.

        * src/paragraph_pimpl.C (cleanChanges): delete ct marks from
	paste content if ct is of in the buffer. Set content INSERTED
	if ct is on (bug 2207).

        * src/CutAndPaste.C (pasteSelectionHelper): pass information 
	about the current change tracking state to cleanChanges.

        * src/paragraph_pimpl.h (cleanChanges): pass enum ChangeTracking.

        * src/paragraph.C (cleanChanges): pass enum ChangeTracking.

2006-04-11  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* version.C.in: update date for 1.4.1.

2006-04-07  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* rowpainter.C (CursorOnRow): expand redrawing of current row to
	endpos(). 

2006-04-01  Michael Gerz  <michael.gerz@teststep.org>

	* converter.C:
	* lyx_main.C: tiny changes to text messages.

2006-03-18  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* rowpainter.C (paintInset): remove unneeded casts
	(paintPar): ditto

2006-03-17  Martin Vermeer  <martin.vermeer@hut.fi>

	Changes to the within-inset row rendering caching code.

	* paragraph_pimpl.C (simpleTeXSpecialChar): use canTrackChanges
	* rowpainter.C (paintInset):
	(paintPar): remove isTrueTextInset, move to insets 

2006-03-10  Martin Vermeer  <martin.vermeer@hut.fi>

	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch]: 
	* LyXAction.C:
	* debug.[Ch]:
	* rowpainter.C:
	* text3.C: Inside-inset speedup, esp. for the Mac (bug 2195)

2006-03-29  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* LaTeX.C (handleFoundFile): do not add directories to the
	dependency list (avoids crash on cygwin).

2006-03-25  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text.C (Delete): move cursor to next par after deleting 
	a paragraph break in change tracking mode.

2006-03-28  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxrc.C (setDefaults): no need to initialize tempdir_path.

	* bufferlist.C (emergencyWrite): do not use explicit /tmp
	directory name.

	* Makefile.am (lyx_SOURCES): add ParagraphList.h.

2006-03-25  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text.C (backspace): don't try to go to previous par when in 
	first par (fix crash in change tracking mode).

2006-03-23  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* output_latex.h:
	* buffer.h:
	* CutAndPaste.h:
	* pariterator.h:
	* paragraph_funcs.h:
	* output_linuxdoc.h:
	* output_docbook.h: get forward declaration of ParagraphList

	* output_plaintext.C:
	* bufferlist.C:
	* undo.C:
	* lyxtext.h:
	* undo.h:
	* buffer_funcs.C: get proper ParagraphList decls

	* output_linuxdoc.C (linuxdocParagraphs):
	* output_latex.C (TeXOnePar): use std::distance

	* CutAndPaste.C (pasteSelectionHelper, copySelectionHelper):
	* paragraph_funcs.C (breakParagraph,
	breakParagraphConservative, mergeParagraph):
	* text.C (acceptChange, rejectChange):
	* text2.C (deleteEmptyParagraphMechanism): use boost::next

	* output_docbook.C (several places): use boost::next and
	std::distance

	* ParagraphList_fwd.h: modify to provid a forward declaratoin
	of the new ParagraphList.

	* ParagraphList.h: new file, setup user of RandomAccessList

	* paragraph.C: remove ParagraphList constructor from this file


2006-03-18  Martin Vermeer  <martin.vermeer@hut.fi>

	* text.C (backspace): Fix changebar non-update

2006-03-15  Martin Vermeer  <martin.vermeer@hut.fi>

	* CutAndPaste.C (pasteSelectionHelper): comments
	* paragraph_funcs.C (mergeParagraph): fix Juergen's cut&paste bug
	* changes.h: comments
	* paragraph.C (stripLeadingSpaces): remove unnecessary setChange
	* text.C (backspace): allow deletion of inserted para break
	Change tracking -related bug fixes (reported by Juergen) and
	some documentation work

2006-03-13  Martin Vermeer  <martin.vermeer@hut.fi>

	* rowpainter.C (paintChangeBar): fix painting of change bar with
	only paragraph break changed

2006-03-11  Martin Vermeer  <martin.vermeer@hut.fi>

	* paragraph.[Ch] (write, lookupChange, lookupChangeFull;
	added setChangeFull):
	* paragraph_pimpl.[Ch] (trackChanges, cleanChanges, acceptChange,
	rejectChange, erase; added setChangeFull):
	* CutAndPaste.C (eraseSelectionHelper):
	* lyxtext.h:
	* text.C (readParToken, readParagraph, breakParagraph,
	acceptChange, rejectChange, backspace, currentState;
	added backspacePos0):
	* paragraph_funcs.C (breakParagraphConservative, mergeParagraph):
	* lyxfind.C (findChange, findNextChange): fix bug 880: Change
	tracked paragraphs should still allow a paragraph split (and related
	things, i.e., multi-paragraph change tracking)

2006-02-20  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* cursor.C (bruteFind): only iterate over the paragraphs that are
	in the CoordCache (bug 2217)

2006-03-22  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxtextclass.C (hasTocLevels): new method.

	* bufferparams.C (useClassDefaults, writeLaTeX): skip secnumdepth
	and tocdepth if the class does not define a ToC structure.

2006-03-20  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (getStatus): always allow saving unnamed buffers (bug
	2313 cont'd).

2006-03-16  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text.C (delete): adjust cursor after backspace in change tracking
	mode (bug 2185).

2006-03-16  Félix-Antoine Bourbonnais  <bouf10pub2@myriade.ca>

	* text3.C (dispatch): set needsUpdate according to the return
	value of the methods below (bug 2298)

	* text2.C (cursorTop, cursorBottom, cursorHome, cursorEnd): return
	true if dEPM triggered.

2006-03-16  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text.C (getPossibleLabel): get a sensible prefix inside figure and 
	tabular	floats (bug 1999).

2006-03-16  John Spray  <spray@lyx.org>

	* lyxfunc.C (getStatus): disable LFUN_MENUWRITE when document is
	clean (bug 2313)

2006-03-10  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* bufferparams.C (writeLaTeX): define \labelitemi with \def. Fixes LaTeX 
	error if the class has not defined them yet (bug 2053).

2006-02-26  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* text3.C (mathDispatch): fix math inset creation from string (bug 2315)

2006-02-28  Martin Vermeer  <martin.vermeer@hut.fi>

	* cursor.C (niceInsert): fix (properly) insertion of
	fonts/decorations around selection

2006-02-25  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyxfont.C (lyxWriteChanges): Don't write \lang latex

2006-02-24  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text3.C (mathDispatch): fix crash when selection is not empty
	but selectionAsString is empty (bug 2321).

2006-02-23  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text.C (changeCase): avoid crash in empty paragraph or on last
	word of the paragraph. (buf 2323)
	(cursorRightOneWord): fix the logic to stop at a beginning of a word.

2006-02-22  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* buffer.C (readHeader): also erase params.preamble in advance
	so that an empty preamble is actually recognized (bug 2317).

	* rowpainter.C (paintFromPos): ditch applyOuterFont (bug 2308).

2006-02-06  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* text2.C (deleteEmptyParagraphMechanism): 64bit compile fix

2006-02-05  Martin Vermeer  <martin.vermeer@hut.fi>

	* buffer.C:
	* bufferparams.[Ch]:
	* lyxtext.h:
	* paragraph.[Ch]:
	* paragraph_funcs.C
	* rowpainter.C:
	* text.C:
	* text2.C:
	* text3.C: Fix bug 2115: blue language lines (for default font)
	popping up when the documnent font is different. This includes work
	by Georg Baum.

2006-02-02  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* exporter.C (Backends): Add "lyx" backend
	* exporter.C (Export): Handle "lyx" backend
	* graph.C (getReachable): Don't exclude "lyx"
	* MenuBackend.C (expandFormats): exclude "lyx" from export menu

2006-02-03  Martin Vermeer  <martin.vermeer@hut.fi>

	* cursor.C (bruteFind2): convert relative to absolute co-ordinates
	for correct in-mathed positioning

2006-02-03  Martin Vermeer  <martin.vermeer@hut.fi>

	* rowpainter.C (paintForeignMark): fix foreign blue line under
	insets

2006-01-30  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* * text2.C (deleteEmptyParagraphMechanism): fix off-by-one error of the start 
	pit of the uno range (bug 2022).

2006-01-28  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* messages.C (get): Only warn once if setlocale fails (bug 2177)

2006-01-28  Martin Vermeer  <martin.vermeer@hut.fi>

	* text2.C (setCharFont): take inset's own font settings into account
	when defining the font to reduce to, fixes 2019

2006-01-28  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* bufferview_funcs.C (coordOffset): remove the check for
	collapsed collapsables (fix for bug 2094). This is now done
	on a more general level (cursor.C).

	* dociterator.[Ch] (forwardPos): add an optional argument
	bool "ignorecollapsed" (default false), which lets forwardPos
	skip collapsed insets.

	* cursor.C (bruteFind): use forwardPos(ignorecollapsed = true)
	(fixes bug 2241 and 2094).

2006-01-26  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* buffer.C: change tracking (dvipost) doesn't require
	color.sty anymore.

	* LaTeXFeatures.C (getPackages): no need for the color
	option "usenames" (bug 2169).

2006-01-23  Helge Hafting <helge.hafting@aitel.hist.no>
	* buffer_funcs.C: Trivial fix - added {} around
	the statements to be affected by a if-test. Now
	label in a minipage in a float looks ok on screen again.

2006-01-23  Martin Vermeer  <martin.vermeer@hut.fi>

	* text2.C: fix bug 2015: on screen fonts in nested environments 
	can be wrong

2006-01-11  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* converter.C (convert): handle unknown formats

2006-01-19  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* cursor.C (goUpDown): comment out some debug messages.

	* counters.C (newCounter): make error messages more explicit
	(these appear with some textclasses like beamer)

2006-01-18  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* kbmap.C (defkey): 
	* lyxfunc.C (processKeySym): make sure new FuncRequest objects
	have origin set to KEYBOARD. (bug 2221)

2006-01-16  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* rowpainter.C (isCursorOnRow): do not exclude endpos().

2006-01-11  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* cursor.C (macroModeClose): returns true if an inset actually got
	inserted; revert faulty fix to bug 2034.

2006-01-10  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* tabular.C (getLabelList): remove (not used anymore).

2006-01-07  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* outputparams.[Ch]: add new flag inComment

2006-01-04  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text2.C (deleteEmptyParagraphMechanism): since we delete a
	paragraph, recordUndo should span two paragraphs (bug 2155).

2006-01-01  Martin Vermeer  <martin.vermeer@hut.fi>

	* rowpainter.C (paintPar): always repaint the row with the
	cursor in it

2006-01-01  Lars Gullik Bjønnes <larsbj@gullik.net>

	* MenuBackend.h: 
	* bufferlist.h: 
	* lyxtext.h: 
	* paragraph.h:
	* vspace.h: fix syntax error

2005-12-31  Martin Vermeer  <martin.vermeer@hut.fi>

	* text3.C (dispatch): Force refresh if typing into inset changes its
			      metrics

2005-12-30  Martin Vermeer  <martin.vermeer@hut.fi>

	* RowList_fwd.h:
	* paragraph.C:
	* paragraph.h:
	* rowpainter.C: Speed up rendering by only re-painting rows that
	have changed. When selection or whole-screen update active, all rows
	are repainted, as are all rows within insets.

2005-12-30  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* version.C.in: Use PACKAGE_VERSION instead of VERSION

2005-12-29  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* tabular.C (toggleFixedWidth): Use default layout of text class
	instead of hardcoded "Standard"

2005-12-22  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (dispatch): do not call getStatus again to determine
	whether a lfun is disabled (bug 2172).

2005-12-19  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* cursor.C (macroModeClose): set the cursor inside the new math
	atom if relevant (think \frac{}{}) (bug 2034)

2005-12-19  Martin Vermeer  <martin.vermeer@hut.fi>

	* lyxtext.h:
	* text.C:
	* text3.C (Delete, backspace): force update when merging paragraphs

2005-12-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView.C (mouseSetCursor): clear the selection properly (bug
	2163). 

2005-12-08  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* text.C (redoParagraph): honor inset->noFontChange()
	* rowpainter.C (paintInset): ditto

2005-12-15  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* lyx_main.C (priv_exec): don't initialize Math on startup 
	(initMath() has been moved to math_hullinset).

2005-12-12  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* lyxrc.C: set default_papersize to PAPER_DEFAULT;
	handle PAPER_DEFAULT in LyXRC::read and LyXRC::write (bug 2148).
	* paper.h: dispose dead PAPER_PACKAGES enum.

2005-12-07  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* Makefile.am (OTHERLIBS): add SOCKET_LIBS in case we compile
	without X support.

2005-12-06  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* exporter.C (Export): Don't try to copy a file if it does not exist
	(bug 1888)

2005-12-02  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text2.C (makeFontEntriesLayoutSpecific): remove.
	(setLayout): adapt.

	* text.C (insertChar): remove bogus caching of fonts (did not do
	anything). 

	* text2.C (LyXText): initialize current_font to ALL_INHERIT (was
	ALL_SANE). (bug 2146)

2005-12-01  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* rowpainter.C (paintFirst): fix centering of
	LABEL_CENTERED_TOP_ENVIRONMENT. 

2005-11-30  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView.C (mouseSetCursor): new method. Calls
	deleteEmptyParagraphMechanism if necessary.

	* lyxtext.h: make deleteEmptyParagraphMechanism public.

	* text3.C (dispatch/LFUN_MOUSE_PRESS): use
	BufferView::mouseSetCursor (bug 2109).
	(dispatch/LFUN_PASTE): remove #warning that is now irrelevant.

2005-11-29  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>	

	* text3.C (dispatch/LFUN_INDEX_INSERT): when a selection is set,
	do not remove it (this inset behaves differently from the others).

2005-11-29  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	Fix bug 2096.
	
	* BufferView_pimpl.C (getStatus): it is only possible to insert a
	file in a text inset.

	* buffer.C (readDocument): remove pit argument and code releated
	to it; set the inset owner correctly (unrelated, but useful).
	(readFile): get rid of pit argument.

	* CutAndPaste.C (pasteSelectionHelper): use a ParagraphList and a
	textclass instead of a selection index.
	(pasteParagraphList): new function.
	(pasteSelection): make it a wrapper around pasteParagraphList.

	* BufferView_pimpl.C (MenuInsertLyXFile): use
	cap::pasteParagraphList to insert a file.

2005-11-29  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* buffer_funcs.C (bufferErrors): prevent endless loop (bug 2121)

2005-11-17  Michael Gerz  <michael.gerz@teststep.org>

	* exporter.C: fix typo in text message

2005-11-28  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* text2.C (setLayout): move recUndo call to other setLayout method
	* tabular.C (toggleFixedWidth): new, handle cell width changes
	* tabular.C (setColumnPWidth): move some code from insettabular.C here
	and use toggleFixedWidth
	* tabular.C (setMColumnPWidth): ditto

2005-11-25  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* paragraph.C (asString): use new inset->textString method (fix
	bug 2089) 

2005-11-24  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* CutAndPaste.C (numberOfSelections): new helper function.

	* lyxfunc.C (getStatus): remove support for LFUN_COPY and LFUN_CUT.

	* text3.C (getStatus): move code for LFUN_CUT and LFUN_COPY from
	LyXFunc::getStatus; implement LFUN_PASTE.

2005-11-17  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* dociterator.[Ch]: new member realInset() that returns the cell
	for tabulars and the inset for the rest (bug 1952).
	* undo.C (textUndoOrRedo): use realInset when resetting insetOwner
	(bug 1952).

2005-11-15  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text.C (leftMargin): honor the NextNoIndent tag in layouts.

2005-11-17  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* lyxfunc.C:
	* paragraph.C:
	* text3.C: InsetBase::forceDefaultParagraphs now takes a cell as
	argument.

2005-11-07  Martin Vermeer  <martin.vermeer@hut.fi>

	* text.C (redoParagraph): Fix bug 1966: cursor doesn't go to next
	line after typing ctrl-enter

2005-11-10  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* bufferview_funcs.C (coordOffset): fix the fix for bug 2094, as
	math insets do not return a proper editable() state yet (bug 2124).

2005-11-07  Martin Vermeer  <martin.vermeer@hut.fi>

	* BufferView_pimpl.[Ch]: Fix bug 1814: better scroll behaviour for 
	docs containing very large paragraphs.

2005-11-07  Martin Vermeer  <martin.vermeer@hut.fi>

	* cursor.C (selectionBegin, selectionEnd):
	* text.C (drawSelection): Fix bug 2115: assertion when anchor and 
	cursor at different depths.

2005-11-03  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* bufferview_funcs.C (coordOffset): do not call cursorPos
	for collapsed collapsables (fix bug 2094).

2005-11-03  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* paragraph.C (fontSpan): make sure that the FontSpan does not
	span across beginOfBody (bug 1947).

2005-11-02  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxlength.h: undefine macros that clash with solaris/x86 (bug 992)

2005-11-03  Michael Gerz  <michael.gerz@teststep.org>

	* messages.C: fix crash and localization on MinGW/Windows platform

2005-11-02  Angus Leeming  <leeming@lyx.org>

	* Bidi.C:
	* lyxtextclass.C: trivial fixes to some MSVS warnings.

2005-10-28  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text3.C (getStatus): re-enable disabled code. (bug 2081)

	* BranchList.h (empty): constify.

2005-10-25  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text3.C (getStatus): 
	* MenuBackend.C (expandBranches): take the branch list from the
	master document (bug 2092).
	
	* MenuBackend.C (expandBranches): 
	* bufferparams.C (writeFile): use BranchList type.

2005-10-25  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text3.C (dispatch, getStatus): 
	* LyXAction.C (init): 
	* lfuns.h: get rid of LFUN_KEYMAP_TOGGLE

2005-10-25  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* toc.C (getTocList): skip paragraphs which toclevel is NOT_IN_TOC.

2005-10-25  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text.C (insertChar): do not reset boundary (bug 2061)

2005-10-24  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* dociterator.C (updateInsets): new method. Updates the inset_
	cache of all the slices of the iterator.

	* text2.C (deleteEmptyParagraphMechanism): compare also containing
	insets when comparing pit/pos; pass the right cursor to
	recordUndo; when a paragraph has been deleted, compare `old.top()' to
	the right cursor slice of `cur'; use updateInsets on cur to make
	sure that the inset caches are correct; general cleanup.

2005-10-21  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text3.C (dispatch): LFUN_NEXT_INSET_TOGGLE: first try to
	dispatch LFUN_INSET_TOGGLE to inset at cursor, and then to
	containg inset. If this does not work, the same command will be
	sent to other insets down the queue by LCursor::dispatch. (bug 2066)

	* lyxfunc.C (dispatch): make sure the cursor is correct when doing
	a dispatch.

2005-10-20  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyxtextclass.C (Read): convert layout file if the format is wrong
	* lyxtextclass.C (layout2layout): new, needed for the above

2005-10-18  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* messages.C: do not forget to include <cerrno>.

2005-10-12  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* dociterator.h (StableDocIterator): add access to pos().
	* undo.C (samePar): new method to check if two
	iterators are in the same paragraph
	* undo.C (recordUndo): check for samePar instead of cell identity
	(which includes pos() and is too strict) (fixes bug 2097)

2005-10-07  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text.C (setCursorFromCoordinates): return a bool telling whether
	dEPM triggered.

	* text3.C (cursorPrevious): update if needed after
	setCursorFromCoordinates (when dEPM triggered).

	* text2.C (cursorDown, cursorUp): make sure to reset the anchor
	(otherwise the anchor may be completely wrong and make dEPM assert).

2005-10-12  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* buffer.C: version upgrade to 245.
	* bufferparams.C: remove \quotes_times (bug 2090).
	* text3.C (doDispatch): LFUN_QUOTE_INSERT has to output double
	quotation marks as default.

2005-10-09  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* CutAndPaste.C (nrOfParagraphs): remove (unused)
	* CutAndPaste.C (cutSelection): Remove debug message
	* CutAndPaste.C (cutSelection): Use the real cursor in mathed, record
	undo information and only copy if this is a real cut
	* CutAndPaste.C (pasteSelection): remove superflous cur.resetAnchor()
	call
	* CutAndPaste.C (pasteSelection): remove now superflous mathed warning
	(bug 2059)
	* CutAndPaste.C (eraseSelection): prevent cursor corruption
	* CutAndPaste.C (grabAndEraseSelection, selDel): remove now
	superflous cur.selection() setting
	* CutAndPaste.[Ch] (grabSelection): take a const cursor
	* cursor.C (selectionAsString): implement mathed case ((bug 2059)

2005-10-09  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* text3.C (mathDispatch, dispatch): Dont' record undo steps that don't
	change anything.

2005-10-11  Martin Vermeer  <martin.vermeer@hut.fi>

	* BufferView_pimpl.C: comment layout change

2005-10-07  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* LyXAction.C:
	* lfuns.h:
	* lyxfunc.C: reimplement LFUN_INSERT_CITATION, which is needed
	by bibliography managers (bug 2071).

2005-10-07  Martin Vermeer  <martin.vermeer@hut.fi>

	* BufferView_pimpl.C (update): choose arguments to update call so
	that single-par update works most times
	* text3.C (dispatch): carefully tune updating separately for
	whole-screen and current-paragraph
	* rowpainter.C (paintText): 1) replace painting by caching for
	the two extra paragraphs, because we can;
	2) suppress greying out of areas below/above drawn area in case of
	single-par refresh
	* lyxfunc.C (dispatch): remove superfluous update
	* LyXAction.[Ch]: introduce SingleParUpdate

2005-10-05  Angus Leeming  <leeming@lyx.org>

	* BufferView_pimpl.C (loadLyXFile): ensure that a pointer is
	always initialised before use.

	* text.C (setHeightOfRow): squash warning about comparison
	of signed and unsigned types.

2005-10-03  Martin Vermeer  <martin.vermeer@hut.fi>

	* text.C (cursorX): two fixes involving RtL text drawing

2005-10-03  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* cursor.C (erase): fix 'clever' UI hack. It was activated for all
	items, not only large ones (part of bug 2057)

2005-10-03  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text3.C (dispatch): when invoking LFUN_MATH_MACRO with no type
	argument, use "newcommand".

2005-09-28  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* cursor.C (setSelection): do not open collapsable insets;
	the insets do by themselves now (autoopen).

2005-09-28  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* buffer.C: format is up to 244.

2005-09-27  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text.C (redoParagraph): fix calcultation of inset width wrt 
	leftMargin (bug 1957).

	* text3.C (dispatch): leave inset to the right when hitting ESC 
	(bug 2034).

2005-09-23  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text2.C: 
	* text.C: 
	* factory.C:
	* messages.C: include <boost/current_function.hpp> 

2005-09-12  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (sendDispatchMessage): do not update menubar/toolbar
	when command is internal. (bug 1941)

2005-09-20  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text2.C (cursorRight): do not honor boundary when at the end of
	a paragraph. (bug 2010 again)

2005-09-20  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* cursor.C (paste): do nothing if `data' is empty. (bug 2033)

2005-09-19  Martin Vermeer  <martin.vermeer@hut.fi>

	* rowpainter.C (paintText): fix RtL space width display bug (2029)

2005-09-19  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text2.C (setCursor): remove the unused 'boundary' parameter for
	the CursorSlice version; adapt the LCursor version.

	* lyxrc.C (write): 
	* paragraph_pimpl.C (markErased): 
	* cursor.C (bruteFind2, bruteFond3): fix warnings.

2005-09-19  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* rowpainter.C (paintFirst): use a 'labeladdon' for TOP_* labels,
	as is already done for "chapter".

2005-09-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (dispatch): LFUN_TEXTCLASS_APPLY: actually set the
	textclass; do not record undo if nothing is changed.

2005-09-16  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text3.C (dispatch): recordUndo in LFUN_PASTESELECTION (#2011).

2005-09-14  Michael Gerz  <michael.gerz@teststep.org>

	* lyxfunc.C: update display after LFUN_ALL_INSETS_TOGGLE

2005-09-13  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C (setBuffer): when one wants to set the layout
	combox, it is necessary to search for the topmost paragraph in the
	cursor stack (bug 1926)

2005-09-13  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text2.C (cursorEnd, cursorRight): do not set boundary to true at
	end of paragraph. (bug 2010)

2005-09-10  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* text.C (leftMargin): check for inInset == 0

2005-09-10  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text.C (leftMargin): test for insetbase's new neverIndent()
	bool instead of listing each and every inset that does not
	wish par indendation.

2005-09-09  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* buffer_funcs.C (setCounter): put the code to compute enum label
	here (where it belongs).

	* counters.C (enumLabel): move code to buffer_funcs.C.

2005-09-07  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* outputparams.[Ch]: store local_font instead of local_language
	* paragraph.C (simpleTeXOnePar): adapt to the change above

2005-09-08  Martin Vermeer  <martin.vermeer@hut.fi>

	* buffer_funcs.C:
	* counters.[Ch]: clean up special code for Hebrew.

2005-09-08  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (lookupChange): fix code when cursor depth is greater
	than 2.

2005-09-08  Angus Leeming  <leeming@lyx.org>

	* ispell.C:
	* lyxrc.C: correct grammar describing invocation of the
	spellchecker.

2005-08-03  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text.C (read): remove unused variable.
	(readParToken): remove static Change variable (never good in
	recursive settings...); add it as a parameter instead.

	* paragraph_pimpl.C (acceptChange): make debug info conditional.

	* metricsinfo.C (PainterInfo): add new member erased_.

	* rowpainter.C (RowPainter): add erased_ member, initialized from
	PainterInfo. 
	(paintInset): pass erased_ to Inset::draw.

	* lyxfunc.C (lookupChange): new function. Tells whether change 
	tracking is disabled at a given postion.
	(getStatus): disable some actions when in deleted text with change
	tracking. 

2005-08-03  John Levon  <levon@movementarian.org>
	
	* tabular.C (appendColumn, setMultiColumn): adapt to change to
	InsetText::clear().

	* paragraph_pimpl.C (markErased): add bool argument and handle it.
	Also make sure to mark insets recursively.
	(rejectChange, erase): be recursive

	* paragraph.C (markErased): add bool argument.
2005-08-04  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfind.C (findNextChange): tiny cleanup.

	* BufferView_pimpl.C (trackChanges): avoid crash when stopping
	change tracking with the cursor in an inset; make sure the first
	change is not skipped.

2005-09-06  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* CutAndPaste.[Ch]: new methods dirtyTabularStack and 
	tabularStackDirty to work around bug 1919 (tabular needs
	to know whether its own cell paste buffer or the one of 
	texted is newer.
	* CutAndPaste.C: mark tabular_stack_ clean after copy.

2005-08-26  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* text2.C (cursorEnd): check for empty text (fixes bug 1998)

2005-08-19  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* CutAndPaste.C (eraseSelectionHelper): fix bug 1920
	use old deleteion algorithm when changetracking is on.

2005-08-18  Martin Vermeer  <martin.vermeer@hut.fi>

	* messages.C (get): add debug output.

2005-08-02  Martin Vermeer  <martin.vermeer@hut.fi>

	* text.C (cursorX): fix bug 1965: cursor movement at
	line end broken in RtL.
	(drawSelection): fix bug 1970: drawing of single-line 
	selection broken for RtL.

2005-07-31  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	bug 465.

	* dociterator.h (clear, push_back, pop_back): change from
	protected to public.

	* buffer_funcs.C (getItemDepth): renamed from incrementItemDepth
	and changed to just return the value of the item depth; take a
	ParIterator as argument; take the itemdepth at outer nesting level
	in account if necessary; cleanup and comment the code.
	(resetEnumCounterNeeded): renamed from resetEnumCounterIfNeeded
	and changed to just return true if reset is needed; take a
	ParIterator as argument; cleanup and comment the code.
	(setCounter): adapt to above changes.

2005-07-30  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text3.C (dispatch): make debug message optional

2005-08-02  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (dispatch): use InsetIncludeMailer for the include
	inset. (bug 1963)

2005-08-02  Martin Vermeer  <martin.vermeer@hut.fi>

	* BufferView_pimpl.C (updateScrollbar): scrollbar fixes

2005-07-27  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text.C (insertChar):
	* text2.C (deleteEmptyParagraphMechanism): take care whether 
	a blank has been deleted (in change tracking mode) (bug 1254).

2005-07-20  John Levon  <levon@movementarian.org>

	* text2.C (insertStringAsLines): remove old dubious code,
	fixing bug 1939.

2005-07-28  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* MenuBackend.C (expandToc): use Floating::listName() as title of
	the floats submenus.

2005-07-27  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* toc.[Ch]: Do not use translatable strings (bug 1870).

2005-07-20  John Levon  <levon@movementarian.org>

	* tabular.C: fix 1748 - setting multicolumn adds
	  left line to the first cell

2005-07-19  Lars Gullik Bjønnes  <larsbj@lyx.org>

	bug 1920
	* CutAndPaste.C (eraseSelectionHelper): erase all the "middle"
	pars in one go.

2005-07-18  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* messages.C: supress some lyxerr messages

2005-07-18  Juergen Vigna  <jug@lyx.org>

	* text.C (drawSelection): honor boundary when asking for cursorX.

2005-07-17  José Matos  <jamatos@fc.up.pt>

	* tabular.C (recalculateMulticolumns): fix handling of one column
	tables.

2005-07-17  Juergen Vigna  <jug@lyx.org>

	* text.C (Delete, backspace): fixed so that paragraph with the
	same layout can be merged by Delete/Backspace.

2005-07-17  Michael Schmitt  <michael.schmitt@teststep.org>

	* text.C (readParToken): fix spelling.

2005-07-17  Martin Vermeer  <martin.vermeer@hut.fi>

	* text2.C: fix counter update for DEPM problem reported by
	Georg Baum

2005-07-17  Juergen Vigna  <jug@lyx.org>

	* BufferView_pimpl.C (setBuffer): save/restore the
	cursor/selection when switching buffers

	* buffer.h: 
	* buffer.C (saveCursor): add saveDocumentIterators to save the
	cursor when switching buffer.

2005-07-17  Michael Schmitt  <michqel.schmitt@teststep.org>

	* debug.C: fix typo
	* buffer.C: clarify message
	
2005-07-17  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* dociterator.C (DocIterator): fix initialization order

2005-07-17  Juergen Vigna  <jug@lyx.org>

	* text2.C (cursorHome): 
	* text.C (drawSelection, cursorX): 
	* dociterator.C (textRow): add boundary to getRow() call

	* paragraph.C (getRow): implementation of below

	* paragraph.h: add parameter boundary for getRow() function

2005-07-17  José Matos  <jamatos@fc.up.pt>

	* buffer.C:
	* bufferparams.[Ch]:
	* tex-strings.[Ch]: new file format, remove support for a4.sty,
	a4wide.sty and a4widemargins.

2005-07-17  Juergen Vigna  <jug@lyx.org>

	* text2.C (cursorLeft): fix one of error

2005-07-17  Juergen Vigna  <jug@lyx.org>

	* text2.C (getColumnNearX, cursorRight, cursorLeft, cursorHome,
	           cursorEnd):
	more fixes for boundary handling

	* text3.C (dispatch): don't reset cursor if boundary has changed
	on cursor movement.

2005-07-16  Juergen Vigna  <jug@lyx.org>

	* text2.C (getColumnNearX): hopefully got it right now,
	check if we are on column 0 for special case.

2005-07-16  Juergen Vigna  <jug@lyx.org>

	* text2.C (getColumnNearX): handle special case Newline Inset

	* text.C (singleWidth): Just remove bogus check

2005-07-16  Michael Schmitt  <michael.schmitt@teststep.org>

	* funcrequest.C (split): avoid reading uninitialized char c

2005-07-16  José Matos  <jamatos@fc.up.pt>

	* buffer.C:
	* converter.C:
	* lyxrc.C:
	* paper.h:
	* bufferparams.[Ch] (setPaperStuff): remove setPaperStuff and use a
	single papersize variable.

2005-07-16  Juergen Vigna  <jug@lyx.org>

	* text3.C (dispatch): honor boundary when checking if a cursor
	movement has been done

	* text2.C (cursorRight, cursorLeft, cursorUp, cursorDown) 
	(setCursor, setCursorIntern): fix cursor movement with boundary

2005-07-16  Juergen Vigna  <jug@lyx.org>

	* text.C (currentState): output the actual Boundary

2005-07-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* factory.C (createInset): fix bad logic for tabular creation

2005-07-16  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* lyx_main.C (init): change some reLyX reference to tex2lyx

2005-07-16  Juergen Vigna  <jug@lyx.org>

	* dociterator.C (DocIterator): initialize boundary

2005-07-16  Juergen Vigna  <jug@lyx.org>

	* text2.C (getColumnNearX): Consider rows without trailing blank.  

2005-07-16  André Pönitz  <poenitz@gmx.net>

	* lyxfont.h: Change order of declarations to give the compiler
	a better chance to inline things

	* lyx_cb.[Ch]: Add 'force' argument to QuitLyX suppressing
	questions on unsaved docs for better scritability

2005-07-16  André Pönitz  <poenitz@gmx.net>

	* paragraph.h (getChar): remove asserts as the same kind of security
	can be achieved by using a suitable standard library implementation
	and the function was in the critical path (25.9% in profiler)

2005-07-16  Juergen Vigna  <jug@lyx.org>

	* cursor.C (bruteFind2):
	* bufferview_funcs.C (coordOffset): 
	* text.C (cursorX,cursorY): Handle cursor position after last char
	in row before a inset which uses a whole row.

2005-07-15  José Matos <jamatos@lyx.org>

	* output_plaintext.[Ch] (writeFileAscii): control reference title
	printing.
	(asciiParagraph): noparbreak was already deal and was incorrectly
	used.

2005-07-15  Juergen Vigna <jug@lyx.org>

	* lyxfunc.C (dispatch): save and restore the cursor after a
	textclass switch.

2005-07-15  Lars Gullik Bjønnes <lgb@tandberg.net>

	* text.C (backspace): bug 806 for empty keepempty paragraphs we
	change the layout to default before letting DEPM do its thing.

	* paragraph_funcs.C (breakParagraph): dont reset the layout on
	keepEmpty paragraphs

	* text.C (setCursorFromCoordinates): add a debug statement

	* text2.C (getColumnNearX): bug 1825 make sure that we don't
	return a pos that is not on the row

	* output_latex.C (TeXDeeper): get rid of potential dereferencing
	of past the end iterator

2005-07-14  André Pönitz  <poenitz@gmx.net>

	* undo.C (recordUndoFullBuffer): implement undo for
	textclass switches

2005-07-14  André Pönitz  <poenitz@gmx.net>

	* cursor.C (setSelection): open insets when selection is set there
	to avoid crashs with cold coord cache

2005-07-14  André Pönitz  <poenitz@gmx.net>

	* trans_mgr.C (insert): move cursor to the right after inserting
	a char.

2005-07-14  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* BufferView_pimpl.C (update): dampen some of the debug blabbering
	* factory.C (readInset): ditto
	* text.C, text2.C: ditto

2005-06-21  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* buffer.C: format incremented to 242. There is no file format per
	se, but the "frenchb" language has been removed from lib/language
	and has to be translated to "french" by lyx2lyx.

2005-07-06  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* cursor_slice.h, dociterator.h: add some documentation
	* cursor_slice.h, dociterator.h (idxSave, idxLoad): remove

2005-07-06  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text.C (leftMargin): do not add identation to display() style
	insets, because they are always centered (bug 1293).

2005-07-05  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text3.C (doDispatch): rewrite LFUN_DATE_INSERT using the brandnew
	formatted_time methods in support/lyxtime.

2005-07-04  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* toc.[Ch]: new method getGuiName, which is used by the frontends 
	to set the toc combo (fixes bug 1870). Make TOC string translatable.

2005-07-01  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* dociterator.[Ch]: implement operator==(StableDocIterator const &, 
	StableDocIterator const &)
	* undo.C (recordUndo): use the above instead of cell.size() comparison
	(fixes bug 1808; instructed by Andrï¿½.

2005-06-29  Martin Vermeer  <martin.vermeer@hut.fi>

	* cursor_slice.h: 
	* dociterator.h: Fix the assert when copying rows/cols in math

2005-06-25  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* BufferView_pimpl.C:
	* LyXAction.C:
	* lfuns.h: reintroduce LFUN_BIBDB_ADD and LFUN_BIBDB_DEL (bug 961)

	* bufferview_funcs.[Ch] (gotoNextInset): rename to findNextInset;
	(findInset): new functions, refactored from goto Inset that return 
	the position of a certain inset without setting the buffer's cursor
	(by Jean-Marc); 
	(gotoInset): rewrite to call findInset and then set the cursor
	(by Jean-Marc).

2005-06-16  Angus Leeming  <leeming@lyx.org>

	* lyxrc.C (output, read): wrap all input and output of paths with
	calls to os::internal_path and os::external_path, respectively.
	(output): wrap bind_file inside quotes.

	* format.C (view): enable the viewer to use the '$$s' placeholder.

2005-06-16  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* LColor.[Ch] (getFromLaTeXName): new

2005-06-16  Martin Vermeer  <martin.vermeer@hut.fi>

	* text.C (readParagraph): fix bug 1904 (GUI affects LaTeX)

2005-06-14  Angus Leeming  <leeming@lyx.org>

	* lyx_main.C (init): ensure that the LyX binary dir is the first
	element in the PATH on non-POSIX builds.

2005-06-11  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* LaTeXFeatures.C (getPackages): solve amsmath-wasysym conflict

2005-06-09  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* rowpainter.C (paintInset, paintHebrewComposeChar)
	(paintArabicComposeChar, paintChars): add a LyXFont argument.
	(paintChars): use getFontSpan to reduce calls to getFont to a
	minimum; use Paragraph::lookupChange instead of isXXXText.
	(paintForeignMark): rename LyXFont argument.
	(paintFromPos): pass a LyXFont object to the various paintXXX
	methods.

	* FontIterator.C (FontIterator, operator++): use
	Paragraph::getFontSpan

	* paragraph.C (getFontSpan): replace getEndOfFontSpan with a
	version that returns the font span as a pair.

2005-06-09  Angus Leeming  <leeming@lyx.org>

	* converter.C (convert): Don't forget "outfile = real_outfile" as
	the final step in a conversion where the input and output file names
	are the same. Otherwise, future conversion steps won't work...

2005-06-09  Angus Leeming  <leeming@lyx.org>

	* lyxsocket.C: remove stub code as it isn't needed by
	MinGW/MinSYS anyway. Let's see if the MSVC people scream...

2005-06-07  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_main.C (parse_execute): Fix last fix: is_gui = false
	effectively disabled -x

2005-06-06  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* BufferView_pimpl.C (getStatus): enable LFUN_GOTO_NOTE only
	when it actually makes sense.

2005-06-06  Martin Vermeer  <martin.vermeer@hut.fi>

	* BufferView_pimpl.C: revert to showCursor in connection with
	Lars's front-end stack

2005-06-06  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text.C (redoParagraph): move cursor right after a bibitem
	has been inserted.

	* text3.C: disable LFUN_BIBITEM_INSERT outside Bibliography.

2005-06-02  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* buffer_funcs.C (bufferErrors): fix computation of the end of an
	error range.

2005-05-31  Martin Vermeer  <martin.vermeer@hut.fi>

	* BufferView.[Ch] (update):
	* BufferView_pimpl.[Ch] (update, metrics):
	* dimension.h (operator==):
	* lyxfunc.C (dispatch):
	* metricsinfo.h (ViewMetricsInfo):
	* rowpainter.C (paintText):
	* lyxtext.h:
	* text.C (redoParagraph):
	* text3.C (dispatch): Make LyX only repaint current paragraph in
	case of character insert --> speedup. Also fix cursor draw
	artifacts

2005-05-31  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* bufferview_funcs.C (gotoInset): fix the wrap-around code to
	avoid a crash (bug 1891)

2005-05-27  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	Fix bug 1892:

	* text2.C (getStringToIndex): constify cur argument.

	* factory.C (createInset/LFUN_TABULAR_INSERT): return 0 if no
	argument has been given
	(createInset/LFUN_INDEX_INSERT): just return a new inset (do not
	try to invoke LFUN_INSET_APPLY).

	* text3.C (dispatch/LFUN_TABULAR_INSERT): open the tabular dialog
	if no inset was created by doInsertInset
	(doInsertInset): return true if an inset has been inserted.

2005-05-23  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* vspace.C (asGUIName): new method. A version of the space
	suitable for showing on screen.

2005-05-20  Michael Schmitt  <michael.schmitt@teststep.org>

	* MenuBackend.C:
	* lyxrc.C: rename "ASCII" to "Plain Text"

2005-05-18  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* buffer_funcs.C (expandLabel): take a Buffer as argument;
	translate the labelstring.
	(setCounter): translate labelstring as needed.

	* output_docbook.C (makeCommand): fix expandLabel invokation

2005-05-14  Michael Schmitt  <michael.schmitt@teststep.org>

	* BufferView.C: fix dialog title

2005-05-18  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_main.C (priv_exec): fix logic error with help from Angus
	* lyx_main.C (parse_execute): set is_gui = false and remove now
	obsolete comment about a segfault

2005-05-18  Angus Leeming  <leeming@lyx.org>

	* buffer.C (readFile): Quote all file names passed to lyx2lyx.

2005-05-12  Martin Vermeer  <martin.vermeer@hut.fi>

	* tabular.[hC]: added setCellInset to fix tabular paste.

2005-05-11  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* buffer.C (save): check if destination is writable before trying
	to copy a file

2005-05-11  Martin Vermeer  <martin.vermeer@hut.fi>

	* BufferView_pimpl.C (update): fix processEvents -caused update
	recursion bug

2005-05-10  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* buffer_funcs.C (setCounter): fix test for numbering of
	environments.

	* toc.C (getTocList): use LyXTextClass:min_toclevel to set toc
	depth correctly; use optional argument when it exists

	* lyxtextclass.C: remove unused MaxCounterTags enum
	(Read): compute min_toclevel_ and max_toclevel_ after reading class.
	(max_toclevel, min_toclevel): new methods.

	* MenuBackend.C (expandToc2): fix case where depth is smaller than
	the smallest depth in toc.

	* lyxlayout.[Ch]: add special NOT_IN_TOC toclevel value for
	layouts that should not appear in a table of contents.

2005-05-09  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* cursor.h (undispatched, noUpdate): add comments from Andrï¿½
2005-05-07  Michael Schmitt  <michael.schmitt@teststep.org>

	* lfuns.h:
	* LyXAction.C:
	* BufferView_pimpl.C: rename LFUN_REF_GOTO to LFUN_LABEL_GOTO

2005-05-07  André Pönitz  <poenitz@gmx.net>

	* cursor.[Ch] (leaveInset): new function

2005-05-06  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* lyxfunc.C (dispatch): set update flag for LFUN_INSET_APPLY.

2005-05-04  Angus Leeming  <leeming@lyx.org>

	* lyxfunc.C (getStatus): disable the spell checker dialog if
	none of USE_[AIP]SPELL are defined.

2005-05-05  Martin Vermeer  <martin.vermeer@hut.fi>

	* tabular.C (setWidthOfCell): remove obsolete comment

2005-05-05  Martin Vermeer  <martin.vermeer@hut.fi>

	* paragraph.C (bibitem):
	* buffer_funcs.C (setCounter):
	* src/text.C (redoParagraph): Ungoose bibliography (bug 940)

2005-05-05  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text3.C (getStatus): immediately return after setOnOff

	* rowpainter.C: fix drawing of appendix start

2005-05-03  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* CutAndPaste.[Ch] (SwitchLayoutsBetweenClasses): rename to
	SwitchBetweenClasses and remove the unused return value.
	Handle character styles, too

2005-05-03  Martin Vermeer  <martin.vermeer@hut.fi>

	* factory.C (createInset): handle undefined character styles

2005-05-02  Angus Leeming  <leeming@lyx.org>

	* buffer.C: protect the #include of utime.h with a preprocessor
	guard.

2005-05-02  Angus Leeming  <leeming@lyx.org>

	* lyx_cb.C: artificially define fork() on Windows as a no-op failing
	function so that auto-saving works, albeit in a blocking manner.

	* Makefile.am: make compilation of the client sub directory, of
	aspell.C, aspell_local.h, pspell.[Ch] and ispell.[Ch] dependent
	on conditionals set at configure time.

	* SpellBase.[Ch]: no longer an abstract base class. Instead,
	it can be compiled in its own right but has no-op functionality.

	* aspell.C, pspell.C: remove preprocessor guards. The files should
	be compiled only if the necessary functionality exists.

	* lyxserver.C, lyxsocket.C: disable on Windows.

2005-05-01  Martin Vermeer  <martin.vermeer@hut.fi>

	* text.C (leftMargin): Fix the parindent use bug (1764)
	by dirty trick

2005-04-28  Michael Schmitt  <michael.schmitt@teststep.org>

	* lyxlayout.C (Read): transform underscores to spaces in CopyStyle
	argument.

2005-04-25  Angus Leeming  <leeming@lyx.org>

	* Bidi.[Ch]:
	* coordcache.[Ch]:
	* ispell.C:
	* lyxserver.C:
	* mover.C:
	* pch.h:
	include <config.h> in .C files, not .h ones.
	add licence blurb.
	protect headers inside preprocessor guards.

2005-04-21  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* FuncStatus.h (StatusCodes): document

2005-04-21  André Pönitz  <poenitz@gmx.net>

	* FuncStatus.h (enabled, onoff): document

2005-04-19  Angus Leeming  <leeming@lyx.org>

	* BufferView_pimpl.C (cursorToggle): no longer test whether
	any child processes have been reaped before calling
	handleCompletedProcesses().

2005-04-19  Martin Vermeer  <martin.vermeer@hut.fi>

	* text3.C (dispatch): fix, finally fix, the language problem in
	new lyxtexts, without disabling on-the-fly font changes (Helge's
	bug report)

2005-04-19  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text3.C (dispatch): set cursor on double/triple click events
	(bug 1811)

2005-04-14  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (actOnUpdatedPrefs): avoid warning
	(dispatch): update counters and screen after LFUN_TEXTCLASS_APPLY.

	* rowpainter.C (paintFirst): simplify the code a little bit. In
	particular, remove the test for secnumdepth.
	* text.C (setHeightOfRow): only allocate space for chapter number
	when updateCounters provided an actual label, instead of looking
	at secnumdepth directly.

	* lyxlayout.C (LyXLayout): set toclevel to -2 by default.

	* buffer_funcs.C (setCounter): only number LABEL_COUNTER
	paragraphs when secnumdepth is large enough or, for environments,
	when they are not the first in a sequence.

2005-04-17  Angus Leeming  <leeming@lyx.org>

	* buffer.C (makeLaTeXFile): replace code to manipulate a path
	containing space and '~' characters with a call to latex_path().

2005-04-17  Angus Leeming  <leeming@lyx.org>

	* converter.C (convert): protect all args of convertDefault.sh
	script with quotes.

2005-04-11  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text3.C (dispatch): change the layout to "Caption" after inserting
	a float.

2005-04-12  Martin Vermeer  <martin.vermeer@hut.fi>

	* text3.C (dispatch): fix language problem in newly created
	textinsets (and main text) in non-english docs

2005-04-13  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyxfunc.C (getStatus, dispatch): handle LFUN_INSET_APPLY
	* text3.C (getStatus, dispatch): don't handle LFUN_INSET_APPLY anymore
	* text3.C (getStatus): disable LFUN_INSET_MODIFY

2005-04-12  Martin Vermeer  <martin.vermeer@hut.fi>

	* lyxtext.h:
	* text.C (metrics):
	* text2.C (getFont):
	* rowpainter.C (getFont): Fix metrics bug introduced by inset
	fonts fix

2005-04-11  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* paragraph.C (simpleTeXOnePar): add missing '}' in LaTeX
	output of \item arguments without trailing text.

2005-04-06  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* FontIterator.C (operator*): avoid a copy of the font.

2005-04-10  Martin Vermeer  <martin.vermeer@hut.fi>

	* rowpainter.C (getFont): fix language bug from previous fix

2005-04-10  Martin Vermeer  <martin.vermeer@hut.fi>

	* rowpainter.C (RowPainter, getFont): fix font inside inset
	(bugs 1766, 1809)

2005-04-06  Martin Vermeer  <martin.vermeer@hut.fi>

	* CutAndPaste.C (eraseSelection): more precise fix for bug 1654,
	preventing inserted font, deco, delim insets jumping to start of
	surrounding inset.

2005-03-30  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (dispatch): translate message before sending it to the
	minibuffer.

2005-03-29  Angus Leeming  <leeming@lyx.org>

	* lyx_main.C (priv_exec): call os::internal_path on each file passed
	to LyX on the command line.

2005-03-25  Stephan Witt  <stephan.witt@beusen.de>

	* vc-backend.C: use QuoteName to protect file names wherever
	necessary.

2005-03-27  Martin Vermeer  <martin.vermeer@hut.fi>

	* buffer.[Ch]:
	* BranchList.h: fix bugs 1844,1845: document settings don't
	stick

2005-03-14  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxrc.C (setDefaults, read, output, getDescription): add support
	for tex_allows_spaces.

	* exporter.C (Export): allows files in directory containing spaces
	if tex_allows_spaces is true.

	* buffer.C (makeLaTeXFile): if the document path contains spaces,
	output it in double quotes.

2005-03-22  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* rowpainter.C: use default text height for drawing change tracker
	strikeout lines.

2005-03-21  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* lyx_main.C: fix binding of tabulator key (especially S-Tab).

2005-03-18  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyx_main.C (queryUserLyXDir): fix logic when LyX support
	directory is missing.

2005-03-11  Martin Vermeer  <martin.vermeer@hut.fi>

	* text2.C: fixed the fix, extended to other case.

2005-03-08  Martin Vermeer  <martin.vermeer@hut.fi>

	* text2.C: fix for cursor up/down stuck in math [bug 1792]

2005-03-07  Alfredo Braunstein  <abraunst@lyx.org>

	* text2.C (cursorUp): get rid of a crash
	* text.C (x2pos): add an assert

2005-03-07  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (getStatus): fix warning when assertions are disabled

	* text3.C:
	* lyxfunc.C:
	* dociterator.C: include <boost/current_function.hpp>, which is
	needed when assertions are disabled.

2005-03-05  Johnathan Burchill  <jkerrb@users.sourceforge.net>

	* text2.C: fix for stuck cursor when traversing two
	consecutive spaces. [bug 1255] (pars_[old.pit()].setChange)

2005-02-25  Andreas Vox  <avox@arcor.de>

	* output_docbook.C (makeParagraph): suppress trailing newline
	after a run of paragraphs

2005-02-28  Johnathan Burchill  <jkerrb@users.sourceforge.net>

	* paragraph.C: fix for confused change tracker when pasting
	text that begins with a lineseparator. [bug 1827]
	(setChange(0, Change::INSERTED);)

	* paragraph_funcs.C: fix for lost changes on triple-paste
	in change tracking mode [bug 1827] (par.setChange()).

2005-02-24  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text2.C (updateCounters, setCounter, expandLabel): move to
	buffer_funcs.

	* buffer_funcs.C (updateCounters): turn into a free standing
	function and add a buffer parameter. Remove dead code for tracking
	labelstring change.
	(setCounter): change into a free-standing function which gets a
	dociterator as argument. Use this iterator to fix captions in a
	simple way. When no float is found above the caption, use the
	labelstring of the caption layout as default.

	* text.C (breakParagraph, backspace):
	* text2.C (init, setLayout, changeDepth):
	* text3.C (dispatch):
	* CutAndPaste.C (cutSelection, pasteSelection): pass a buffer to
	updateCounters.

	* dociterator.C (forwardPar): make it much faster by calling
	forwardPos() only when really necessary.

	* output_docbook.C (makeCommand): adapt to expandLabel move.

	* cursor.C: remove unused variable

2005-02-24  Johnathan Burchill  <jkerrb@users.sourceforge.net>

	* paragraph_funcs.C: fix crash when pasting insets in change
	tracking mode [bug 1277] (honour change type in moveItem).

2005-02-23  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* LaTeX.C (scanLogFile): recognize pdfTeX warnings

2005-02-14  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView.C (setCursor): change to use a DocIterator.
	(gotoLabel): use BufferView::setCursor (other part of bug 781).
	(putSelectionAt): adapt to BufferView::setCursor change.

	* bufferview_funcs.C (gotoNextInset, gotoInset): new functions,
	moved here from LyXText and rewritten to use proper cursor
	methods. Fixes bug 1787, 616 and 835.

	* BufferView_pimpl.C (restorePosition): set the cursor correctly
	when inside an inset (part of bug 781).
	(dispatch): adapt to change of BufferView::setCursor.
	(getStatus, dispatch): handle LFUN_GOTOERROR,
	LFUN_GOTONOTE and LFUN_REFERENCE_GOTO.

	* text3.C (getStatus, dispatch): do not handle LFUN_GOTOERROR,
	LFUN_GOTONOTE and LFUN_REFERENCE_GOTO.
	* text3.C (gotoNextInset, gotoInset): removed.

2005-02-20  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyx_main.C (queryUserLyXDir): fix test for rerunning configure

2005-02-15  Angus Leeming  <leeming@lyx.org>

	* rowpainter.C (paintText): Ensure that "paragraphs().size() - 1"
	can be used meaningfully in a comparison.

2005-02-13  André Pönitz  <poenitz@gmx.net>

	* bufferview_funcs.C (coordOffset): improve cursor drawing

2005-02-13  André Pönitz  <poenitz@gmx.net>

	* Cursor.[Ch] (fixIfBroken): new method, try to fix a broken cursor
	* Cursor.C (dispatch): use fixIfBroken
	* lyxfunc.C (getStatus): use fixIfBroken

2005-02-15  Angus Leeming  <leeming@lyx.org>

	* lyx_main.C (error_handler):
	* lyxfunc.C:
	* lyxrc.C (setDefaults):
	s/GetEnv/getEnv/.
	#include "environment.h".

	* lyxsocket.C (LyXServerSocket): s/putenv/setEnv/.

2005-02-15  Angus Leeming  <leeming@lyx.org>

	* lyxserver.C (startPipe): squash MSVC warning "local variable
	'fd' used without having been initialized".

2005-02-14  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* BufferView_pimpl.C: revert accidental commit.

2005-02-14  André Pönitz  <poenitz@gmx.net>

	* dociterator.[Ch]: new member forwardPosNoDescent(),
	which doesn't enter nested insets.
	* text2.C (setFont): use forwardPosNoDescent() instead
	of ForwardPos() (fixes crash on font change).

2005-02-13  Angus Leeming  <leeming@lyx.org>

	* lyx_main.C (init): invoke prependEnvPath to adjust the PATH
	only if lyxrc.path_prefix is not empty.

2005-02-12  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* bufferparams.C (readGraphicsDriver): prevent crash

2005-02-10  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* text2.C (setCounter): check for inInset() == 0

2005-02-09  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C (dispatch): handle LFUN_GOTO_PARAGRAPH here,
	but use update() to get correct screen display; use convert
	instead of istringstream.
	(getStatus): handle LFUN_GOTO_PARAGRAPH

	* lyxfunc.C (dispatch, getStatus): do not handle
	LFUN_GOTO_PARAGRAPH here.

2005-02-08  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text3.C (dispatch): size() -> depth()

	* text2.C: remove some debug output

	* paragraph.C: ws changes only

	* lyxfunc.C (getStatus): size() -> depth()

	* dociterator.h (clear, push_back, pop_back, internalData,
	operator[], resize, empty): new functions
	Make StableDocIterator and operator== be friends. Don't inherit
	from std::vector use a privat class variable slices_ instead.
	Modify to fit.

	* dociterator.C: update because of not inheriting from std::vector
	anymore. Call explictly to slices_ instead. Use depth() instead of
	size() and top() instead of back()

	* cursor.C: chagne size() -> depth and back() -> top(). Also
	remove some direct operator[](i) calls in favour of foo[i]
	(getFont): remove some dead code

	* bufferview_funcs.C (coordOffset): size() -> depth()

	* buffer.C: ws changes only

	* CutAndPaste.C (eraseSelection): back() -> top()

	* BufferView_pimpl.C (selectionRequested): back() -> top()

	* BufferView.C (setCursor): size() -> depth()

2005-02-08  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text3.C (cursorPrevious): return true if depm changed something
	(cursorNext): ditto
	(dispatch): rename sl to oldTopSlice, remove moving use the new
	NoUpdate func attrib instead. Make sure that needsUpdate is set
	for function that have NoUpdate, but where depm might have changed
	the buffer anyway.

	* text2.C (cursorLeft): make us return true if depm changed
	something
	(cursorRight): ditto
	(cursorUpParagraph): ditto
	(curosrDownParagraph): ditto
	(cursorUp, cursorDown): ditto, make sure to read comments in code
	(deleteEmptyParagraphMechanism): remove an assert, also return
	true if just a single char was deleted.

	* text.C (cursorRightOneWord, cursorLeftOneWord): use a temp
	cursor that we modify, to avoid modifying an active cursor before
	we call setCursor. This allows depm to run. Also return true if
	depm deleted something.

	* lyxtext.h: Make cursorUp, cursorDown, cursorLeft, cursorRight,
	cursorLeftOneWord, cursorRightOneWord, cursorUpParagraph,
	cursorDownParagraph, cursorPrevious and cursorNext, return true if
	something was changed in the buffer because of them (ie. depm run)

	* lyxfunc.C (processKeySym): add BOOST_CURRENT_FUNCTION to some
	debug messages. Make update by default be false. Make sure that
	the result of update is retained throught several calls down to
	dispatch.

	* LyXAction.h: add a new func_attrib: NoUpdate

	* LyXAction.C (init): add noupdate to LFUN_LEFT, LFUN_RIGHT,
	LFUN_DOWN, LFUN_HOME, LFUN_END, LFUN_DOWN_PARAGRAPH,
	LFUN_UP_PARAGRAPH, LFUN_NEXT, LFUN_PRIOR, LFUN_UP, LFUN_WORDRIGHT
	and LFUN_WORDLEFT
	(init): add missing lfuns: LFUN_FINISHED_*, LFUN_MOUSE_*

2005-02-07  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C: replace all occurences of bv_->cursor(),
	bv_->owner(), bv_->buffer() by direct references to the private
	members.
	(MenuInsertLyXFile): replace bv_->resize() with resizeCurrentBuffer.
	(getStatus): isSavedPosition() is in BufferView::Pimpl.
	(fitCursor): center() is in BufferView::Pimpl.
	(getStatus, trackChanges, dispatch): no need for a temporary buf
	variable
	(fitCursor, workAreaDispatch): use workarea().workheight()

2005-02-07  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* CutAndPaste.C (pasteSelectionHelper): fix a crash

2005-02-03  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* buffer.C: format up to 241.
	* CutAndPaste.C (pasteSelectionHelper): convert newline to paragraph
	break if pasting into ERT
	* lyxfunc.C (getStatus): suppress mathpanel and
	LFUN_DIALOG_SHOW_NEW_INSET in ERT

2005-02-01  Angus Leeming  <leeming@lyx.org>

	* lyxrc.C (getDescription): add a description for RC_PATH_PREFIX.

2005-02-01  Angus Leeming  <leeming@lyx.org>

	* lyx_main.C (init, queryUserLyXDir): use fs::exists() before
	calling fs::is_directory().

2005-01-31  Angus Leeming  <leeming@lyx.org>

	* lyx_main.C (priv_exec): specify explicitly the relative location
	of the top level build directory when run in-place.

2005-01-27  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C (MenuInsertLyXFile): do breakParagraph on the
	LyXText containing the cursor, not the top-level one.

	* buffer.C (Impl): make sure the toplevel insettext has AutoBreak_
	true.
	(insertStringAsLines): rename par to pit; use temporary variable
	par to hold a Paragraph; do not store par.layout() in a variable,
	since the pointer may die when breaking paragraphs; pass pars to
	breakParagraph() instead of Buffer::paragraphs().

2005-01-31  Asger Ottar Alstrup  <aalstrup@laerdal.dk>

	* lyxlex_pimpl.h: #include <fstream>.

	* BufferView.[Ch] (getLyXText): add a const version.

	* BufferView_pimpl.C: add debug aids.

	* RowList_fwd.h:
	* buffer.h:
	* lyxrow.h:
	* paragraph_funcs.h: add commentary explaining what the class does.


	* coordcache.[Ch]: add lots of commentary.
	(startUpdating, doneUpdating): debug aids.
	(arrays, insets, parPos, getParPos): accessors to private data.

	* cursor_slice.[Ch] (text): add a const version.
	* dociterator.[Ch] (text, innerText): add const versions.

	* lyxtext.h (breakParagraph): change the keep_layout arg to a
	bool.

	* paragraph.C (getRow, pos2ros): add asserts.

	* paragraph.h: add commentary. Lots of.

	* paragraph.[Ch] (metrucs, draw): removed.

	* cursor.C:
	* rowpainter.[Ch]: const-correct changes.

	* text.C: various obvious clean-ups. Removal of ancient cruft.
	Bug fixes, even.

2005-01-31  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* vc-backend.C (find_file): rewrite to use boost.filesystem
	(scanMaster): ditto

	* main.C (main): set default name check for boost.filesystem to
	no check

	* lyxfunc.C (menuNew): rewrite to use boost.filesystem
	(open): ditto
	(doImport): ditto
	(actOnUpdatedPrefs): ditto

	* lyx_main.C (init): rewrite to use boost.filesystem
	(queryUserLyXDir): ditto

	* lyx_cb.C (WriteAs): rewrite to use boost.filesystem
	(getContentsOfAsciiFile): ditto

	* lastfiles.C (readFile): rewrite to use boost.filesystem

	* exporter.C (checkOverwrite): rewrite to use boost.filesystem

	* buffer_funcs.C (readFile): rewrite to use boost.filesystem
	(loadLyXFile): ditto

	* buffer.C (Buffer): adjust for destroydir
	(getLogName): rewrite to use boost.filesystem
	(setFileName): ditto
	(save): use fs::copy_file (from fs_extras)

	* Makefile.am (BOOST_LIBS): add BOOST_FILESYSTEM

	* LaTeX.C (run): rewrite to use boost.filesystem
	(scanAuxFiles): ditto
	(handleFoundFile): ditto

2005-01-28  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* LaTeXFeatures.C (getAvailable): always clear packages_ list.

	* lyx_cb.C (Reconfigure): call LaTeXFeatures::getAvailable()

2005-01-27  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxlayout.[Ch]: change some vars from float to double

	* buffer.C (readFile): make a local var const

	* Several files: use convert<> instead of atoi,strToXXX and friends

2005-01-24  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* LaTeXFeatures.[Ch]: Add a static list packages_ that
	holds the contents of packages.lst. New functions getAvailable
	and isAvailable to parse and check that list, resp.

	* LyXAction.C:
	* lfuns.h:
	* BufferView_pimpl.C: new LFUN_OUTPUT_CHANGES.

	* bufferparams.[Ch]: new param output_changes.

	* Buffer.C: increase file format to 240.
	Use output_changes and isVailable.

	* changes.[Ch]:
	* paragraph.C:
	* paragraph_pimpl.C: Use output_changes and isVailable.

2005-01-23  Angus Leeming  <leeming@lyx.org>

	* output_latex.C: #include "insetbibitem.h", rather than
	forward declare function bibitemWidest.

2005-01-21  Andreas Vox  <vox@isp.uni-luebeck.de>

	* lyx_main.C (init): make it compile on the Mac.

2005-01-20  Angus Leeming  <leeming@lyx.org>

	* lyxfont.C (setLyXFamily, setLyXSeries, setLyXShape, setLyXSize)
	(setLyXMisc): (char string literal) != (char string literal) is
	performing a comparison on the addresses. Convert one operand
	explicitly to string to guarantee expected behaviour.
	From MSVC warning.

2005-01-20  Asger Ottar Alstrup  <aalstrup@laerdal.dk>

	* buffer.C:
	* lyxlex_pimpl.[Ch]: use USE_COMPRESSION guard.

	* output_plaintext.C: remove unneeded #include gzstream.h.

2005-01-20  Angus Leeming  <leeming@lyx.org>

	* SpellBase.h: rename some of the elements of the Result enum.

	* aspell_local.h:
	* ispell.h:
	* pspell.h:
	* aspell.C (check):
	* ispell.C (check):
	* pspell.C (check): ditto

2005-01-20  Asger Ottar Alstrup  <aalstrup@laerdal.dk>

	* buffer.C: add #include <fstream>.

	* lyx_main.C (init): Compile fix.

	* lyxserver.[Ch] (inPipeName, outPipeName): move out of line.

2005-01-20  Angus Leeming  <leeming@lyx.org>

	* mover.h: change commentary to reflect the changed meaning of
	the $$s placeholder.

2005-01-20  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* output_linuxdoc.C (linuxdocParagraphs): silence warning

	* lyxfind.C (MatchString::operator()): remove bogus semicolon

2005-01-20  Angus Leeming  <leeming@lyx.org>

	* output_latex.C (TeXOnePar, TeXEnvironment): prevent crash when
	printing diagnostic data by not dereferecing an iterator past the
	end.

2005-01-19  Asger Ottar Alstrup  <aalstrup@laerdal.dk>

	* buffer.C (readHeader): use "&&" rather than "and".

	* lyxserver.h (inPipeName, outPipeName): make these const.

2005-01-19  Angus Leeming  <leeming@lyx.org>

	* lyx_main.C (error_handler, init): protect SIGHUP with
	#ifdef SIGHUP guards.

2005-01-19  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* LaTeXFeatures.C: rename feature "wasy" to "wasysym".

2005-01-11  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text.C (setHeightOfRow): add a margin at the top and bottom of
	the document (bug 1761)

2005-01-17  Angus Leeming  <leeming@lyx.org>

	* buffer.C (readFile): prepend the name of the "lyx2lyx" script
	with "python ". Workaround for a brain-dead Windows.

2005-01-16  Angus Leeming  <leeming@lyx.org>

	* lyx_main.[Ch] (init): rewrite code to prepend the CWD to the PATH
	for MacOSX and Windows to use prependEnvPath.
	Strip out the hard-coded block to add elements to the PATH for
	MacOSX and replace it with a call to prependEnvPath using the
	contents of LyXRC::path_prefix.
	(queryUserLyXDir): strip out the code to run reconfigure, instead
	returning a boolean indicating the necessity to do so.
	(reconfigureUserLyXDir): contains the code to reconfigure the
	user support directory. Is now called after the various LyXRC data
	files have been read.

	* lyxrc.[Ch]: add path_prefix var and code to read/write it.

2005-01-14  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* converter.[Ch] (convert): take a new parameter try_default. Use
	a default converter (imagemagick) if try_default is true.

2005-01-13  Angus Leeming  <leeming@lyx.org>

	* lyxrc.C (read): use LyXRC::cygwin_path_fix to set the value of
	os::cygwin_path_fix.
	(write): output LyXRC::cygwin_path_fix as necessary.

2005-01-02  Kayvan Sylvan  <kayvan@sylvan.com>

	* lyxrc.h:
	* lyxrc.C (read): Added RC_CYGWIN_PATH_FIX, cygwin_path_fix.

2005-01-12  Angus Leeming  <leeming@lyx.org>

	* lyx_main.C (init): set the PATH variable to include the
	directory containing the LyX binary when running on Mac or Windows.

2005-01-12  Angus Leeming  <leeming@lyx.org>

	* lyx_main.C (init): remove cruft that purports to set the locale
	dir. It doesn't and is not needed anyway.

2005-01-10  Angus Leeming  <leeming@lyx.org>

	* Makefile.am: remove the lyx_main.C special casing.

	* BufferView_pimpl.C:
	* bufferlist.C:
	* exporter.C:
	* lyx_cb.C:
	* lyx_main.C:
	* lyxfunc.C:
	* messages.C: use support/package.h to provide the paths to the
	various directories used by LyX.

2005-01-09  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* CutAndPaste.C (pasteSelectionHelper): fix bug 1332 (preserve the
	layout if pasting into an empty paragraph)

2005-01-07  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* tex-accent.C: add <string>

2005-01-06  José Matos  <jamatos@lyx.org>

	* ParagraphParameters.C (write): put every parameter in its own line.
	* paragraph.C (write): reduce number of consecutive empty lines exported.
	* buffer.C (LYX_FORMAT): increase file format to 239.

2005-01-06  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* everywhere: change support/tostr.h -> support/convert.h

	* tabular.C: make all write_attributes templates, tostr -> convert

	* paragraph.C (simpleLinuxDocOnePar): fix type for ret from getChar
	(emptyTag): and -> &&, and fix type for ret from getChar
	(getFirstWord): fix type for ret from getChar
	(onlyText): and -> &&
	(simpleDocBookOnePar): and not -> && !, fix type for ret from
	getChar

	* toc.C (goTo, action):
	* text3.C (dispatch):
	* text.C (currentState):
	* tex-accent.C (DoAccent):
	* sgml.C:
	* lyxrc.C:
	* lyxfunc.C (menuNew):
	* lyxfinc.C (replace):
	* counters.C (laberItem):
	* bufferview_funcs.C (font2string):
	* bufferparams.C (writeFile):
	* buffer.C (readFile):
	* Spacing.C (set):
	* MenuBackend.C: tostr -> convert

	* LaTeX.C (runMessage): fix format
	(scanAuxFiles): tostr -> convert

	* BufferView_pimpl.C (savePosition): fix format
	(restorePosition): ditto
	(dispatch): ditto

2005-01-06  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* Spacing.[Ch]: New method getValueAsString().

	* Spacing.[Ch]:
	* bufferparams.C:
	* ParagraphParameters.C:
	* lyxlayout.C:
	* text.C:
	* text3.C: store/read spacing value as string.

	* rowpainter.C: change float value (spacing_val) to double.

	* bufferparams.C: add Spacing::Other to spacetranslator (fixes
	broken custom document spacing).

2005-01-05  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxfunc.C (getStatus): moved from lyxfunc.C put into anon
	namespace, also more use of temp references and const

	* cursor.[Ch] (getStatus): move to lyxfunc.C

	* bufferparams.C: reformat slightly

	* bufferview_funcs.C (font2string): constify arg

	* changes.C:
	* converter.C:
	* counters.C:
	* bufferlist.C:
	* buffer_funcs.C: (many funcs): constify arg on function
	definitions, also make more local vars const, also add ASSERTS on
	pointer args.

	* buffer.C (LYX_FORMAT): put const in correct place
	(many funcs): constify arg on function definitions, also make
	more local vars const

	* aspell_local.h: remove "struct" from typdef setup

	* aspell.C (check): make word_ok const
	(nextMiss): simplify slightly
	(error): ditto

2005-01-05  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* lyxrc.[Ch]: store all float values as strings.
	use int (not float) for lyxrc.dpi.

2005-01-04  Angus Leeming  <leeming@lyx.org>

	* lyx_cb.C (Reconfigure):
	* lyx_main.C (queryUserLyXDir):
	to run the <system_lyxdir>/configure correctly on Windows, prefix
	the path to the script with "sh " when generating the string that
	is passed to system().

2005-01-04  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text3.C: reintroduce LFUN_{SUB|SUPER}SCRIPT.

2004-12-29  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxlength.C (asLatexString): get rid of setprecision

2004-12-28  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text2.C (setLayout): remove unused variable endpit.
	(deleteEmptyParagraphMechanism): remove unused variable tmpcursor.

	* paragraph.C (onlyText): remove unused variable style.

	* cursor.C (bruteFind): remove unused variables beg and end.

	* Makefile.am (dist_noinset_DATA): not needed anymore

	* cheaders/*: remove.

2004-12-27  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text3.C: fix LFUN_MATH_MODE.

2004-12-22  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* buffer_funcs.C (countWords): new function. Counts words between
	two iterators.

	* BufferView_pimpl.C (getStatus, dispatch): handle
	LFUN_WORDS_COUNT.

	* LyXAction.C (init):
	* lfuns.h: add LFUN_WORDS_COUNT.

2004-12-19  Angus Leeming  <leeming@lyx.org>

	* buffer.C (save): s/slashify_path/internal_path/.

2004-12-20  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* lyxfind.C (findChange): do not search for end of pars, because
	the change tracker cannot handle this (fixes bug 1719).

2004-12-17  Alfredo Braunstein  <abraunst@lyx.org>

	* paragraph.[Ch] (autoBreakRows): remove

	* lyxtext.h: move autoBreakRows_ flag from InsetText to here.

	* buffer.[Ch] (insertStringAsLines): receive an autobreakrows bool to
	avoid using the paragraph one

	* text2.C (LyXText, insertStringAsLines): adjust

2004-12-16  Angus Leeming  <leeming@lyx.org>

	* bufferlist.C:
	* lyx_main.C:
	* messages.C: remove redundant "using lyx::support::GetEnvPath;"

2004-12-14  Angus Leeming  <leeming@lyx.org>

	* LaTeX.C: (startscript): use os::nulldev() rather than "/dev/null".

	* bufferlist.C (emergencyWrite):
	* lyx_main.C (queryUserLyXDir): use os::homepath(), not
	GetEnvPath("HOME").

2004-12-14  Angus Leeming  <leeming@lyx.org>

	* main.C: (main): no longer pass pointers to os::init.

2004-12-06  Alfredo Braunstein  <abraunst@lyx.org>

	* undo.C (textUndoOrRedo): simplify logic, fix a crash
	(performUndoOrRedo): set the inset owner of paragraphs (fix a crash)

2004-12-06  Alfredo Braunstein  <abraunst@lyx.org>

	* lyxfunc.C:
	* text3.C: remove selection_possible global flag

2004-12-06  Alfredo Braunstein  <abraunst@lyx.org>

	* text2.C (getSelectionSpan): remove
	(changeDepth, changeDepthAllowed): adjust

2004-12-05  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* Makefile.am (BOOST_LIBS): use boost variables

2004-12-03  José Matos  <jamatos@lyx.org>

	* buffer.C: format up to 238.

2004-12-03  José Matos  <jamatos@lyx.org>

	* tabular.[Ch]: remove setHeaderFooterRows as this code is never called.

2004-12-03  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* cursor.C (goUpDown): remove call to idxUpDown2

2004-12-02  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* tabular.[Ch]: use size_t-like types for cell, row and column
	indices

2004-12-01  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (getStatus): do not lose previous information when
	calling BufferView::getStatus; do not set a default "Command
	disabled" message at the beginning, but just before returning.

2004-11-30  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* cursor.h (getStatus): add better comment from src/cursor.C

2004-11-30  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text3.C (getStatus): return false when the lfun is not handled

2004-11-29  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* broken_headers.h: remove

	* Makefile.am (lyx_SOURCES): remove broken_headers.h

2004-11-24  Alfredo Braunstein  <abraunst@lyx.org>

	* BufferView.[Ch]: remove top_y, introduce anchor_ref,
	offset_ref accessors

	* BufferView_Pimpl.[Ch]: introduce anchor_ref_, offser_ref_, remove
	top_y_, merge fitcursor with update
	(updateScrollbar, scrollDocView, fitCursor, center, update): new
	coord scheme
	(metrics): introduce
	(workAreaDispatch): adapt to new coord scheme
	(redoCurrentBuffer): remove

	* FontIterator.[Ch]: Use Paragraph & instead of pit_type

	* bufferview_funcs.[Ch]: introduce coordOffset, getPos, status,
	CurStatus enum.

	* coordcache.[Ch]: add paragraph cache and helpers

	* CursorSlice.[Ch]: rename CursorSlice::par to CursorSlice::pit,
	adjust everywhere

	* cursor.[Ch] (getDim): fix, (getPos) use coordOffset
	(targetX, setTargetX): introduce

	* lyxrow.[Ch]: simplify, remove ascent_of_text, y_offset, rename
	baseline -> ascent, as the rest of lyx

	* lyxtext.h: remove redoParagraphs, updateParPositions,
	fullRebreak, redoParagraphInternal. move dist to anon namespace in
	tabular.C (doesn't belong here), remove xo_, yo_ cache, makes it
	have ascent/descent (ascent is ascent of first par)

	* metricsinfo.h: add ViewMetricsInfo struct to use in the metrics
	step of BufferView

	* paragraph.[Ch]: unify dimension handling with the rest of lyx

	* paragraph_funcs.[Ch] (getParsInRange, outerPar): remove.

	* pariterator.C: fix infinite loop introduced in par->pit renaming

	* rowPainter.[Ch]: big rewrite: separate drawSelection from draw
	in insets and LyXText, draw two off-screen paragraphs using
	NullPainter, and adapt to new coord scheme

	* text.C:
	* text2.C:
	* text3.C: adapt lfun handlers to the new coord scheme, which
	means: there's only guaranteed coord information for onscreen pars
	plus one above and one below. This implies that one can do search
	from y coordinates in the range [-1,workHeight]

2004-11-25  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* rename a lot of InsetOld to InsetBase

2004-11-25  Angus Leeming  <leeming@lyx.org>

	* BufferView_pimpl.C:
	* lyx_cb.C:
	* lyxfunc.C: s/globbing.h/filefilterlist.h/ in #includes.

2004-11-24  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (getStatus, dispatch): use FuncStatus::message; only
	call BufferView::getStatus if LCursor::getStatus did nothing
	(setStatusMessage, getStatusMessage): removed.

	* FuncStatus.C (message): new methods. Used to provide an error
	message indicating why a command is disabled.
	(clear, |=, FuncStatus): update for message.

2004-11-23  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyxfunc.C (dispatch): always call sendDispatchMessage

2004-11-24  Alfredo Braunstein  <abraunst@lyx.org>

	* BufferView.C:
	* BufferView_pimpl.C:
	* CutAndPaste.C:
	* FontIterator.C:
	* buffer.C:
	* cursor.C:
	* cursor_slice.[Ch]:
	* dociterator.[Ch]:
	* lyxfind.C:
	* paragraph_funcs.C:
	* pariterator.C:
	* rowpainter.C:
	* text.C:
	* text2.C:
	* text3.C:
	* undo.C: par->pit renaming

2004-11-23  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* tabular.C (cellstruct): use initialization, store a shared_ptr
	to insettext instead of the insettext directly, adjust to fit.
	(operator=):  new function
	(swap): new function
	(rowstruct): use initialization
	(columnstruct): use initialization
	(ltType): use initialization


	* lyxlength.h (swap): new function

	* LColor.[Ch] (operator=): use the common semantics

2004-11-22  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfind.C (findNextChange): update the bufferview after setting
	the selection.

2004-11-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text3.C (getStatus): disable LFUN_INSET_OPTARG when the max
	number of InsetOptArgs has already been inserted.

	* output_latex.C (latexOptArgInsets): new method. This outputs all
	the optarg insets, up to the limit defined in the layout file.
	(optArgInset): removed
	(TeXOnePar): call latexOptArgInsets; correctly update texrow

2004-11-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* paragraph.C (isLetter): remove special spellchecker-related
	code; return true also for digits
	(isWord, isKomma): remove

	* text.C (cursorRightOneWord, cursorLeftOneWord, getWord):
	* lyxfind.C (MatchString()): use isLetter instead of isWord

2004-11-17  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* pariterator.h (operatir=): comment out un-implemented member
	function.

	* paragraph.h: resolve ambiguity found by gcc 4.0 with the use of a
	static cast.

2004-11-17  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxfont.h: include LColor.h to satisfy concept checks.

2004-11-16  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* pariterator.h: add typdefs for value_type, difference_type,
	pointer and reference to satisfy concept checks. Also add default
	constructor for same reason.

	* pariterator.C (operator++): add post-increment operator to
	satisfy concept checks.

	* lyxtextclasslist.h: include lyxtextclass.h to satisfy concept
	checks.

	* RowList_fwd.h: include lyxrow.h to satisfy concept checks.

	* ParagraphList_fwd.h: include paragraph.h to satisfy concept
	checks. Also rename base_type to BaseType to follow naming
	standard better.

	* FloatList.h: include Floating.h to satisfy concept checks.

2004-11-15  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (getStatus): when the origin of the request is menu or
	toolbar, and the LyXView does not have focus, do as if there was
	no buffer (bug 1720)

	* lyxfunc.C (getStatus, dispatch): propagate the origin of a
	FuncRequest to individual entries of LFUN_SEQUENCE

2004-11-10  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* output_latex.C (TeXOnePar): override runparams.moving_arg
	according to the needprotect value of the current paragraph (bug
	1739)

	* paragraph.C (simpleTeXOnePar): no need to override
	runparams.moving_args here

2004-11-14  John Spray  <spray_john@users.sourceforge.net>

	* vspace.C: fix off-by-one-error, related to fix #1682

2004-11-11  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* lengthcommon.C: a more general fix for bug 1682

2004-11-11  Alfredo Braunstein  <abraunst@lyx.org>

	* text.C (backspace): fix crash

2004-11-09  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* format.[Ch] (getFormatFromFile): new method
	* exporter.C: s/getFormatFromContents/formats.getFormatFromFile/

2004-11-09  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lengthcommon.C (unitFromString): fix off-by-one error (bug 1682)

2004-11-05  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (dispatch): remove the verbose argument
	(sendDispatchMessage): ditto. Use the origin of the FuncRequest
	instead

	* kbmap.C (defkey): set the origin of func to KEYBOARD

	* MenuBackend.C (MenuItem):
	* ToolbarBackend.C (add): set the origin of func to UI

	* funcrequest.[Ch]: add origin member, which indicates which part
	of LyX requests an action

2004-11-07  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* converter.C (move): don't lie in the error message
	* converter.h (isReachable, move): document

2004-11-07  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* buffer.C: remove unused using lyx::support::atoi
	* paragraph_funcs.C: ditto

2004-11-06  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* bufferlist.C (exists): use bind and equal_to instead of
	compare_memfun
	(getBuffer): ditto
	* lyxtextclasslist.C (NumberOfClass): ditto

	* cursor.C (insert): use for_each instead of explicit for loop

	* bufferlist.C (getFileNames): use std::transform and
	std::back_inserter instead of std::copy and lyx::back_inserter_fun.

	* buffer_funcs.C (bufferErrors): use for_each instead of explicit
	for loop

	* buffer.C (changeLanguage): use for_each instead of explicit for
	loop
	(hasParWithID): implement using getParFromID

	* LaTeXFeatures.C: ws change only

	* CutAndPaste.C (replaceSelectionWithString): Use a temporary var
	to cleanup a bit.

	* BufferView_pimpl.C (trackChanges): use for_each instead of
	expilicit for loop

2004-11-04  André Pönitz  <poenitz@gmx.net>

	* undo.h:
	* undo.C (textUndoOrRedo): fix crash when creating undo information.

	* dociterator.C (asDocIterator): use hard assert again.

2004-11-04  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxlength.C (asLatexString): rewrite so that it does not use
	snprintf anymore

2004-11-02  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text3.C (specialChar, dispatch): make sure cursor moves to the
	right after inserting an inset

2004-11-02  José Matos  <jamatos@lyx.org>

	* output_docbook.C (docbook):
	* paragraph.C (getID):
	* sgml.[Ch] (openTag, cleanID): escape characters inside ids to
	garantee that the output is always legal.

	* tabular.C (docbook):
	* outputprams.[Ch]: remove mixed contents.

2004-11-01  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* text2.C (setCounter): prevent endless loop

2004-11-01  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* exporter.C (copyFile): use the mover instead of support::copy()
	* exporter.C (Export): pass format and latex name to copyFile()
	* exporter.h (addExternalFile): document
	* mover.[Ch] (do_copy, do_rename): new methods with 3 arguments

2004-10-31  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text.C (leftMargin): do not indent paragraphs in charstyle insets.

2004-10-30  José Matos  <jamatos@lyx.org>

	* paragraph.[Ch] (onlyText): Checks if the paragraph contains only
	text and no inset or font change. This allows to use CDATA
	sections just for the whole paragraph.

2004-10-30  José Matos  <jamatos@lyx.org>

	* paragraph.C (getFirstWord): remove unused variable.

2004-10-30  José Matos  <jamatos@lyx.org>

	* paragraph.C (getFirstWord): the content should always be escaped
	there.
	(simpleDocBookOnePar):
	* output_docbook.C (makeEnvironment): replace reference to CDATA
	to style pass_thru.

2004-10-30  José Matos  <jamatos@lyx.org>

	* paragraph.C (simpleDocBookOnePar): fix reference to CDATA.

2004-10-30  José Matos  <jamatos@lyx.org>

	* output_docbook.C (makeParagraphs):
	* paragraph.[Ch] (emptyTag): for docbook and company, if the
	standard paragraph has only a given type of content drop the wrapper.

2004-10-29  José Matos  <jamatos@lyx.org>

	* output_docbook.C (makeEnvironment):
	* sgml.C (openTag):
	* paragraph.[Ch] (getID): rename function, and return it enclosed in id="...".

2004-10-29 Andreas Vox  <vox@isp.uni-luebeck.de>

	* sgml.[Ch] (uniqueID): returns a unique id for a given label.
	(cleanID): sanitize any id.

2004-10-29  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* buffer.C, lyxlex_pimpl.C:
	* lyxlex_pimpl.C (setFile):
	s/getExtFromContents/getFormatFromContents/

2004-10-28  José Matos  <jamatos@lyx.org>

	* output_docbook.C (makeEnvironment): move id to broadest possible
	scope.

	* sgml.C (openTag): apply substitution of <> for all attributes.

2004-10-28  José Matos  <jamatos@lyx.org>

	* buffer.C (makeLinuxDocFile, makeDocBookFile):
	* output_docbook.C (makeParagraph, makeEnvironment, makeCommand):
	* output_linuxdoc.C (linuxdocParagraphs): use new openTag and closeTag.

	* sgml.[Ch]: new version for open and closeTag for paragraph and
	for strings. Now they handle the ids of paragraphs.

2004-10-26  Angus Leeming  <leeming@lyx.org>

	* Makefile.am: add mover.[Ch].

	* converter.C (convert, move): use the new Movers to move external
	files to the temp directory.

	* lyx_main.C (init): ensure that the global system_movers data
	is initialised.

	* lyxrc.[Ch]: code to read and write 'copiers' from/to the
	preferences file.

	* mover.[Ch]: new files, defining a Mover as a utility to move an
	external file between directories and, if necessary, manipulate this
	file using a helper script.

2004-10-25  José Matos  <jamatos@lyx.org>

	* output_docbook.C (makeCommand): merge two if's that tested the
	same condition.

2004-10-25  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* sgml.C (escapeString): fix warning in a better way

2004-10-25  José Matos  <jamatos@lyx.org>

	* sgml.C (escapeString): import the require boosts header file for
	tie, and avoid a signed unsigned comparison.

2004-10-25  José Matos  <jamatos@lyx.org>

	* sgml.h: add #include <string>

2004-10-25  José Matos  <jamatos@lyx.org>

	* sgml.[Ch] (escapeString): new function to escape all the string.

2004-10-24  José Matos  <jamatos@lyx.org>

	* paragraph.[Ch] (getFirstWord): new function to get the first
	word. Useful for description.
	(simpleDocBookOnePar): remove depth argument, add another that
	says where to start the paragraph.

	* output_docbook.C (makeParagraph, makeEnvironment, makeCommand):
	use the new functions to fix cleanly the support for descriptions.

2004-10-24  José Matos  <jamatos@lyx.org>

	* buffer.C (makeLinuxDocFile, makeDocBookFile):
	* output_docbook.C (makeParagraph, makeEnvironment, makeCommand):
	* output_linuxdoc.C (linuxdocParagraphs):
	* sgml.[Ch] (openTag): )move paragraph counting code to openTag, and
	add buffer as argument.

2004-10-24  José Matos  <jamatos@lyx.org>

	* output_docbook.C (makeEnvironment, searchEnvironment): place
	CDATA inside paragraphs and fix scope for listitems.

2004-10-24  José Matos  <jamatos@lyx.org>

	* output_docbook.C: remove using statement for stack.

2004-10-23  José Matos  <jamatos@lyx.org>

	* buffer.C (makeDocBookFile): reorganize the comments about lyx.
	* output_docbook.[Ch]: new functions to encapsulate the way lyx exports
	docbook. The new scheme is recursive and makes use of iterators, the
	same as latex export works.
	* paragraph.C (simpleDocBookOnePar): removed coud that does not deal
	directly with the paragraph contents. This code was moved up to
	output_docbook.C (docbookParagraphs).
	* sgml.C (openTag, closeTag): removed unneeded newlines.
	(closeEnvTags) removed.

2004-10-23  André Pönitz  <poenitz@gmx.net>

	* undo.C (textUndoOrRedo):
	* dociterator.C (asDocIterator): work around crash

	* cursor.C (getStatus): replace ASSERT by more verbose error message
	  and manual correction of the problem. Should increase stability
	  while providing more sensible information.

2004-10-18  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (getStatus,dispatch): handle LFUN_(PREVIOUS|NEXT)BUFFER

	* bufferlist.C (previous, next): new methods

	* lfuns.h:
	* LyXAction.C (init): add LFUN_NEXTBUFFER and LFUN_PREVIOUSBUFFER

2004-10-18  Andreas Vox  <vox@isp.uni-luebeck.de>

	* buffer.C (makeDocBookFile): add dsssl stylesheet control
	entities to preamble.

2004-10-18  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* messages.C (Pimpl): strip off translation context information

2004-10-14  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C (setBuffer): when closing a buffer, make sure
	the cursor is correct (bug 1694)

2004-10-13  José Matos  <jamatos@lyx.org>

	* output_docbook.C (docbookParagraphs): fix closing tags in the
	end of the document.

2004-10-09  José Matos  <jamatos@lyx.org>

	* buffer.C: format up to 237.
	* bufferparams.C (write): use tostr to convert booleans to strings.

2004-10-08  Martin Vermeer  <martin.vermeer@hut.fi>

	* lyxrc.C: add to tooltip about using xindy to prefs (xforms)

2004-10-07  Martin Vermeer  <martin.vermeer@hut.fi>

	* LaTeX.C: implement use of babel language in xindy.

2004-10-05  José Matos  <jamatos@lyx.org>

	* bufferparams.[Ch] (readBullets, readBulletsLaTeX): new methods.
	Add new translators to help reading and writing the lyx file.

2004-10-05  José Matos  <jamatos@lyx.org>

	* ParagraphParameters.C (read):
	* text.C (readParToken): replace nexToken by more appropriate lex
	methods.

2004-10-05  Hartmut Haase  <hha4491@atomstromfrei.de>

	* LaTeX.C (runMakeIndex):
	* lyxrc.[Ch] (read, write, getDescription): make the indexing command
	(usually 'makeindex') configurable.

	* lastfiles.h (maxlastfiles): define the maximum number of 'lastfiles'
	with a variable rather than with a number.

2004-09-27  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* output_latex.C (TeXOnePar): make sure font setting is the first
	thing that gets output (and the last at the end). Should fix bug
	1404.

2004-09-26  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* pch.h: use proper signal include

	* LaTeX.h: Use preferred calling of Boost.Signal
	* buffer.h: ditto

2004-09-26  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* pch.h: dont include <boost/function/function0.hpp>

	* Makefile.am (lyx_SOURCES): remove ShareContainer.h

	* paragraph_pimpl.h: remove usage of ShareContainer

	* paragraph_pimpl.C: remove initialization of ShareContainer.

2004-09-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	Fix bug #1666

	* BufferView.C (putSelectionAt): change the semantics when
	backwards == true: now, this just swaps cursor and anchor wrt the
	forward case

	* BufferView.h (putSelectionAt): add some documentation

	* lyxfind.C (findBackwards): rewrite using while(). In particular,
	make sure backwardChar is done at least once (to avoid getting
	stuck)
	(findNextChange): use putSelectionAt in the forward direction
	(operator()): use Paragraph::isWord

2004-09-16  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Spacing.C (set): c_str fix

2004-09-09  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyx_cb.C (Reconfigure): quote the name of configure script in
	case it contains spaces

2004-09-04  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* client: new dir

	* Makefile.am (SUBDIRS): change order of subdirs and add client dir
	(BOOST_LIBS): use top_buildir when looking for the file

2004-08-30  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* pch.h: do not use include boost/format.hpp, multiple symbols
		will result (gcc bug)


2004-08-23  José Matos  <jamatos@lyx.org>

	* bufferparams.C (readToken): fix reading of the author field.

2004-08-20  José Matos  <jamatos@lyx.org>

	* lyxrc.C: remove support/translator.h inclusion since it is not used.

2004-08-20  José Matos  <jamatos@lyx.org>

	* lyxlex.[Ch] (findToken): remove function.

	* ParagraphParameters.C (findToken):
	* bufferparams.C (findToken): replace call for previous function
	with local copy. This local function has one more argument, the
	read string argument.

2004-08-16  José Matos  <jamatos@lyx.org>

	* ParagraphParameters.C (write):
	* Spacing.C (writeFile):
	* bufferparams.C (writeLaTeX):
	* lyx_cb.C (Reconfigure):
	* paragraph.C (write):
	* tabular.C (write): remove unnecessary space at end of line.


2004-08-16  José Matos  <jamatos@lyx.org>

	* text.C (readParagraph): remove debug message.

2004-08-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* tabular.C (asciiBottomHLine, asciiPrintCell, asciiTopHLine): fix
	crash

	* output_plaintext.C (asciiParagraph): set depth correctly

	* outputparams.h: add member depth

	* paragraph_funcs.C (ownerPar): remove.

	* text2.C (setCounter): remove first_pit; comment out some
	non-working code that uses ownerPar

	* BufferView.C (getParentLanguage): remove. Not used anymore, and
	uses ownerPar

2004-08-16  José Matos  <jamatos@lyx.org>

	* text.C (readParToken, readParagraph, read): report all unknown tokens.
	For the same level of importance use the same chanel to report problems.
	(read): add code to deal with \begin_body and \end_body.


2004-08-15  José Matos  <jamatos@lyx.org>

	* lyxlex.C (getString): fix comment, buffer::readBody is now
	buffer:readDocument.

	* tex-strings.C (string_papersize): Default -> default,
	Custom -> custom, for consistency with other options.

2004-08-15  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* pch.h: new file

	* Makefile.am: support pch

2004-08-15  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text.C (readParToken): remove the static LyXFont variable and
	pass it as a parameter instead. This fixes a nasty bug where an
	inset will be inserted with a bad font in some situations
	(readParagraph): adapt

	* text2.C (setCounter): reduce number of calls to pars_[pit]

	* text.C (singleWidth): add an assert, fix a test

	* rowpainter.C (paintText): reduce number of calls to singleWidth

	* paragraph.C (isHfill):
	(isNewline): ws only

2004-08-14  André Pönitz  <poenitz@gmx.net>

	* text.C:
	* text2.C:
	* rowpainter.C:
	* lyxtext.h (several functions): use a Paragraph & argument
	instead of par_type

2004-08-15  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* metricsinfo.h: add a new field ltr_pos to PainterInfo

	* rowpainter.C (paintInset): initialize PainterInfo::ltr_pos

	* text.C (singleWidth): remove useless test

2004-08-14  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* tabular.h: remove bogus comments

	* tabular.C (getDescentOfRow):
	(isPartOfMultiColumn): add assertions

	* lyxlength.C (inPixels): remove #warning

2004-08-14  André Pönitz  <poenitz@gmx.net>

	* paragraph.h: inline getChar()

	* BufferView.h: remove unused declarations

2004-08-14  José Matos  <jamatos@lyx.org>

	* Buffer.[Ch] (readDocument): new name for old readBody.
	* Buffer.C: new file format, new keywords: \begin_document,
	\begin_header, \begin_body, \end_body.

	* bufferparams.C (readToken): replace all calls to lex.nextToken
	by lex.next(). Do the same to eatLine except where really needed.

	* lyxfont.C (lyxWriteChanges): remove whitespaces in the end of
	line when writing to the lyx file.

	* output_plaintext.C (asciiParagraph): fix Bibliography style
	handling.

	* text.C (read): fix end of file handling.

2004-08-14  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* MenuBackend.C (Menu::operator[]): new method to access
	individual menu items
	(Menu::hasFunc): new method. search for an item that corresponds
	to a given func
	(MenuBackend::specialMenu): new method
	(MenuBackend::expand): if a special menu has been set, skip
	entries whose func() appears in this menu

2004-08-14  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* text3.C: use Debug::DEBUG a bit more

	* text.C (leftMargin): try to simplify a tiny bit change var x to
	l_margin. Dont output the wide margins always.
	(rightMargin): no margin in inner texts

	* rowpainter.h (nestMargin): new func
	(changebarMargin): new func
	(rightMargin): new func

	* rowpainter.C (paintDepthBar): changebarMargin and nestMargin is
	now functions.
	(paintLast): ditto

	* factory.C (createInset): modify setDrawFrame

	* cursor.C: use Debug::DEBUG a bit more

2004-08-14  André Pönitz  <poenitz@gmx.net>

	* coordcache.[Ch]:
	* Makefile.am: new files to accomodate an 'external' (x,y)-position
	cache for all insets in (at least partially) visible (top-level)
	paragraphs.

	* BufferView_pimpl.C: reset external coord cache before every update.
	This means the coord cache only contains valid entries.

2004-08-14  Lars Gullik Bjønnes  <larsbj@lyx.org>

	bug 1096
	* BufferView_pimpl.C (getInsetByCode): move function out of class
	and change in to a template in anon namespace. Also fix to do what
	suits us better.

2004-08-13  Lars Gullik Bjønnes  <larsbj@lyx.org>

	bug 1305
	* paragraph_funcs.C (moveItem): use Paragraph::value_type instead
	of char
	(breakParagraph): rename par to par_offset and use a local
	reference. Add code to keep the language over a rebreak.
	(breakParagraphConservative): rename par to par_offset, use a
	local reference
	(mergeParagraph): ditto
	(outerHook): ditto
	(isFirstInSequence): ditto
	(outerFont): rename pit to par_offset

	* paragraph.C: ws change
	* paragraph.h: ditto
	* text3.C: ditto
	* text.C: ditto

2004-08-13  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* paragraph_pimpl.C (simpleTeXSpecialChars): remove special
	treatment for ']'

	* paragraph.C (simpleTeXOnePar): when we have a \item with
	optional argument, enclose the argument with curly brackets (in
	case it contains a closing square bracket)

	* text2.C (editXY):
	* text2.C (editXY):
	* text3.C (checkInsetHit): constify

2004-08-13  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* LyXAction.C (init): mark LFUN_WORD_FIND as working in read-only
	documents (bug 1629)

2004-08-13  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	Fix toggling of collapsable insets with the mouse (bug 1558)

	* lyxfunc.C (dispatch): adapt to LCursor changes

	* BufferView_pimpl.C (workAreaDispatch): adapt to LCursor changes;
	make sure that dispatch is not invoked twice

	* cursor.C (needsUpdate): new method
	(dispatch): return void
	(result): new method, to access the DispatchResult of the cursor.

2004-08-13  José Matos  <jamatos@lyx.org>

	* tabular.C (docbook): close empty tags in XML. Fix bug 1147.

2004-08-13  André Pönitz  <poenitz@gmx.net>

	* cursor.C (macroModeClose): use plainInsert instead of niceInsert.

	* CutAndPaste.C (eraseSelection): fix cursor position after erasing
	  multiple cells

2004-08-12  André Pönitz  <poenitz@gmx.net>

	* text3.C: take out the 'cursor right' form insertInset and only
	do it in those places when it is really needed. Fixes crash on
	C-m...

2004-08-08  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (dispatch): implement LFUN_SAVE_AS_DEFAULT

	* BufferView_pimpl.C (setBuffer): initialize the current font of
	the underlying LyXText

2004-08-05  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* kbsequence.C (print): use UI native formatting for menu
	shortcuts

	* text.C (insertChar): call Paragraph::insertChar with a font
	argument (cosmetic)

	* paragraph.C (insertInset, insertChar): the version that takes a
	LyXFont argument is now a wrapper around the other one (the
	opposite used to be true).

	* paragraph_pimpl.C (insertInset, insertChar): remove the LyXFont
	argument. Font setting is done in Paragraph now.

2004-08-04  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* outputparams.h: add new members intitle and lang.

	* paragraph.C (simpleTeXOnePar): initialize rp.lang and
	rp.intitle. Actually use rp in call to simpleTeXSpecialChars

2004-08-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text3.C (dispatch): remove special handling of button 4 and 5,
	it is now taken care of in the frontend code.

2004-07-25  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* Spacing.h: add <string> (STLPort compile fix)

2004-08-02  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* LaTeXFeatures.C: (jurabib) \RequirePackage -> \usepackage

2004-07-25  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxlex_pimpl.C (compare_tags): chagne return type of operator()
	to bool.

	* converter.C (showMessage): inherit from unary_function, make
	operator() const.

	* buffer.C (writeFile): initialize retval

	* InsetList.h: rename private variable list to list_
	* InsetList.[Ch]: adjust accordingly.

2004-07-24  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text3.C, text2.C, text.C, tabular.C, paragraph_funcs.C, paragraph.C:
	* lyxlength.C, lyxgluelength.C, lyxfunc.C, lyxfont.C, lyxfind.C:
	* kbmap.C, funcrequest.C, factory.C, cursor.C, counters.C:
	* bufferview_funcs.C, bufferparams.C, buffer.C, Spacing.C:
	* ParagraphParameters.C, LaTeXFeatures.C: replace
	"support/std_sstream.h" with <sstream>

2004-07-23  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxserver.C (startPipe): use this (pointer) not *this (reference)
	* lyxsocket.C (LyXServerSocket): ditto
	(serverCallback): ditto

2004-07-23  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* LaTeXFeatures.C: check release date when loading jurabib.

2004-07-22  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxserver.C (startPipe): call register_socket_callback
	(endPipe): call unregister_socket_callback

2004-07-21  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxsocket.C (LyXServerSocket): reduce max outstanding clients to 3
	(LyXServerSocket): register the callback
	(LyXServerSocket): unregister the callback
	(fd): delete function
	(serverCallback): improve error checking and setup the callbacks.
	(dataCallback): change arg to fd.
	(writeln): new func (copied fro the client socket) used for server
	write to client.
	(LyXDataSocket): simplify
	(~LyXDataSocket): close ann unregiser callback
	(server): delete function
	(fd): delete function
	(readln): small changes, improve some std::string usage
	(writeln): constify a bit

2004-06-24  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* kbmap.C (find1keybinding): new method, only used by LyX/Mac with
	Qt frontend

2004-07-05  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C (setBuffer): set the layout combox value only
	after it has been populated

2004-06-29  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text2.C (insertInset): move cursor when inserting inset.

2004-06-30  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* kbmap.C (findbindings): a couple of new methods. returns a
	container of kb_sequence objects. The real work is done by the
	private recursive version
	(printbindings): uses findbindings to print out a bracketed list
	of bindings (renamed from findbinding).

	* MenuBackend.C (binding): use kb_keymap::findbindings

	* lyxfunc.C (sendDispatchMessage): use use kb_keymap::printbindings.

2004-07-01  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* buffer.C: up LYX_FORMAT to 235 (needed for the paperpackage fix)

2004-06-29  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* paragraph.C (isWord): return true on insets that report
	isLetter().

	* text.C (getWord): use Paragraph::isWord to decide what is in a
	word and what is not; fix bug 1609.

2004-06-27  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* tex-strings.C: add "none" to string_paperpackages[], fixes
	off-by-one-error in the paperpackage selection.

	* lyxlex.[Ch]:
	* tex-strings.[Ch]: char const * string[n]
	-> char const * const string[]

2004-06-10  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (getStatus): if lyx_gui::getStatus disables the
	command, return early.

2004-06-18  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* debug.h: add DEBUG to enum and fix size of ANY.

	* debug.C: add support for Debug::DEBUG
	(showTags): cast errorTags.level to unsigned int

	* BufferView_pimpl.C (fitCursor): use Debug::DEBUG
	(redoCurrentBuffer): ditto
	(updateScrollbar): ditto
	* cursor.C (dispatch): ditto
	* text2.C (setLayout): ditto
	(setFont): ditto
	(updateCounters): ditto
	(editXY): ditto
	(deleteEmptyParagraphMechanism): ditto

2004-06-09  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Makefile.am (dist_noinst_DATA): use the dist_ and noinst_
	annotations to cleanup the Makefile slightly.

2004-05-10  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxrc.C: do not set user_email to a default value but use empty
	instead. The entry used to be translated, which does not work
	since at the point where lyxrc is constructed there is no
	translation service available

	* messages.C (getLocaleDir): remove and use directly
	lyx_localedir() instead

2004-06-02  Angus Leeming  <leeming@lyx.org>

	Fix crash caused by dereferencing null pointer 'exportdata' in
	OutputParams by creating a new ExportData variable on the heap,
	storing it in a boost::shared_ptr.
	The crash was triggered when generating an Instant Preview
	of an external inset.

	* Makefile.am: add outputparams.C

	* outputparams.[Ch]: store exportdata as a shared_ptr<Exportdata>.
	(c-tor): allocate memory to it.

	* exporter.C (c-tor): associated changes.

2004-06-01  Angus Leeming  <leeming@lyx.org>

	* output_linuxdoc.C (linuxdocParagraphs): Check that the paragraph
	contains data before calling isInset(0). (Bug 1513.)

2004-06-01  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* exporter.C (checkOverwrite): new method
	* exporter.C (copyFile): new method
	* exporter.C (Export): copy referenced files to the document dir
	* exporter.[Ch]: new class ExportedFile
	* exporter.[Ch]: new class ExportData. Contains currently the
	names of referenced external files
	* outputparams.h: add exportdata member.

2004-05-28  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Makefile.am (DISTCLEANFILES): add version.C, stamp-version and
	version.C-tmp

2004-05-19  Angus Leeming  <leeming@lyx.org>

	* LaTeXFeatures.C:
	* ToolbarBackend.C:
	* bufferparams.C:
	* lyxfunc.C: small changes due to the introduction of namespace
	lyx::frontend and the moving of namespace biblio to lyx::biblio.

2004-05-18  Alfredo Braunstein  <abraunst@lyx.org>

	* text3.C (dispatch): supress update when only moving the cursor
	* cursor.C (selHandle): remove commented code

2004-05-17  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* paragraph.C (startTeXParParams): correct column count
	* CutAndPaste.C (pasteSelection): remove const_cast
	* output_docbook.C (docbookParagraphs): remove const_cast
	* output_latex.C (TeXEnvironment, TeXOnePar, TeXDeeper): remove
	const_cast and return ParagraphList::const_iterator
	* output_linuxdoc.C (linuxdocParagraphs): remove const_cast
	* output_plaintext.C (writeFileAscii): remove const_cast
	* paragraph.[Ch] (simpleTeXOnePar): make const
	* paragraph_funcs.C (outerPar): use const iterators
	* paragraph_pimpl.C (validate): use const iterators
	* text.C (setHeightOfRow): use const iterators

2004-05-17  Angus Leeming  <leeming@lyx.org>

	* lfuns.h:
	* LyXAction.C (init): new LFUN_INSET_REFRESH.

	* lyxfunc.C (dispatch): in the LFUN_BUFFERPARAMS_APPLY block loop
	over all insets and dispatch LFUN_INSET_REFRESH to any citation insets
	if the citation engine has changed.

2004-05-14  José Matos  <jamatos@lyx.org>

	* buffer.C (makeDocBookFile): add a default Formal Public Identifier
	if the textclass does not provide it. Have it different for sgml and
	xml.
	support the language of document.
	* output_docbook.C (docbookParagraphs):
	* paragraph.[Ch] (getDocbookId): new function that gets the id of the
	first anchor as the id of the paragraph, remove special case code.
	* sgml.C (escapeChar): escape only < & >.

2004-05-14  Angus Leeming  <leeming@lyx.org>

	* bufferparams.h: move biblio::CiteEngine enum here to minimize
	dependencies on src/frontends/controllers/biblio.h. Define a
	CiteEngine_enum wrapper class to enable the enum to be forward
	declared.

2004-05-12  Angus Leeming  <leeming@lyx.org>

	* buffer.C: up LYX_FORMAT to 234.
	* bufferparams.[Ch]: replace the three bools, use_natbib, use_jurabib,
	use_numerical_citations with a single biblio::CiteEngine cite_engine
	variable.
	* LaTeXFeatures.C (getPackages): use BufferParams::cite_engine.

2004-05-13  José Matos  <jamatos@lyx.org>

	* converter.h:
	* converter.C (Converter, readFlags): add xml member.
	* outputparams.h: add XML flavor.
	* buffer.C (makeDocBookFile): add support for the sgml/xml distinction.

2004-05-03  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (dispatch):
	(getStatus): fix handling of LFUN_SEQUENCE

2004-04-29  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* debug.C (showLevel): do not forget the end-of-line marker

2004-04-27  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* kbmap.C (read): do not stop parsing a bind file when an error
	occurs (bug 1575)

2004-04-29  Angus Leeming  <leeming@lyx.org>

	* cursor.C:
	* factory.C:
	* pariterator.C:
	* text2.C: wrap a bunch of #warning statements
	inside #ifdef WITH_WARNINGS blocks.

2004-04-29  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* buffer.C: increment format to 233.

2004-04-28  Angus Leeming  <leeming@lyx.org>

	* BufferView_pimpl.C:
	* lyxfunc.C:
	* text3.C:
	s/updateToolbar()/updateToolbars()/
	s/Toolbar.h/Toolbars.h/

2004-04-28  Angus Leeming  <leeming@lyx.org>

	* BufferView.[Ch] (c-tor):
	* BufferView_pimpl.[Ch] (c-tor): no longer receives x,y position.
	No longer passes these data to the WorkArea generator.

2004-04-28  Angus Leeming  <leeming@lyx.org>

	* BufferView_pimpl.C (c-tor): pass LyXView & to WorkArea generator.

2004-04-26  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* LaTeXFeatures.C, lyx_sty.[Ch]: add \lyxdot macro

2003-09-24  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* output_latex.C (TeXEnvironment): make sure that there is a line
	break before \end{foo} for the last paragraph of a document
	(TeXOnePar): if the paragraph is at the end of the document (or
	inset) and the language has to be reset, then make sure that the
	line break is _before_ the language command, not after (fixes bug
	1225); also make sure that the language reset command is the first
	thing after the paragraph (to ensure proper nesting of
	environments and thus fix bug 1404)

2004-04-21  John Levon  <levon@movementarian.org>

	* ToolbarBackend.h:
	* ToolbarBackend.C: make "name" be a programmatic name
	and a gui_name field.

	* lyxfunc.C: display the minibuffer on M-x

2004-04-18  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* LaTeX.C (runMakeIndex, runBibTeX): quote correctly file name
	(bug 1526)

2004-04-19  Angus Leeming  <leeming@lyx.org>

	* BufferView_pimpl.C (setBuffer): changed preview interface.

	* lyxrc.[Ch] (preview): no longer a bool. Now an enum with three
	possible values.

2004-04-19  John Levon  <levon@movementarian.org>

	* BufferView_pimpl.C:
	* text3.C: fix bug 1569 (insert->label doesn't give suggestion)

2004-04-05  Angus Leeming  <leeming@lyx.org>

	* text.C (redoParagraphs): add call to updateCounters(), thereby
	fixing the missing "Figure #:" label from the caption of a
	figure float.

2004-04-13  Angus Leeming  <leeming@lyx.org>

	* text3.C (dispatch): call Inset::.notifyCursorLeaves when the
	cursor is clicked out of an inset.

2004-04-13  Angus Leeming  <leeming@lyx.org>

	* lyx_main.[Ch] (updateInset): pass it an InsetBase pointer rather
	than an InsetOld one.

2004-04-12  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* format.[Ch]: add editor to Format
	* lyxrc.[Ch]: merge RC_FORMAT and RC_VIEWER. Add editor to Format
	* LyXAction.C, lfuns.h, lyxfunc.C: add lfun LFUN_GRAPHICS_EDIT

2004-04-08  André Pönitz  <poenitz@gmx.net>

	* metricsinfo.h: remove PainterInfo::width member

2004-04-08  Angus Leeming  <leeming@lyx.org>

	* lyx_sty.C (boldsymbol_def): modify so that it outputs
	"\providecommand" rather than "\newcommand", thereby preventing
	clashes with packages that define "\boldsymbol" themselves.
	Eg, beamer.

2004-04-08  Angus Leeming  <leeming@lyx.org>

	* lyxrc.C (read): don't try to set the color of none, inherit, ignore
	thereby squashing an unnecessary warning.

2004-04-01  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* LaTeXFeatures.[Ch]: change buffer_ to a pointer and add accessor
	setBuffer()

2004-04-07  Alfredo Braunstein  <abraunst@lyx.org>

	* BufferView.C (setCursor): call redoParagraph (some insets could
	have been opened)
	(putSelectionAt): remove the 'double update' trick

	* BufferView_pimpl.C (fitCursor): call refreshPar
	(workAreaDispatch): remove an uneeded update call
	(dispatch): remove some manual update calls

	* cursor.[Ch]: remove cached_y_, updatePos
	(selHandle): set noUpdate when appropriate

	* lyxfunc.C (dispatch): track if we need an update

	* metricsinfo.[Ch]: PainterInfo receive a Painter & on construction

	* rowpainter.[Ch] (RowPainter): remove superfluous xo_ parameter
	(paintSelection): cheap optimization, do not call cursorX when not
	needed
	(paintPars): change signature
	(refreshPar): add
	(paintText): adjust
	(paintTextInset): adjust

	* text.C: adjust

2004-04-05  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lengthcommon.C: compilation fix: remove explicit array size from
	unit_name[] and friends

2004-04-05  Angus Leeming  <leeming@lyx.org>

	* LyXAction.C (init): set LFUN_DIALOG_UPDATE's atrib flag to NoBuffer.

	* lyxfunc.C (getStatus): enable LFUN_DIALOG_UPDATE if no buffer is
	present only for the preferences dialog.
	(dispatch): handle LFUN_DIALOG_UPDATE for the preferences dialog.

2004-04-05  Angus Leeming  <leeming@lyx.org>

	* lyxrc.[Ch] (write): now takes a 'bool ignore_system_lyxrc' arg
	to enable the frontends to export changes to lyxrc correctly.

	* lyxfunc.C (dispatch): output lyxrc.write("preferences", false).

2004-04-07  André Pönitz  <poenitz@gmx.net>

	* cursor.[Ch] (selClear, adjust): remove math

	* cursor_slice.C: more agressive assert

	* lyxfunc.C:
	* BufferView_pimpl.C: rework mouse event dispatch

	* dociterator.C:
	* paragraph.C:
	* text2.C:
	* text3.C: adjust

2004-04-05  André Pönitz  <poenitz@gmx.net>

	* cursor.[Ch] (valign, halign...): remove unneeded functions

2004-04-05  Angus Leeming  <leeming@lyx.org>

	* lyxlength.[Ch] (unit_name et al.): const-correct.

2004-04-05  Angus Leeming  <leeming@lyx.org>

	* BufferView_pimpl.C:
	* buffer.C:
	* counters.C:
	* cursor.C:
	* lyxfunc.C
	* paragraph.C:
	* pariterator.C:
	* text.C:
	* text2.C:
	* text3.C: wrap #warning calls inside #ifdef WITH_WARNINGS blocks.

2004-04-01  Alfredo Braunstein  <abraunst@lyx.org>

	* text3.C (getStatus): add LFUN_BEGINNINGBUF

2004-04-01  Alfredo Braunstein  <abraunst@lyx.org>

	* lyxfind.C: add a couple of inTexted() tests + other small fixes
	* BufferView_pimpl.[Ch] (getStatus)
	* BufferView.[Ch] (getStatus): add
	* lyxfunc.C (getStatus): move lfuns handled in
	BufferView::dispatch to te function above
	* Cursor.C (setSelection): set selection() = true

2004-04-01  Alfredo Braunstein  <abraunst@lyx.org>

	* lyxfunc.C (getStatus): enable LFUN_WORD_{FIND,REPLACE}

2004-03-31  Angus Leeming  <leeming@lyx.org>

	* lyxfunc.C (dispatch): Fall through to the generic
	Dialogs::show("preamble").

2004-03-31  Angus Leeming  <leeming@lyx.org>

	* lyxfunc.C (dispatch): Fall through to the generic
	Dialogs::show("spellchecker").

2004-03-31  Angus Leeming  <leeming@lyx.org>

	* lyxfunc.C (getStatus, dispatch): changed invocation of the
	preferences dialog.

2004-03-31  Alfredo Braunstein  <abraunst@lyx.org>

	* BufferView.C
	* cursor.[Ch]
	* dociterator.[Ch]:
	* insetiterator.[Ch]:
	* lyxfind.C:
	* lyxfunc.C:
	* pariterator.[Ch]:
	* text2.C:
	* undo.[Ch]: s/DocumentIterator/DocIterator/g

2004-03-31  Alfredo Braunstein  <abraunst@lyx.org>

	* BufferView.C (setCursor, putSelectionAt): call edit to open the
	insets where we are putting the cursor.

2004-03-31  Angus Leeming  <leeming@lyx.org>

	* lfuns.h:
	* LyXAction.C: new lfun LFUN_LYXRC_APPLY.

	* lyxrc.[Ch] (read, write): overloaded member functions taking
	a std::[io]stream arguments.

	* lyxfunc.C (getStatus, dispatch): handle LFUN_LYXRC_APPLY.

2004-03-31  Angus Leeming  <leeming@lyx.org>

	* lyxfunc.C (loadTextclass): new helper function, invoked by two of
	dispatch's case blocks, LFUN_TEXTCLASS_APPLY and LFUN_TEXTCLASS_LOAD.

	* lyxtextclass.C (load): if the text class couldn't be loaded, then
	don't overwrite 'loaded_ = false' with 'loaded_ = true' !

2004-03-31  Angus Leeming  <leeming@lyx.org>

	* lyxfunc.C (dispatch): remove the cursor-manipulation code from
	the LFUN_ALL_INSETS_TOGGLE code.

2004-03-30  Angus Leeming  <leeming@lyx.org>

	* lyxfunc.C (dispatch): the specialization Dialogs::showDocument
	has died. Fall through to the generic Dialogs::show("document").

2004-03-30  Angus Leeming  <leeming@lyx.org>

	* lfuns.h:
	* LyXAction.C: new lfuns LFUN_LANGUAGE_BUFFER, LFUN_TEXTCLASS_APPLY,
	LFUN_TEXTCLASS_LOAD, LFUN_SAVE_AS_DEFAULT, LFUN_BUFFERPARAMS_APPLY.

	* lyxfunc.C (getStatus, dispatch): define the actions for these
	lfuns. Little more than a cut and pste job from ControlDocument.C

	* lyxtextclass.[Ch] (loaded): accessor for the private bool loaded_.

2004-03-30  Angus Leeming  <leeming@lyx.org>

	* lfuns.h:
	* LyXAction.C (init): new lfuns, LFUN_KEYMAP_TOGGLE,
	LFUN_NEXT_INSET_TOGGLE, LFUN_ALL_INSETS_TOGGLE.

	* lyxfunc.C (dispatch): LFUN_ALL_INSETS_TOGGLE is used to toggle the
	open/closed state of ollapsable insets. Usage:

	all-inset-toggle <state> <name>, where
	<state> == "open" || "closed" || "toggle" and
	<name> is an identifier for a 'type' of inset. Eg "branch", "ert",...

	* lyxtext.h, text2.C (toggleInset): removed.

	* text3.C (dispatch): split the existing LFUN_INSET_TOGGLE in two,
	LFUN_KEYMAP_TOGGLE and LFUN_NEXT_INSET_TOGGLE. LFUN_NEXT_INSET_TOGGLE
	now passes LFUN_INSET_TOGGLE to the found inset.

	* InsetList.[Ch] (insetsOpenCloseBranch): removed. Functionality
	is now invoked as "all-insets-toggle toggle branch".

2004-03-30  Angus Leeming  <leeming@lyx.org>

	* dociterator.C:
	* insetiterator.C:
	* pariterator.[Ch]: added/corrected header blurb.

2004-03-30  Alfredo Braunstein  <abraunst@lyx.org>

	* dociterator.[Ch]: add an inset_ member
	(backwardPos): implemented
	(backwardPos, forwardPos): use inset_ when the stack is empty.
	(doc_iterator_begin, doc_iterator_end): implemented
	* pariterator.[Ch]: adjust, add begin, end
	* insetiterator.[Ch]: adjust, add begin, end
	* cursor.C:
	* document.C:
	* BufferView.C:
	* BufferView_pimpl.C:
	* CutAndPaste.C: adjust

2004-03-29  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* buffer.C: increment file format to 232.
	* LaTeXFeatures.C: add bibtopic package.
	* bufferparams.[Ch]: param \use_bibtopic.

	* lyxrc.[Ch]: add lyxrc bibtex_command
	* LaTeX.C: use rc.bibtex_command instead of hardcoded string.

	* buffer.C: increment file format to 231.

2004-03-28  Alfredo Braunstein  <abraunst@lyx.org>

	* dociterator.C: implement forwardPar
	* iterators.[Ch]: remove, replaced by
	* pariterator.[Ch]: this. derive ParIterator from DocumentIterator
	* BufferView.C:
	* BufferView_pimpl.C:
	* CutAndPaste.C:
	* buffer.C:
	* bufferview_funcs.C:
	* cursor.C:
	* lyxfind.C
	* lyxfunc.C
	* paragraph_funcs.C
	* toc.C:
	* Makefile.am: adjust

2004-03-28  Alfredo Braunstein  <abraunst@lyx.org>

	* CutAndPaste.C (pasteSelection): fix 2 crashes
	(eraseSelection): fix a crash
	* paragraph_funcs.C: remove a warning

2004-03-28  Angus Leeming  <leeming@lyx.org>

	* lfuns.h:
	* LyXAction.C (init): new LFUN_PRINT.

	* lyxfunc.C (getStatus, dispatch): handle LFUN_PRINT.

2004-03-27  Angus Leeming  <leeming@lyx.org>

	* lfuns.h:
	* LyXAction.C (init): new LFUN_EXPORT_CUSTOM.

	* lyxfunc.C (getStatus, dispatch): handle LFUN_EXPORT_CUSTOM.

2004-03-27  Angus Leeming  <leeming@lyx.org>

	* paragraph_funcs.C (moveItem): fix memory leaks, ensure that
	insetlist always contains non-null pointers to insets.

2004-03-26  Angus Leeming  <leeming@lyx.org>

	* src/BufferView_pimpl.C:
	* src/CutAndPaste.C:
	* src/buffer.C:
	* src/iterators.C:
	* src/output_plaintext.C:
	* src/outputparams.h:
	* src/paragraph_funcs.C:
	* src/rowpainter.C:
	* src/text.C:
	* src/text2.C:
	* src/frontends/controllers/ControlErrorList.C:
	* src/frontends/gtk/FileDialogPrivate.C:
	* src/frontends/gtk/GPainter.C:
	* src/frontends/gtk/GToolbar.C:
	* src/frontends/qt2/QRef.C:
	* src/mathed/math_scriptinset.C: squash compiler warnings.

2004-03-26  Angus Leeming  <leeming@lyx.org>

	* ispell.C (LaunchIspell::start):
	* lyx_cb.C (AutoSaveBuffer::start):
	invoke run(DontWait) rather than runNonBlocking().

2004-03-26  Alfredo Braunstein  <abraunst@lyx.org>

	* buffer_funcs.C (readFile): add cancel button to two prompt dialogs

2004-03-26  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* kbsequence.C (print): adjust

	* kbmap.C (printKeySym): rename and change signature
	(printKey): use LyXKeySym::print()

2004-03-26  Martin Vermeer  <martin.vermeer@hut.fi>

	* undo.C: add using std::advance to compile for stlport

2004-03-24  Angus Leeming  <leeming@lyx.org>

	* lyxfunc.C (dispatch): remove test code in LFUN_QUIT handler as
	it leads to a crash when no buffer is present.

2004-03-25  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>
            Martin Vermeer  <martin.vermeer@hut.fi>

	* lyxfunc.C (dispatch):
	* bufferparams.C (readToken): use the new LColor::setColor

	* LColor.[Ch] (setColor): new version that takes two strings as
	argument and creates a new color entry if necessary

2003-02-12  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* buffer.C (makeLaTeXFile): if the main latex file that is
	processed is usually a subdocument of some master, then pretend
	for a while that it is actually the master

2003-02-10  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* buffer.C (getLabelList):
	(getBibkeyList): use getMasterBuffer()
	(getMasterBuffer): new method. Returns the main document in the
	case where one is using included documents.

2004-03-25  André Pönitz  <poenitz@gmx.net>

	* Makefile.am:
	* iterators.[Ch]:
	* PosIterator.[Ch]: drop PosIterator, replaced by DocumentIterator

	* ParagraphList_fwd.h: change ParagraphList to a std::vector

	* CutAndPaste.[Ch]: simpler interface by moving some stuff from
	text*.C over here. Rename namespace CutAndPaste to lyx::cap

	* ParameterStruct.h: merge with ParagraphParameters

	* lyxtext.h: remove LyXText::parOffset() and getPar()

	* text3.C: Remove all 'manual' update calls. We do now one per user
	interaction which is completely sufficient.

	* Bidi.C:
	* BufferView.[Ch]:
	* BufferView_pimpl.C:
	* FontIterator.[Ch]:
	* MenuBackend.C:
	* ParagraphParameters.[Ch]:
	* buffer.C:
	* buffer.h:
	* bufferlist.C:
	* cursor.[Ch]:
	* cursor_slice.[Ch]:
	* dociterator.[Ch]:
	* errorlist.[Ch]:
	* factory.C:
	* lfuns.h:
	* lyxfind.C:
	* lyxfunc.C:
	* output_docbook.[Ch]:
	* output_latex.[Ch]:
	* output_linuxdoc.[Ch]:
	* output_plaintext.[Ch]:
	* paragraph.[Ch]:
	* paragraph_funcs.[Ch]:
	* paragraph_pimpl.[Ch]:
	* rowpainter.C:
	* tabular.[Ch]:
	* text.C:
	* text2.C:
	* toc.C:
	* undo.[Ch]: adjust

	* frontends/controllers/ControlDocument.C:
	* frontends/controllers/ControlErrorList.C:
	* frontends/controllers/ControlSpellchecker.C:
	* insets/inset.C:
	* insets/inset.h:
	* insets/insetbase.h:
	* insets/insetbibitem.C:
	* insets/insetbox.C:
	* insets/insetbranch.C:
	* insets/insetcaption.C:
	* insets/insetcharstyle.C:
	* insets/insetcharstyle.h:
	* insets/insetcollapsable.C:
	* insets/insetcollapsable.h:
	* insets/insetert.C:
	* insets/insetfloat.C:
	* insets/insetfoot.C:
	* insets/insetmarginal.C:
	* insets/insetnote.C:
	* insets/insetoptarg.C:
	* insets/insettabular.C:
	* insets/insettext.C:
	* insets/insettext.h:
	* insets/insetwrap.C:
	* mathed/math_mboxinset.C:
	* mathed/math_nestinset.C:
	* mathed/math_scriptinset.C:
	* mathed/math_scriptinset.h:
	* support/types.h:

2004-03-24  Angus Leeming  <leeming@lyx.org>

	* BufferView_pimpl.C (cursorToggle): use the cursor toggle to
	deal with any child processes that have finished but are waiting to
	communicate this fact to the rest of LyX.

2004-03-24  Angus Leeming  <leeming@lyx.org>

	64-bit compile fixes.

	* errorlist.[Ch] (pos_start, pos_end): store as lyx::pos_type.
	(c-tor): pass lyx::pos_types rather than ints.

	* paragraph.[Ch] (beginOfBody, begin_of_body_): return, store as
	lyx::pos_type.

	* text.C (Delete): compile fix.
	(getPar): ensure that function declaration is the same as that in
	the header file.

2004-03-23  Angus Leeming  <leeming@lyx.org>

	* ispell.C (LaunchIspell):
	* lyx_cb.C (AutoSaveBuffer): change the signature of clone to return
	a boost::shred_ptr rather than a std::auto_ptr.

2004-03-22  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfunc.C (getStatus): handle read-only buffers correctly;
	handle LFUN_FILE_INSERT_*

	* lyxrc.C (setDefaults, getDescription, output, read):
	* lyxrc.h: remove ps_command

2004-03-22  Angus Leeming  <leeming@lyx.org>

	* lyx_main.C (error_handler, init): remove handler for SIGPIPE.
	Ensure that error_handler is processed once only and that all data
	is saved before attempting to output any warning messages.

	* cursor.[Ch] (nopos_, noPos): remove unused member variable/function.

2004-03-21  Alfredo Braunstein  <abraunst@lyx.org>

	* tabular.C (TeXRow): crash fix (from Kayvan and Andrï¿½

2004-03-19  André Pönitz  <poenitz@gmx.net>

	* cursor.[Ch] (reset): take main text inset as argument

	* BufferView: adjust
	* BufferView_pimpl.C: adjust

	* paragraph.[Ch]: fix completely broken operator=()

2004-03-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* LColor.C (getFromLyXName): make sure that the color name is used
	as lowercase.

2004-03-17  Angus Leeming  <leeming@lyx.org>

	* lfuns.h:
	* LyXAction.C (init): remove LFUN_FORKS_KILL.

	* lyxfunc.C (getStatus, dispatch) remove lfuns to show the forks
	dialog and to kill a forked process.

2004-03-17  Alfredo Braunstein  <abraunst@lyx.org>

	* text2.C (setCursorFromCoordinates): fix font problem

2004-03-17  Alfredo Braunstein  <abraunst@lyx.org>

	* BufferView_pimpl.C (resizeCurrentBuffer): remove unneeded and
	bogus "rebuild cursor" code

2004-03-11  André Pönitz  <poenitz@gmx.net>

	* buffer.[Ch]: use InsetText instead of LyXText as container for
	the main lyx text.

	* dociterator.[Ch]: drop the BufferView * member which is not needed
	anymore after the change to buffer.C

	* paragraph_funcs.C:
	* text.C:
	* text2.C:
	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch]:
	* cursor.[Ch]:
	* cursor_slice.[Ch]: adjust

	* text3.C: fix bug in mathDispatch

2004-03-08  André Pönitz  <poenitz@gmx.net>

	* undo.[Ch]: use 'StableDocumentIterator' as base for
	the Undo struct.

2004-03-07  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* LaTeXFeatures.C:
	* bufferparams.[Ch]: add jurabib support and param.

	* LaTeX.C: add FIXME/comment.

2004-03-05  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* buffer.C: increment file format to 230.

2004-03-04  Alfredo Braunstein  <abraunst@lyx.org>

	* cursor.C (dispatch): avoid infinite loops

2004-03-01  Alfredo Braunstein  <abraunst@lyx.org>

	* rowpainter.C (paintSelection): fix x coordinates

2004-03-01  Alfredo Braunstein  <abraunst@lyx.org>

	* text.C (rowBreakPoint): fix breaking before displayed insets

2004-03-01  André Pönitz  <poenitz@gmx.net>

	* dociterator.[Ch]: new class for the 'iterator part' of LCursor.

	* cursor.[Ch]: adjust, additioally: remove the 'current_' machinery

	* Makefile.am:
	* BufferView.C:
	* BufferView_pimpl.C:
	* buffer.C:
	* lyxfind.C:
	* lyxfunc.C:
	* text.C:
	* text2.C:
	* text3.C: adjust

2004-03-01  Alfredo Braunstein  <abraunst@lyx.org>

	* lyxtext.h:
	* text.C:
	* text2.C:
	* rowpainter.C:
	* BufferView_pimpl.C: rename textwidth -> maxwidth,
	prepareToPrint -> computeRowMetrics and remove textWidth accessor.

2004-03-01  Alfredo Braunstein  <abraunst@lyx.org>

	* Bidi.[Ch] (computeTables): const correctness
	* lyxrow.[Ch]: add RowMetrics class, move there fill_separator,
	fill_hfill, fill_label_hfill and x from Row
	* lyxtext.h: prepareToPrint returns a RowMetrics
	* rowPainter.C: adjust
	* text.C (prepareToPrint): use width, not textWidth. adjust
	(redoParagraphInternal, cursorX): adjust
	* text2.C (getColumnNearX): adjust
	(init): put a default value to the top LyXText::width

2004-03-01  Alfredo Braunstein  <abraunst@lyx.org>

	* FontIterator.[Ch]: move FontIterator from lyxtext.h/text.C to here

2004-03-01  Alfredo Braunstein  <abraunst@lyx.org>

	* lyxtext.h: add FontIterator class

	* text.C (FontIterator, operator*, operator->, operator++): add
	(rowBreakPoint, setRowWidth): adjust (fixing a
	rebreaking bug)

2004-02-25  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C (workAreaDispatch): allow also
	LFUN_FILE_OPEN, which is used by the drag-and-drop code.

2004-02-27  Alfredo Braunstein  <abraunst@lyx.org>

	* text.C (rowBreakPoint): fix a bug showing with very large insets

2004-02-25  André Pönitz  <poenitz@gmx.net>

	* text3.C:
	* cursor.[Ch]: move some mathed specific code to mathed

2004-02-21  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyxrc.C, buffer.C, exporter.C: use always a temp dir, ignore
	use_tempdir in preferences
	* buffer.C (readFile), lyxvc.C (getLogFile): check success of
	tempfile creation
	* lyx_main.C: ensure that tempdir is valid
	* lyxlex.h: correct typo
	* buffer.[Ch] (isMultiLingual), (isUnnamed): make const
	* paragraph.[Ch] (isMultiLingual): make const
	* cursor.[Ch] (openable): make const

2004-02-20  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* text3.C: fixed LFUN_QUOTE and add lfun arguments single/double.

2004-02-20  André Pönitz  <poenitz@gmx.net>

	* dispatchresult.h: rename 'FINISHED' to 'FINISHED_LEFT'

	* cursor.[Ch]: prepare for localized getStatus()

	* lyxtext.h:
	* tabular.C:
	* text.C:
	* text2.C:
	* text3.C:  streamlines the LyXText cursor movement handlers a bit.

2004-02-20  André Pönitz  <poenitz@gmx.net>

	* lyxfunc.[Ch]: rename view_status_message() to viewStatusMessage()

2004-02-16  Alfredo Braunstein  <abraunst@lyx.org>

	* text2.C (setCursorFromCoordinates): switch to absolute coords
	(cursorUp): adjust
	(cursorDown): adjust
	* text3.C (dispatch): adjust

2004-02-16  André Pönitz  <poenitz@gmx.net>

	* cursor.[Ch]: use new '_void_ dispatch(...)' signature (see
	  insets/ChangeLog)

	* cursor_slice.[Ch]: remove unneeded acessor function

	* lyxtext.h: rename rtl() to isRTL()

	* rowpainter.C:
	* tabular.C:
	* text.C:
	* text2.C:
	* text3.C: adjust

2004-02-16  Alfredo Braunstein  <abraunst@lyx.org>

	* rowpainter.C (paintSelection): coord fix

2004-02-15  Georg Baum <Georg.Baum@post.rwth-aachen.de>

	* Spacing.C: compile fix

2004-02-13  Alfredo Braunstein  <abraunst@lyx.org>

	* cursor.C (dispatch): restore current_ before returning

2004-02-13  Alfredo Braunstein  <abraunst@lyx.org>

	* text2.C (cursorUp, cursorDown): fix coords
	(moveUp): fix crash

2004-02-12  André Pönitz  <poenitz@gmx.net>

	* lyxtext.h:
	* text.C:
	* text2.C:
	* text3.C: add LCursor & parameter to most cursor movement functions
	  remove usage of LyXText::cursorRow() and cursorPar()

	* cursor.[Ch]: add textRow() needed members

	* BufferView.C:
	* BufferView_pimpl.C:
	* paragraph.[Ch]:
	* BufferView.C:
	* BufferView_pimpl.C: adjust

2004-02-11  André Pönitz  <poenitz@gmx.net>

	* lyxfunc.C:
	* BufferView.[Ch]:
	* BufferView_pimpl.C: shift undo/redo handling

	* cursor.[Ch]: fix mathed crash

	* lyxfind.C:
	* lyxtext.h: move selectionAsText to LCursor

	* output_latex.C:
	* paragraph.C:
	* text.C:
	* text2.C:
	* text3.C: adjust

	* rowpainter.C: fix excessive drawing

2004-02-06  André Pönitz  <poenitz@gmx.net>

	* BufferView_pimpl.C: fix bug 2212: First change is skipped is
	"Merge changes..." dialog

2006-03-10  Martin Vermeer  <martin.vermeer@hut.fi>

	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch]:
	* text3.C: move some text specific LFUN handling

2004-02-06  Alfredo Braunstein  <abraunst@lyx.org>

	* text3.C (checkInsetHit): adjust coords
	* text2.C (getColumnNearX): adjust coords
	(edit): adjust coords
	* text.C (getRowNearY): add two asserts

2004-02-06  Martin Vermeer  <martin.vermeer@hut.fi>

	* converter.C:
	* format.C: add using std::distance to compile on gcc 2.95/stlport

2004-02-04  Martin Vermeer  <martin.vermeer@hut.fi>

	* cursor.[Ch]: workaround gcc 2.95 pointer comparison bug

2004-02-04  André Pönitz  <poenitz@gmx.net>

	* BufferView.[Ch] (insertInset):
	* BufferView_pimpl.[Ch] (insertInset): remove unneeded return value

	* text2.C:
	* text3.C: adjust

2004-02-03  Alfredo Braunstein  <abraunst@lyx.org>

	* BufferView_pimpl.C (dispatch): remove call to LCursor::dispatch
	on the default clause of the switch
	* lyxfunc.C (dispatch): call BufferView::dispatch if the event
	wasn't catched by LCursor::dispatch

2004-02-03  André Pönitz  <poenitz@gmx.net>

	* BufferView.C:
	* cursor.[Ch]: some additional asserts

	* undo.[Ch]: remove LyXText dependency in interface

	* lyxfunc.C: adjust

	* lyxtext.h (firstPar, lastPar): remove dead functions

	* text.C:
	* text2.C:
	* text3.C:
	* paragraph.[Ch]: adjust

2004-02-03  Alfredo Braunstein  <abraunst@lyx.org>

	* lyxfind.C (find): fix argument order in call to ::find

2004-02-02  André Pönitz  <poenitz@gmx.net>

	* cursor.[Ch]: remove direct access to anchor

	* text.C: remove findText() hack

2004-02-02  Alfredo Braunstein  <abraunst@lyx.org>

	* iterators.[Ch] (lockPath): remove in favour of...
	* BufferView.[Ch] (setCursor): this addition
	* BufferView.C (putSelectionAt): adjust
	* undo.C (performUndoOrRedo): adjust
	* lyxfunc.C (dispatch): adjust

2004-02-02  Alfredo Braunstein  <abraunst@lyx.org>

	* iterators.C (lockPath): add a missing slice
	* undo.C (performUndoOrRedo): remove redundant positioning code

2004-02-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* vc-backend.C (scanMaster): ";" -> ';'

2004-01-31  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxtextclasslist.C (less_textclass_avail_desc): inherit from
	std::binary_function

	* lyxtextclass.C (compare_name): rename to...
	(LayoutNamesEqual): ...this

	* lyxlex_pimpl.C (compare_tags): inherit from
	std::binary_function, put back into anon namespace

	* lyxfind.C (MatchString): inherig from std::binary_function
	(findChange): use empty() istead of !size()

	* format.C (FormatNamesEqual): new functor
	(getFormat): use it
	(getNumber): use it
	(add): use it
	(erase): use it
	(setViewer): use it

	* converter.C (compare_Converter): rename to...
	(ConverterEqual): ...this, and fixup a bit.
	(getConverter): use it, and make function const
	(getNumber): use it, and make function const
	(add): use it
	(erase): use it:

	* bufferlist.C: add using boost::bind

	* MenuBackend.C (MenuNamesEqual): new functor
	(hasMenu): use it, and make function const
	(hasSubmenu): use nested bind to get rid of compare_memfun.

2004-01-30  André Pönitz  <poenitz@gmx.net>

	* BufferView_pimpl.C:
	* cursor.C:
	* cursor.h:
	* cursor_slice.[Ch]:
	* lyxfunc.C:
	* lyxtext.h:
	* paragraph_funcs.C:
	* paragraph_funcs.h:
	* rowpainter.C:
	* text.C:
	* text2.C:
	* text3.C: move some of the edit(x,y) handling to the insets
	some coordinate changes.

2004-01-28  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text.C: add using statements for std::advance and std::distance

	* paragraph.C: add using statement for std::distance

	* lyxfind.C: add using statement for std::advance

	* cursor.C (region): remove std:: from swap
	(openable): use nucleus in stead of operator->

	* BufferView.C: add using statements for std::distance and std::swap

2004-01-27  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* iterators.C: Remove the pimple, move the needed structures to
	the header file. Create accessor for the positions stack.
	(asPosIterator): remove function

	* PosIterator.C (PosIterator): move constructors to top of file
	(PosIterator): reimplement the constructor taking a ParIterator in
	terms of setFrom.
	(setFrom): new function
	(operator!=): inline it

2004-01-26  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxfind.C (replaceAll): use std::advance

	* iterators.h: inherit from std::iterator.

	* PosIterator.C (advance, distance): remove
	* PosIterator.h: interit from std::iterator.

2004-01-26  André Pönitz  <poenitz@gmx.net>

	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch]:
	* InsetList.[Ch]:
	* PosIterator.[Ch]:
	* buffer.h:
	* bufferview_funcs.C:
	* cursor.[Ch]:
	* cursor_slice.h:
	* factory.[Ch]:
	* iterators.[Ch]:
	* lyxfind.C:
	* lyxfunc.C:
	* lyxtext.h:
	* output_docbook.C:
	* output_latex.C:
	* output_linuxdoc.C:
	* output_plaintext.C:
	* paragraph.[Ch]:
	* paragraph_funcs.[Ch]:
	* paragraph_pimpl.[Ch]:
	* rowpainter.C:
	* tabular.C:
	* tabular.h:
	* text.C:
	* text2.C:
	* text3.C: more IU:  dumps most of the rest of the mathcursor
    implementation into cursor.[Ch]; "globalize" a bit of it.

2004-01-25  Angus Leeming  <leeming@lyx.org>

	* lyxfunc.C (dispatch): Dialogs::showSearch is no more.

2004-01-19  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* LaTeXFeatures.h: add nice_ and nice() const
	* buffer.[Ch]: remove niceFile(), use LaTeXFeatures::nice() instead

2004-01-20  André Pönitz  <poenitz@gmx.net>

	* BufferView.[Ch]:
	* BufferView_pimpl.C:
	* PosIterator.C:
	* bufferview_funcs.C:
	* cursor.[Ch]:
	* cursor_slice.[Ch]:
	* factory.C:
	* iterators.C:
	* lyx_cb.C:
	* lyxfind.C:
	* lyxfunc.C:
	* lyxtext.h:
	* rowpainter.C:
	* text.C:
	* text2.C:
	* text3.C:
	* undo.[Ch]: lots of IU. Shift selection stuff from the BufferView to
	  LCursor and mathcursor parts to LCursor and InsetBase.

2004-01-15  André Pönitz  <poenitz@gmx.net>

	* cursor_slice.[Ch]: add a few covienience functions

	* funcrequest.[Ch]: remove BufferView * member

	* BufferView_pimpl.C:
	* cursor.C:
	* factory.[Ch]:
	* lyxfind.[Ch]:
	* lyxfunc.C:
	* lyxtext.h:
	* text3.C:
	* undo.[Ch]: adjust to this and changed signature of Inset::priv_dispatch()

2004-01-14  Alfredo Braunstein  <abraunst@lyx.org>

	* text.C (getWord): fix getWord (and thus LFUN_WORDSEL)
	* text3.C (dispatch): fix LFUN_WORD{RIGHT,LEFT}SEL

2004-01-13  André Pönitz  <poenitz@gmx.net>

	* textcursor.[Ch]:
	* lyxtext.h: hide cursor and selection anchor behind accessor function

	* BufferView.C:
	* BufferView_pimpl.[Ch]:
	* PosIterator.C:
	* bufferview_funcs.C:
	* cursor.h:
	* lyxfind.C:
	* lyxfunc.C:
	* text.C:
	* text2.C:
	* text3.C:
	* undo.C: adjust

	* cursor.h:
	* cursor_slice.[Ch]: some integer type changes for inset unification

	* lyxcursor.[hC]: remove, it's CursorSlice now.

	* Makefile.am:
	* BufferView_pimpl.[Ch]:
	* bufferview_funcs.C:
	* cursor_slice.C:
	* lyxtext.h:
	* text.C:
	* text2.C:
	* text3.C:
	* textcursor.[Ch]: adjust

2004-01-08  Alfredo Braunstein  <abraunst@lyx.org>

	* text2.C (undoSpan): add and use
	* text.C (breakParagraph): use undoSpan (fix bug 578)
	* lyxtext.h: adjust

2004-01-08  Angus Leeming  <leeming@lyx.org>

	* BufferView_pimpl.C (MenuInsertLyXFile):
	* lyx_cb.C (WriteAs, getContentsOfAsciiFile):
	* lyxfunc.C (menuNew, open, doImport):
	FileFilterList change to the FileDialog open and save functions.

2004-01-07  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* ShareContainer.h: make isEqual and isUnique adaptable

	* CutAndPaste.C: make resetOwnerAndChanges adaptable

2004-01-07  Angus Leeming  <leeming@lyx.org>

	* LyXAction.C:
	* lfuns.h: add LFUN_WORD_FIND and LFUN_WORD_REPLACE.

	* BufferView_pimpl.C (dispatch): act on these LFUNs.

	* lyxfind.[Ch] (find2string, replace2string, find, replace): new
	functions replacing find, replace and replaceAll.

	* lyxfunc.C (dispatch): invoke LFUN_WORD_FIND from a call to
	LFUN_WORDFIND(FORWARD|BACKWARD).

2004-01-07  Alfredo Braunstein  <abraunst@lyx.org>

	* text.C (breakParagraph): remove an outdated #warning

2004-01-07  André Pönitz  <poenitz@gmx.net>

	* lyxfind.C: somewhat clearer logic

	* text.C: prevent crash in cursorX on unitialized row cache

2004-01-07  Alfredo Braunstein  <abraunst@lyx.org>

	* lyxcursor.[Ch] (operator>): add
	* textcursor.C (selStart, selEnd): use std::min and std::max

2004-01-06  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Chktex.C: include boost/format.hpp

2004-01-05  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* InsetList.C: replace functor MathcIt with adaptable functor
	InsetTablePosLess
	(insetIterator): modify accordingly

	* BranchList.h: move the BranchNamesEqual functor here from...
	* BranchList.C: ... to here

	* BranchList.C: new BranchListEqual fuctor, use it. Remove
	SameName and match.
	(add): replace a finding loop with std::find_if.

2003-12-31  Martin Vermeer  <martin.vermeer@hut.fi>

	* output_docbook.C: moving LatexParam functionality into
	.layout files

2003-12-29  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* buffer.C: increment format to 229.

2003-12-28  Michael Schmitt  <michael.schmitt@teststep.org>

	* LaTeXFeatures.C:
	* lyx_sty.[Ch]: remove minipageindent_def

	* LyXAction.C:
	* factory.C:
	* lfuns.h:
	* lyxfunc.C:
	* text3.C: remove LFUN_INSET_MINIPAGE

2003-12-28  Angus Leeming  <leeming@lyx.org>

	* text3.C (dispatch): output useful info on receipt of LFUN_GETLAYOUT.

2003-12-19  Alfredo Braunstein  <abraunst@lyx.org>

	* text2.C (setParagraph): fix off-by-one crash

2003-12-18  Martin Vermeer  <martin.vermeer@hut.fi>

	* output_docbook.C: header stuff for AGU

2003-12-17  Alfredo Braunstein  <abraunst@lyx.org>

	* text2.C (redoCursor): remove
	* text.C:
	* text3.C:
	* BufferView_pimpl.C: remove calls to redoCursor and
	setCursor(cursor.par(), cursor.pos()) all around

2003-12-15  Angus Leeming  <leeming@lyx.org>

	* buffer.C: up the format to 228.

2003-12-15  André Pönitz  <poenitz@gmx.net>

	* cursor_slice.[Ch]: new class to cover texted and mathed's cursor
	slices

	* Makefile.am:

	* BufferView_pimpl.C:
	* cursor.[Ch]:
	* lyxcursor.[Ch]:
	* rowpainter.[Ch]:
	* lyxtext.h:
	* text.C:
	* text2.C:
	* text3.C: adjust

2003-12-15  Angus Leeming  <leeming@lyx.org>

	* metricsinfo.C (ColorChanger): use LColor::getFromLyXName rather
	than getFromGUIName to manipulate the color.

2003-12-14  Angus Leeming  <leeming@lyx.org>

	* BranchList.[Ch]: minimize the API.
	(Branch::getBranch, getColor): now return a 'const &'.
	(Branch::setSelected) now returns a bool set to true if the
	selection status changes.
	(BranchList::clear, size, getColor, setColor, setSelected,
	allBranches, allSelected, separator): removed.
	(BranchList::find): new functions, returning the Branch with
	the given name.
	(BranchList::add, remove): return a bool indicating that
	the operation was successful.

	* InsetList.C (insetsOpenCloseBranch): much simplified thanks to a
	new InsetBranch::isBranchSlected member function.

	* LColor.[Ch]: mimimize the API.
	(fill): renamed as addColor and made private.
	(setColor, getGUIName, getX11Name, getLaTeXName): the overloaded
	versions of these functions taking a string arg have been removed.

	* bufferparams.C (readToken):
	* lyxfunc.C (dispatch):
	* lyxrc.C (read): changes due to the altered BranchList and
	LColor APIs.

	* factory.C (createInset, readInset): changes due to altered
	InsetBranch c-tor.

2003-12-14  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* factory.C:
	* lyxfunc.C: remove insetminipage. "minipage-insert"
	now produces a frameless minipage box inset.

2003-12-12  Alfredo Braunstein  <abraunst@lyx.org>

	* textcursor.[Ch] (selStart,selEnd): add new methods
	remove selection::start, end, use LyXCursor::operator<
	* lyxcursor.[Ch] (operator<): add
	* BufferView_pimpl.[Ch]: add new struct xsel_cache_
	* BufferView.[Ch] (unsetXSel): add
	* text2.C (clearSelection): use unsetXSel,adjust
	* text.C: adjust
	* text3.C: adjust
	* rowpainter.C: adjust
	* bufferview_funcs.C (put_selection_at): adjust

2003-12-12  Alfredo Braunstein  <abraunst@lyx.org>

	* BufferView_pimpl.C: small coord. correction

2003-12-12  Alfredo Braunstein  <abraunst@lyx.org>

	* BufferView_pimpl.C (workAreaDispatch): avoid crashing when
	dragging over the splash screen.

2003-12-11  Angus Leeming  <leeming@lyx.org>

	* BufferView_pimpl.C (dispatch): remove LFUN_INSET_APPLY code
	as it is now handled in LyXText::dispatch.

	* text3.C (doInsertInset): remove a level of nesting.

2003-12-11  Angus Leeming  <leeming@lyx.org>

	* factory.C (createInset): changes due to the changed interface to
	InsetCommandMailer::string2params.

2003-12-10  Angus Leeming  <leeming@lyx.org>

	* lyxfunc.C (dispatch): enable all inset dialogs to be opened with
	'dialog-show-new-inset <inset name>'

2003-12-10  Angus Leeming  <leeming@lyx.org>

	* buffer.C: up the format to 227.

	* factory.C: the box inset is now identified simply by 'Box'.

2003-12-10  Angus Leeming  <leeming@lyx.org>

	* buffer.C: up the format to 226.

	* factory.C: the note inset is now identified simply by 'Note'.

2003-12-08  Alfredo Braunstein  <abraunst@libero.it>

	* lyxtext.h, text2.C (setLayout): don't use cursor to iterate,
	when a pit is enough. Standarize a couple of loops.

2003-12-05  Angus Leeming  <leeming@lyx.org>

	* lyxfunc.C (dispatch): DIALOG_SHOW now handles "latexlog" and
	"vclog" explicitly, passing the appropriate "<logtype> <filename>"
	data to the re-worked "log" dialog.

2003-12-03  André Pönitz  <poenitz@gmx.net>

	* PosIterator.C:
	* iterators.C:
	* lyxtext.h:
	* output_latex.C:
	* paragraph_funcs.C:
	* text.C:
	* text2.C: use Inset::getText instead of Inset::getParagraph

2003-12-03  André Pönitz  <poenitz@gmx.net>

	* buffer.[Ch]:
	* lyxtext.h:
	* paragraph_funcs.[Ch]: consolidate parts of Buffer::read() and
	InsetText::read() as LyXText::read()

2003-12-02  Angus Leeming  <leeming@lyx.org>

	* lyxlex.[Ch] (operator void const *): add the 'const' to the return
	type. Add a comment in the implementation that the function uses
	the stream's bad() function rather than fail() as the std::streams
	would do.

2003-12-02  André Pönitz  <poenitz@gmx.net>

	* lyxlex.[Ch]: make interface more similar to std::stream

	* lyxlex_pimpl.[Ch]: don't use '__' in identifiers

2003-12-01  Martin Vermeer  <martin.vermeer@hut.fi>

	* lyxtextclass.[Ch]: add latexparam to CharStyle inset

2003-12-01  Michael Schmitt  <michael.schmitt@teststep.org>

	* vspace.[Ch]: remove VSpace::NONE

2003-12-01  André Pönitz  <poenitz@gmx.net>

	* buffer.[Ch]:
	* lyxtext.h: move ParagraphList member to LyXText
	rename LyXText::ownerParagraphs to LyXText::paragraph

	* CutAndPaste.C:
	* bufferview_funcs.C:
	* iterators.[Ch]:
	* lyx_cb.C:
	* paragraph.C:
	* rowpainter.C:
	* tabular.C:
	* text.C:
	* text2.C:
	* text3.C: adjust

	* lyxfunc.C: move LFUN_INSET_TOGGLE handling to insets.

	* undo.C: fix cursor positioning

2003-12-01  John Levon  <levon@movementarian.org>

	* BufferView_pimpl.C: fix a crash on exit with
	a buffer open

2003-11-30  Martin Vermeer  <martin.vermeer@hut.fi>

	* BranchList.C: fix setSelected() method.

2003-11-28  André Pönitz  <poenitz@gmx.net>

	* ParagraphParameters.[Ch]:
	* ParameterStruct.h: remove space above/below from Paragraph to
	 InsetVSpace

	* BufferView_pimpl.C:
	* factory.C:
	* lyxfunc.C:
	* lyxtext.h:
	* output_latex.C:
	* paragraph.C:
	* paragraph_funcs.C:
	* rowpainter.[Ch]:
	* text.C:
	* text2.C:
	* text3.C: adjust

2003-11-28  Martin Vermeer  <martin.vermeer@hut.fi>

	* factory.C: Syntax change for CharStyles

2003-11-28  André Pönitz  <poenitz@gmx.net>

	* BufferView.[Ch]:
	* BufferView.[Ch]:
	* buffer.[Ch]:
	* buffer.[Ch]: move LyXText member

2003-11-28  André Pönitz  <poenitz@gmx.net>

	* BufferView.[Ch]: make LyXText * text a private member

	* BufferView_pimpl.C:
	* cursor.C:
	* iterators.C:
	* lyx_cb.C:
	* lyxfind.C:
	* lyxtext.h:
	* rowpainter.[Ch]:
	* text.C:
	* text2.C:
	* undo.C: adjust

	* output_plaintext.C: cleanup

2003-11-27  Martin Vermeer  <martin.vermeer@hut.fi>

	* buffer.C:
	* lyxtextclass.[Ch]: parametrize SGML document header

2003-11-27  Martin Vermeer  <martin.vermeer@hut.fi>

	* converter.[Ch]:
	* exporter.C: replace bool-valued Pdflatex() by FLAVOR-valued
	getFlavor().

2003-11-27  Alfredo Braunstein  <abraunst@lyx.org>

	* text2.C (setFont): rework using PosIterator (no more recursive)
	(setCharFont): no more needed
	(setLayout): no more selection cursors fiddling (done by redoCursor)
	* text.C: cursorRight(bv)->cursorRight(true) (TODO: find and
	destroy remaining ones)

2003-11-26  Alfredo Braunstein  <abraunst@lyx.org>

	* bufferview_funcs.[Ch]: split changeDepthAllowed from changeDepth
	* lyxtext.h: ditto
	* text2.C: same thing + updateCounters fix + redoCursor also adjusts
	selection cursors
	* lyxfunc.C: adjust
	* text3.C: adjust + re-allow multi par depth changes
	* textcursor.C: simplify a bit

2003-11-25  Martin Vermeer  <martin.vermeer@hut.fi>

	* src/buffer.C:
	* src/lyxlayout.C:
	* src/lyxlayout.h:
	* src/lyxtext.h:
	* src/output_docbook.C:
	* src/output_latex.C:
	* src/paragraph.C:
	* src/paragraph.h:
	* src/sgml.C:
	* src/sgml.h:
	* src/text2.C: Introducing a number of tags parametrizing various
	XML formats that we may want to support

2003-11-25  André Pönitz  <poenitz@gmx.net>

	* InsetList.[Ch] (begein, end): inline as suggested by profiler

	* lyxtext.h (leftMargin/rightMargin): simplify interface

	* rowpainter.C:
	* text.C:
	* text2.C:
	* text3.C: adjust

2003-11-24  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyxfunc.C (dispatch): propogate the bibtex databases from the
	master file to any child files. Fixes bug 546.

2003-11-24  Alfredo Braunstein  <abraunst@lyx.org>

	* lyxfind.C (findNextChange): remove unneeded bv->text->init call

2003-11-24  André Pönitz  <poenitz@gmx.net>

	* rowpainter.C: simplification

	* text2.C (updateCounters): remove call to redoParagraph on
	changed labels as this is far too expensive.

2003-11-24  Alfredo Braunstein  <abraunst@lyx.org>

	* converter.C (convert): fix a crash: this function gets
	called with buffer == 0 from importer code.

2003-11-22  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text3.C (cursorPrevious): make sure that we do not compare
	iterators form different containers.
	(cursorNext): ditto

	* rowpainter.C (paintSelection): make sure that we do not compare
	iterators from different containers.

	* text3.C (dispatch): [PRIOR] make sure that we do not compare
	iterators from different ParagraphList containers.
	[NEXT] ditto

	* text2.C (LyXText): change order of initialization slightly
	(operator=): new function. copy all variables except cache_par_
	(moveUp): make sure that we do not compare iterators from
	different ParagraphList constainers.
	(moveDown): ditto

	* text.C (firstPar): new function
	(lastPar): new function
	(endPar): new function

	* lyxtext.h: move things around and group public functions, public
	variables, private functions, private variables

2003-11-21  Michael Schmitt  <michael.schmitt@teststep.org>

	* factory.C: change call to InsetERT constructor to avoid
	additional invocation of method status
	* text2.C (toggleInset): remove redundant update() call
	* InsetList.[Ch] (insetsOpenCloseBranch): Pass Buffer reference
	instead of a Bufferview pointer

2003-11-21  André Pönitz  <poenitz@gmx.net>

	* rowpainter.C: simplification

2003-11-21  Alfredo Braunstein  <abraunst@lyx.org>

	* text3.C (dispatch): make possible to extend a word/row selection
	with the mouse

2003-11-21  Alfredo Braunstein  <abraunst@lyx.org>

	* lyxtext.h: x0_,y0_ -> xo_,yo_
	* text2.C (cursorUp, cursorDown): adjust + some cursorRow use
	* text3.C (checkInsetHit): fix coordinates using absolute xo_,yo_
	* rowpainter.C (paintRows): paint full paragraphs

2003-11-20  Alfredo Braunstein  <abraunst@lyx.org>

	* text2.C (cursorUp, cursorDown): small fix (insettext::edit takes
	screen coordinates)

2003-11-20  Alfredo Braunstein  <abraunst@lyx.org>

	* lyxtext.h: add x0_, y0_
	* text3.C (cursorPrevious, cursorNext): rewrite (using x0_, y0_)
	* text2.C (cursorDown, cursorUp): rewrite (using x0_, y0_)

2003-11-18  Alfredo Braunstein  <abraunst@lyx.org>

	* text2.C (setCursorIntern): move the x_target update here *
	* text3.C: change some bv() to true/false in calls to
	cursorUp/Down/Right/Left
	* cursor.C: use helper function.

2003-11-17  Alfredo Braunstein  <abraunst@lyx.org>

	* BufferView_pimpl.C: send LFUN_MOUSE_MOTION to the cursor
	* paragraph_funcs.[Ch]: correct comment
	* rowpainter.C: do not paint selections away from bv->cursor()
	Fix a long standing selection painting bug.
	* text3.C: generalize mouse-selection code to LyXTexts other that
	top one
	* textcursor.C: do not use y coords if we can use par offsets

2003-11-17  Alfredo Braunstein  <abraunst@lyx.org>

	* lyxfunc.C (dispatch): add a missing LCursor::updatePos (fix
	cursor position after e.g. inset insert)

2003-11-16  Alfredo Braunstein  <abraunst@lyx.org>

	* lyxfind.C (replace): adjust to locking removal + some
	code simplification

2003-11-14  Alfredo Braunstein  <abraunst@lyx.org>

	* cursor.C (dispatch): dispatch to BufferView::dispatch at the end
	of the path

2003-11-14  Martin Vermeer  <martin.vermeer@hut.fi>

	* lyxlayout.[Ch]:
	* output_docbook.C: XML sanitation: new layout
	parameters InnerTag and CommandDepth

2003-11-13  Martin Vermeer  <martin.vermeer@hut.fi>

	* BufferView_pimpl.C:
	* factory.C:
	* text3.C: Fix the insertion and modification of button-style
	insets

2003-11-13  André Pönitz  <poenitz@gmx.net>

	* InsetList.[Ch]: remove deleteLyXText

	* paragraph.[Ch]: cache beginOfBody position

	* Bidi.C:
	* text.C:
	* text2.C:
	* text3.C: remove superfluous update() calls

	* vspace.C: cleanup

2003-11-13  Alfredo Braunstein  <abraunst@lyx.org>

	* BufferView_pimpl.C (fitCursor): call screen().fitCursor()
	* BufferView.C (fitLockedInsetCursor): remove
	* cursor.[Ch] (getDim): add
	* text.C (getRowNearY): add faster version
	* text3.C: remove some update calls

2003-11-12  Martin Vermeer  <martin.vermeer@hut.fi>

	* LaTeXFeatures.C:
	* LyXAction.C:
	* MenuBackend.C:
	* MenuBackend.h:
	* dispatchresult.h:
	* factory.C:
	* lfuns.h:
	* lyxfunc.C:
	* lyxtextclass.C:
	* lyxtextclass.h:
	* text3.C: The Character Style /XML short element patch.

2003-11-11  Martin Vermeer  <martin.vermeer@hut.fi>

	* text3.C:
	* factory.C: Small step to solving 'unable to insert some insets'
	problem

2003-11-11  Alfredo Braunstein  <abraunst@lyx.org>

	* cursor.[Ch] (updatePos): new function for updating the y
	position of the tip inset
	* bufferview_funcs.C (put_selection_at):
	* BufferView_pimpl.C (workAreaDispatch): rationalise update calls

2003-11-11  André Pönitz  <poenitz@gmx.net>

	* text.C: remove big comment on invalid Paragraph pointers as it is
	not valid anymore

2003-11-11  André Pönitz  <poenitz@gmx.net>

	* text_funcs.[Ch]: merge with ...

	* text.C: ... this

	* lyxtext.h:
	* text2.C:
	* text3.C: adjust

	* Makefile.am: remove text_funcs.[Ch]

2003-11-11  Alfredo Braunstein  <abraunst@libero.it>

	* cursor.C (getPos): return absolute cached y coord

	* BufferView_pimpl.C (fitCursor): new simplistic code
	(workAreaDispatch): add a fitCursor call

2003-11-10  André Pönitz  <poenitz@gmx.net>

	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch]: merge update() and updateInset()

2003-11-10  André Pönitz  <poenitz@gmx.net>

	* lfuns.h: new LFUN_FINISHED_LEFT, LFUN_FINISHED_RIGHT,
	LFUN_FINISHED_UP, LFUN_FINISHED_DOWN used in dispatch to
	indicate that the cursor needs to leave an inset

	* lyxtext.h: remove inset locking

	* cursor.[Ch]: re-implement functionality provided by inset locking

	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch]:
	* LyXAction.C:
	* bufferview_funcs.[Ch]:
	* factory.C:
	* funcrequest.[Ch]:
	* iterators.C:
	* lyx_cb.C:
	* lyxfind.C:
	* lyxfunc.C:
	* text.C:
	* text2.C:
	* text3.C:
	* undo.C: adjust

2003-11-07  Alfredo Braunstein  <abraunst@libero.it>

	* PosIterator.[Ch]: replace the stack with a vector, add inset
	accesor
	* iterators.[C]: adjust

2003-11-06  Alfredo Braunstein  <abraunst@libero.it>

	* lyxfind.C (replaceAll): mark the buffer dirty if something was
	replaced
	* paragraph_funcs.C (readParToken): put the correct id in the
	error item, not the id of the top paragraph

2003-11-06  Alfredo Braunstein  <abraunst@libero.it>

	* iterators.[Ch] (ParIterator): new PosIterator-based ctor
	* bufferview_funcs.C (put_selection_at): use the above

2003-11-05  Alfredo Braunstein  <abraunst@libero.it>

	* text2.C (deleteEmptyParagraphMechanism): fix n-th crash

2003-11-05  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* output_linuxdoc.h:
	* output_plaintext.h:
	* output.h:
	* output_docbook.h: add #include statements

2003-11-05  José Matos  <jamatos@lyx.org>

	* output_docbook.[Ch]:
	* output_latex.[Ch]:
	* output_linuxdoc.[Ch]:
	* output_plaintext.[Ch]: New files for output formats.
	* output.[Ch]: New file for helper functions.

	* buffer.[Ch]:
	* paragraph_funcs.[Ch]: output functions moved to new files.

	* outputparams.h: rename of latexrunparams.h

	* LaTeX.[Ch]:
	* buffer.[Ch]:
	* bufferlist.[Ch]:
	* converter.[Ch]:
	* exporter.C:
	* paragraph.[Ch]:
	* paragraph_funcs.[Ch]:
	* paragraph_pimpl.[Ch]:
	* tabular.[Ch]: rename ascii to plaintext
	and LatexRunParams to OutputParams.

2003-11-05  Alfredo Braunstein  <abraunst@libero.it>

	* iterators.[Ch] (text): require bv argument
	* undo.C (recordUndo):
	* lyxfunc.C (dispatch):
	* bufferview_funcs.C (put_selection_at): adjust

2003-11-05  Joï¿½ Luis M. Assirati  <assirati@fma.if.usp.br>

	* lyxsocket.C: export variables XEDITOR and LYXSOCKET

2003-11-05  Alfredo Braunstein  <abraunst@libero.it>

	* lyxfunc.C (dispatch): make LFUN_GOTO_PARAGRAPH work with deep
	nestings

2003-11-04  André Pönitz  <poenitz@gmx.net>

	* cursor.[Ch]: restructure

	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch]: new LCursor cursor_ member

	* iterators.[Ch] (asCursor): remove

	* lfuns.h: remove LFUN_INSET_EDIT

	* lyxfunc.C:
	* tabular.C:
	* text.C:
	* text2.C:
	* text3.C: use Inset::edit() instead of dispatch(LFUN_INSET_EDIT)

2003-11-04  Alfredo Braunstein  <abraunst@libero.it>

	* lyxfind.[Ch]: complete overhaul
	* BufferView_pimpl.C:
	* lyxfunc.C: adjust
	* paragraph.[Ch] (insert): add

2003-11-04  Alfredo Braunstein  <abraunst@libero.it>

	* BufferView.[Ch]:
	* lyxtext.h:
	* text.C: remove dead spellcheck code

2003-11-04  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* dispatchresult.h: add a val setter

	* cursor.C (dispatch): use a tempvar for data_[i]

2003-11-04  Alfredo Braunstein  <abraunst@libero.it>

	* PosIterator.[Ch]: compile fix

2003-11-04  Alfredo Braunstein  <abraunst@libero.it>

	* text.C (cursorPar): deactivate the cursor cache

2003-11-03  Alfredo Braunstein  <abraunst@libero.it>

	* undo.C (performUndoOrRedo): fix cursor positioning with lockPath

2003-11-03  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text3.C (dispatch): adjust for new DisptchResult semantics.

	* lyxfunc.C (dispatch): handle update when return from
	Cursor::dispatch, adjust for new DispatchResult semantics.

	* dispatchresult.h: drop NOUPDATE from dispatch_result_t. Make
	DispatchResult(true) mean to not update. Add class functions for
	setting dispatched and update, as well as reading.

	* cursor.C (dispatch): don't handle update here

2003-11-03  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* trans_mgr.h: store t1_ and t2_ in scoped_ptr
	* trans_mgr.C: adjust

	* paragraph_funcs.C (readParToken): exception safety

	* lyxvc.h: store the vcs pointer in a scoped_ptr
	* lyxvc.C: adjust

	* lyxsocket.C (serverCallback): exception safety

	* lyx_cb.C (AutoSaveBuffer): make it return a auto_ptr

	* ispell.C (clone): make it return a auto_ptr

	* factory.C (createInset): exception safety
	(readInset): exception safety

	* bufferlist.C (newBuffer): exception safety

	* Thesaurus.C (Thesaurus): use initialization for aik_

	* MenuBackend.C (expandToc): exception safety.

2003-11-03  André Pönitz  <poenitz@gmx.net>

	* buffer.C:
	* buffer.h:
	* bufferview_funcs.C: remove getInsetFromId()

	* lyxcursor.[Ch]:
	* BufferView.[Ch]: move x_fix from LyXCursor to BufferView

	* lyxfunc.C:
	* text2.C:
	* text3.C: adjust

2003-11-03  Alfredo Braunstein  <abraunst@libero.it>

	* PosIterator.C (distance, advance): new
	* bufferview_funcs.[Ch] (put_selection_at): new
	* iterators.[Ch] (lockPath): new

2003-11-02  Alfredo Braunstein  <abraunst@libero.it>

	* iterators.[Ch] (asPosIterator): added
	* buffer.[Ch] (pos_iterator_begin, pos_iterator_end): added
	* PosIterator.[Ch]: added

2003-11-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text3.C:
	* lyxfunc.C:
	* cursor.C (dispatch):
	* BufferView_pimpl.C (dispatch): adjust for DispatchResult changes

	* dispatchresult.h: remove UNDISPATCHED, DISPATCHED and
	DISPATCHED_NOUPDATE from dispatch_result_t, add NONE. Add a
	contructor, add a class function dispatched. Remove operator>=

2003-11-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* debug.C: only use the default constructor for debugstream
	(lyxerr) here.

	* main.C (main): include debug.h and setup the lyxerr streambuf
	here.

2003-10-31  José Matos  <jamatos@lyx.org>

	* paragraph_funcs.C (addDepth, asciiParagraph): move from buffer.C

	* buffer.[Ch] (writeFileAscii, makeLinuxDocFile, makeDocBookFile):
	* paragraph.[Ch] (simpleLinuxDocOnePar, simpleDocBookOnePar, asString):
	* paragraph_funcs.[Ch] (linuxdocParagraphs, docbookParagraphs):
	* paragraph_pimpl.C (simpleTeXSpecialC):
	* tabular.[Ch] (linuxdoc, docbookRow, docbook, ascii):
	add LatexRunParams argument.

	* exporter.C (Export): change call accordingly.

	* latexrunparams.h: add new member to take care of the other backends.
2003-10-30  José Matos  <jamatos@lyx.org>

	* buffer.C (makeLinuxDocFile, makeDocBookFile):
	* paragraph_funcs.[Ch] (linuxdocParagraphs, docbookParagraphs):
	factorise code for paragraph output.
	* buffer.[Ch]:
	* paragraph.[Ch] (simpleLinuxDocOnePar, simpleDocBookOnePar):
	move functions.

2003-10-29  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text3.C (dispatch):
	* lyxfunc.C (dispatch):
	* cursor.C (dispatch):
	* BufferView_pimpl.C (dispatch): explict DispatchResult ctor fallout.

	* dispatchresult.h: make the dispatch_result_t ctor explicit

2003-10-29  Martin Vermeer  <martin.vermeer@hut.fi>

	* sgml.[Ch]:
	* buffer.C: small refactoring of docbook stuff

2003-10-29  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* dispatchresult.h: remove FINISHED_POP as FINISHED has the same
	meaning.

2003-10-29  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* dispatchresult.h: rename DISPATCHED_POP to FINISHED_POP, remove
	operator dispatch_result_t, and operators for == != and >=

	* cursor.C (dispatch): adjust for operator dispatch_result_t
	removal. comment out call to update

	* BufferView_pimpl.C (dispatch): dont implicit covert to bool

2003-10-29  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text3.C:
	* text2.C:
	* text.C:
	* lyxtext.h:
	* lyxfunc.C:
	* cursor.C:
	* BufferView_pimpl.C: dispatch_result -> DispatchResult changes.
	(dispatch):

	* dispatchresult.h: new file, DispatchResult broken out of
	insets/insetbase.h

	* Makefile.am (lyx_SOURCES): add dispatchresult.h

2003-10-28  Alfredo Braunstein  <abraunst@libero.it>

	* text.C (rowBreakPoint): put a hack inside #if 0

2003-10-28  André Pönitz  <poenitz@gmx.net>

	* lyxtext.h:
	* metricsinfo.C:
	* paragraph_funcs.C:
	* rowpainter.C:
	* text.C:
	* text2.C: general cleanup (lots of small stuff)

2003-10-28  Alfredo Braunstein  <abraunst@libero.it>

	* text2.C (cursorEnd): simple fix to the "end key goes to one
	before the end on last row" bug

2003-10-27  Alfredo Braunstein  <abraunst@libero.it>

	* text.C (backspace): fix the "zombie characters"

2003-10-27  Alfredo Braunstein  <abraunst@libero.it>

	* lyxfunc.C (dispatch): small fix to toc navigation inside branches

2003-10-27  André Pönitz  <poenitz@gmx.net>

	* lfuns.h: new LFUN_REPEAT, LFUN_INSERT_LINE, LFUN_INSERT_PAGEBREAK

	* factory.C: handle new InsetPagebreak, InsetLine

	* ParagraphParameters.h: remove [line|pagebreak]_[above|below]
	and move handling into new InsetPagebreak, InsetLine

	* BufferView_pimpl.C:
	* LyXAction.C:
	* ParagraphParameters.C:
	* ParameterStruct.h:
	* lyxfunc.C:
	* lyxtext.h:
	* paragraph.C:
	* paragraph.h:
	* paragraph_funcs.C:
	* paragraph_pimpl.C:
	* rowpainter.C:
	* text.C:
	* text2.C:
	* text3.C: adjust

2003-10-27  Alfredo Braunstein  <abraunst@libero.it>

	* text.C:
	* lyxrow_funcs.[Ch]:
	* Bidi.C:
	* paragraph.C:
	* lyxtext.h:
	* rowpainter.C:
	* text2.C:
	* text3.C: remove lastPos uses in favour of Row::endpos

2003-10-27  Alfredo Braunstein  <abraunst@libero.it>

	* undo.C (performUndoOrRedo): fix two crashes by setting a
	cursor by hand and reordering some calls. Use bv->lockInset instead
	of inset->edit because the latter loses cursor information

2003-10-25  Alfredo Braunstein  <abraunst@libero.it>

	* text.C (prepareToPrint): fix linebreak rowbreaking as suggested
	by Martin
	(rowBreakPoint): fix width. change point to point + 1.
	Add a missing check.

2003-10-25  Martin Vermeer  <martin.vermeer@hut.fi>

	* MenuBackend.C:
	* lyxfunc.C: fix (at least partly) the problems
	with the Nav menu and headers inside branch insets
	reported by Kayvan

2003-10-24  Alfredo Braunstein  <abraunst@libero.it>

	* paragraph.C (getChar): add strong asserts

	* lyxrow_funcs.C (lastPos): remove hideous hack

	* text.C (addressBreakPoint, rowBreakPoint): put endpos in place
	(fill): adjust to that (avoid an infinite loop)

2003-10-23  Alfredo Braunstein  <abraunst@libero.it>

	* text3.C (cursorPrevious, cursorNext): fix 2 "dontlikes"

2003-10-23  André Pönitz  <poenitz@gmx.net>

	* RowList_fwd.h: change list<> to vector<> to gain speed
	after suggestion from Alfredo

2003-10-23  Alfredo Braunstein  <abraunst@libero.it>

	* lyxtext.h: move the bidi stuff from here...
	* text.C: and here
	* text2.C: and here
	* Bidi.[Ch]: ... to here

2003-10-23  André Pönitz  <poenitz@gmx.net>

	* lyxtext.h:
	* text.C (isLastRow, isFirstRow): new functions

	* paragraph.h: new width cache member

	* rowpainter.C: replace RowList::iterator with Row & where possible

	* lyxfunc.C: replace several view()->text with a single call

	* toc.C: fix 'unused' warning

2003-10-23  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxlex_pimpl.C (setFile,setStream): be sure to use correct types
	when woring with stream::pos_type
	* paragraph_pimpl.C (simpleTeXSpecialChars): ditto

2003-10-22  André Pönitz  <poenitz@gmx.net>

	* lyxtext.h:
	* text.C: use Row & instead of RowList::iterator

	* lyxrow.h: rename end() to endpos()

	* rowpainter.C:
	* text.C:
	* text2.C: adjust

2003-10-22  Angus Leeming  <leeming@lyx.org>

	* buffer.[Ch] (fully_loaded): new member function, returning true
	only when the file has been loaded fully.
	Used to prevent the premature generation of previews and by the
	citation inset to prevent computation of the natbib-style label.

	* buffer_funcs.C (newFile): set Buffer::fully_loaded once the
	templates are all set up.

	* factory.C (createInset): remove call to InsetCitation::setLoadingBuffer.

2003-10-22  Martin Vermeer  <martin.vermeer@hut.fi>

	* text.C: fixed an "oops" in the "is a bit silly"
	bug fix

2003-10-21  André Pönitz  <poenitz@gmx.net>

	* FuncStatus.[Ch]: small stuff, whitespace

	* lyxfont.[Ch]: operator<<() for debug reasons

	* lyxfunc.C:
	* lyxrow_funcs.C:
	* lyxtext.h: whitespace, spelling

	* paragraph.C: naming of variables

	* text.C:
	* text2.C: small stuff


2003-10-21  Martin Vermeer  <martin.vermeer@hut.fi>

	* text.C: (1) finish off the inset display() work;
	(2) fix the "is a bit silly" bug (accessing char
	past end of par).

2003-10-20  Martin Vermeer  <martin.vermeer@hut.fi>

	* text.C: re-introduce display() for insets, fixing the
	various bugs (stretch of line above, math inset
	positioning, ...)

2003-10-20  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text.C (rightMargin): remove spurious semicolon

	* lengthcommon.C: add empty unit_name* entries for UNIT_NONE (bug
	1415)

2003-10-18  Martin Vermeer  <martin.vermeer@hut.fi>

	* text3.C: fix one crash due to wrong cursor def

2003-10-17  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* vc-backend.C (scanMaster): make the regex static

	* LaTeX.C (scanAuxFile): make the regexs static

	* text3.C (doInsertInset, dispatch, dispatch):
	* text2.C (cursorUp, cursorDown):
	* text.C (selectNextWordToSpellcheck):
	* BufferView_pimpl.C (dispatch):
	* lyxfunc.C (dispatch):  localDispatch -> dispatch

2003-10-14  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxsocket.C: include <cerrno>

2003-10-17  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxfunc.C (dispatch): remove textcache stuff

	* bufferlist.C (release): remove textcache stuff
	(closeAll): ditto

	* TextCache.C: delete file
	* TextCache.h: delete file

	* Makefile.am (lyx_SOURCES): delete TextCache.C and TextCache.h

	* BufferView_pimpl.C (buffer): remove textcache stuff, add a
	delete of the bv_->text.
	(resizeCurrentBuffer): remove texcache stuff
	(workAreaResize): ditto

2003-10-16  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxfunc.C (getStatus): also set flag disabled if it is a unknown
	action.

2003-10-16  André Pönitz  <poenitz@gmx.net>

	* lyxrow.[Ch]:
	* paragraph.h:
	* rowpainter.C:
	* text.C:
	* text2.C:
	* text3.C: speed up by storing y positions per paragraph plus per-row
	offset instead of having a 'full' y position in the row.

2003-10-15  André Pönitz  <poenitz@gmx.net>

	* iterators.[Ch]:
	* iterators.[Ch]:
	* undo.[Ch]: make undo aware of inner insets

2003-10-14  Angus Leeming  <leeming@lyx.org>

	* lyx_main.[Ch]: make LyX a singleton class, accessible though the new
	static member functions LyX::ref() and LyX::cref.
	(lastfiles): new accessor functions for the new lastfiles_ member var.
	(addLyXView, views_): add a new LyXView to the list of views_.
	(updateInset): loop over all LyXViews to call their own updateInset
	member function, returning a pointer to the Buffer owning the inset.

	* BufferView_pimpl.C (loadLyXFile):
	* MenuBackend.C (expandLastfiles):
	* bufferlist.C (MenuWrite, QuitLyX):
	lastfiles is no longer a global variable.
	Access through LyX::ref().lastfiles(), LyX::cref().lastfiles().

	* boost.C (emergencyCleanup): LyX::emergencyCleanup is no longer a
	static function. Access through LyX::cref().emergencyCleanup().

2003-10-14  André Pönitz  <poenitz@gmx.net>

	* iterators.[Ch]: new direct access to innermost LyXText and Inset

	* undo.[Ch]: restoring part of 'undo in insets'

	* Makefile.am:
	* undo_funcs.[Ch]: merge with undo.[Ch]

	* tabular.C: small cleansing stuff

2003-10-14  Alfredo Braunstein  <abraunst@libero.it>

	* paragraph_funcs.C (readParToken): report unknown insets as error
	boxes. Use the outer paragraph as location (also for unknown
	tokens).

	* factory.C (readInset): do not abort on reading an unknown inset.
	Eat it and return 0.

2003-10-13  Angus Leeming  <leeming@lyx.org>

	* lyx_main.C (LyX): remove call to setDisplayTranslator().

	* lyxrc.C: displayTranslator is now a function,
	declared in GraphicsTypes.h.

2003-10-13  Joao Luis Meloni Assirati <assirati@fma.if.usp.br>

	* format.C: new placeholder $$a to pass the socket address.

	* bufferlist.[Ch]: new function getBufferFromTmp.

	* lyxfunc.C: Modification of LFUN_GOTOFILEROW so that it can handle
	  files in the temporary dir.

2003-10-13  Joao Luis Meloni Assirati <assirati@fma.if.usp.br>

	* lyxsocket.[Ch]: new files. A simple local socket interface for lyx.

	* Makefile.am: add lyxsocket.[Ch].

	* lyx_main.C (error_handler): handle SIGPIPE.

2003-10-13  André Pönitz  <poenitz@gmx.net>

	* BufferView_pimpl.C:
	* lyxtext.h:
	* text.C:
	* text2.C:
	* text3.C:
	* undo_funcs.[Ch]: use paroffset_type instead of
	  ParagraphList::iterators to prevent multiple conversion
	  (and get a more robust interface)

2003-10-13  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxfunc.C (dispatch): RESULT -> dispatch_result
	* lyxtext.h: ditto
	* text3.C (dispatch): ditto

2003-10-13  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* LaTeX.C (handleFoundFile): move the static to smaller scope,
	move the onlyfile, use onlyfile instead of foundfile in a couple
	of places.

	* DepTable.C (update): flush the error stream a bit more

2003-10-13  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxserver.C (callback): adjust

	* lyxfunc.C (getStatus): add a missing brace in commented code
	(ensureBufferClean): reindent
	(dispatch): delete version taking a string

2003-10-11  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* LaTeX.C (deplog): move found file handlig from here...
	(handleFoundFile): .. to new function here.
	(deplog): make sure to discover several files mentioned on the
	same log line.

2003-10-10  André Pönitz  <poenitz@gmx.net>

	* lyxfunc.C:
	* lyxtext.h:
	* tabular.C:
	* text.C:
	* text2.C:
	* text3.C: fix some of the tabular crashes

2003-10-09  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* MenuBackend.C (binding): put debug message into Debug::KBMAP

	* lyxlex_pimpl.C (setFile): put debug messages into Debug::LYXLEX.

2003-10-09  André Pönitz  <poenitz@gmx.net>

	* lyxcursor.h: use paroffset_type instead of ParagraphList::iterator

	* BufferView.C:
	* BufferView_pimpl.C:
	* bufferview_funcs.C:
	* lyx_cb.C:
	* lyxcursor.C:
	* lyxfind.C:
	* lyxfunc.C:
	* lyxtext.h:
	* text.C:
	* text2.C:
	* text3.C:
	* text_funcs.[Ch]:
	* textcursor.[Ch]:
	* undo_funcs.C: adjust

2003-10-08  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text2.C (incrementItemDepth): new function, use a backtracking
	algorithm to discover the correct item depth.
	(resetEnumCounterIfNeeded): new function, use a backtracking
	algorithm to discover if counter reset is needed.
	(setCounter): use them. Simplify a bit. Add different labels for
	different item depths for itemize.

	* paragraph.C (Paragraph): remove initialization of enumdepth
	(operator=): ditto

	* paragraph.h: get rid of enumdepth, and use itemdepth both for
	enumerate and itemize. Change the type of itemdepth to signed char.

2003-10-08  André Pönitz  <poenitz@gmx.net>

	* lyxtext.h: make the paragraphs_ a pointer instead a ref to make the
	  thing assignable.
	* text.C:
	* text2.C: adjust

	* tabular.[Ch]: fix crash after 'row-insert'

2003-10-08  Angus Leeming  <leeming@lyx.org>

	Fix doxygen warnings.

	* CutAndPaste.[Ch] (availableSelections). Now returns a const vector.
	Remove CutAndPaste:: prefix from header file declaration.

	* LColor.h (fill): remove LColor:: prefix from declaration.

	* buffer.C (readParagraph, simpleLinuxDocOnePar, simpleDocBookOnePar):
	use lyx::depth_type rather than Paragraph::depth_type so that
	header file and .C file match.

	* converter.h (intToFormat): remove Converters:: prefix from declaration.

	* Spacing.h: \file Spacing.h -> \file src/Spacing.h
	* aspell.C: \file aspell_local.C -> \file aspell.C
	* gettext.C: \file gettext.C -> \file src/gettext.C
	* gettext.h: \file gettext.h -> \file src/gettext.h
	* lyxfont.C: \file lyxfont.C -> \file src/lyxfont.C
	* lyxfont.h: \file lyxfont.h -> \file src/lyxfont.h
	* text.C: \file text.C -> \file src/text.C

	* toc.C: move comment so that doxygen is not confused.

2003-10-07  Angus Leeming  <leeming@lyx.org>

	* factory.C (createInset): InsetExternal::Params -> InsetExternalParams

2003-10-07  Jürgen Spitzmüller <j.spitzmueller@gmx.de>

	* aspell.C:
	* aspell_local.h: add forgotten std::string's.

2003-10-07  Martin Vermeer <martin.vermeer@hut.fi>

	* LaTeXFeatures.C:
	* LyXAction.C:
	* factory.C:
	* lfuns.h:
	* lyxfunc.C:
	* text3.C: The Box patch. Fancybox support, minipage, parbox

2003-10-07  Martin Vermeer <martin.vermeer@hut.fi>

	* CutAndPaste.h:
	* DepTable.h:
	* FloatList.h:
	* LaTeXFeatures.h:
	* ParagraphParameters.h:
	* TextCache.h:
	* Thesaurus.h:
	* bufferlist.h:
	* exporter.h:
	* importer.h:
	* lastfiles.h:
	* lyxfind.h:
	* lyxfont.h:
	* lyxlex.h:
	* lyxtextclasslist.h:
	* messages.h:
	* paragraph.h:
	* paragraph_pimpl.C:
	* textcursor.h: add <string> and other small fixes to make Lars'
	std::string patch compile with STLport.

2003-10-06  Angus Leeming  <leeming@lyx.org>

	* LColor.h: Add missing #include <string>.

2003-10-06  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* All most all file in all subdirs: Make <string> be the prefered
	way of getting to std::string, add using declarations.

2003-10-06  André Pönitz  <poenitz@gmx.net>

	* metricsinfo.C: initialize LyXFont before changing attribute.
	(fixes the 'math in \emph is upright' bug)

2003-10-06  André Pönitz  <poenitz@gmx.net>

	* tabular.[Ch]: saner reinitialization, ret rid of LyXTabular::owner_

2003-10-06  Martin Vermeer  <martin.vermeer@hut.fi>

	* graph.C:
	* paragraph_pimpl.C: Small fixes to build using STLport

2003-10-02  André Pönitz  <poenitz@gmx.net>

	* lyxfunc.C:
	* text3.C: move handling of LFUN_DEPTH *; fix #1360

2003-10-01  André Pönitz  <poenitz@gmx.net>

	* factory.C: assert early

2003-09-26  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyx_main.C: remove the global debug object

	* debug.h: adjust for new debugstream

	* debug.C: adjust for new debugstream and keep the global debug
	object here.

2003-09-22  Angus Leeming  <leeming@lyx.org>

	* paragraph_pimpl.h: add #include "lyxfont.h". Needed by earlier versions
	of g++ which otherwise complain that the scoped_ptr destructor can't delete
	an incomplete class LyXFont.

2003-09-22  Martin Vermeer  <martin.vermeer@hut.fi>

	* factory.C: bug fix in branches

2003-09-22  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxfunc.C (processKeySym): adjust
	(dispatch): adjust
	(dispatch): change arg name from ev to func, adjust
	(sendDispatchMessage): ditto

	* lyx_main.C (defaultKeyBindings): adjust keybindings
	(deadKeyBindings): ditto

	* kbsequence.C (addkey): return a FuncRequest

	* kbmap.h (kb_key): struct var FuncRequest instead of int action.

	* kbmap.C (bind): take a FuncRequest as arg, adjust
	(read): adjust
	(lookup): adjust
	(defkey): change to take a FuncRequest as arg, adjust
	(findbinding): take a FuncRequest as arg, adjust.

	* funcrequest.h (operator=): added

	* funcrequest.C (FuncRequest): default kb_action changed from
	LFUN_UNKNOWN_ACTION to LFUN_NO_ACTION

	* buffer.C (dispatch): simplify
	(dispatch): adjust to take a FuncRequest as arg, adjust

	* boost.C (assertion_failed): change assertion message slightly

	* ToolbarBackend.C (read): simplify

	* MenuBackend.C (binding): adjust call to findbinding, add a
	message if no binding is found.
	(read): simplify
	(expandToc): correct by adding a empty FuncRequest

	* LyXAction.C: include <boost/assert.hpp>
	(isPseudoAction): delete function
	(LookupFunc): change name to...
	(lookupFunc): this. change return type to FuncRequest.
	(getActionName): take kb_action as arg, simplify
	(funcHasFlag): add an assert, simplify.

2003-09-21  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* toc.C (action): return a FuncRequest, simplify

	* lyxfunc.C (processKeySym): adjust
	(getStatus): delete version that takes an int.
	(getStatus): adjust
	(dispatch): delete version that takes action as int
	(dispatch): adjust
	(sendDispatchMessage): simplify and adjust

	* funcrequest.C (getArg): take unsigned int as arg

	* ToolbarBackend.C (read): adjust
	(add): delete version that takes func as a string.
	(getIton): take a FuncRequest as arg

	* MenuBackend.h (MenuItem): store a FuncRequest instead of an int
	action.

	* MenuBackend.C (MenuItem): add a new construct that only takes a
	Kind, simplify the constructor use for submenus.
	(add): adjust
	(expandLastfiles): adjust
	(expandDocuments): adjust
	(expandFormats): adjust
	(expandFloatListInsert): adjust
	(expandFloatInsert): adjust
	(expandToc2,expandToc,expandPasteRecent,expandBranches): adjust

	* LyXAction.h: remove typdefs pseudo_map, arg_item and arg_map.
	Remove class variables lyx_pseudo_map and lyx_arg_map

	* LyXAction.C (searchActionArg): delete function
	(getPseudoAction): delete function
	(retrieveActionArg): delete function
	(LookupFunc): make it return kb_action, simplify.
	(getActionName): simplify

	* factory.C (createInset): fix new bug

2003-09-19  Angus Leeming  <leeming@lyx.org>

	* CutAndPaste.C (pasteSelection): remove fudge used to set the
	masterFilename_ parameter in the include inset.

	* factory.C (createInset): changes due to the changes to InsetInclude.

2003-09-19  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* paragraph.C: use appropriate alignment tags inside floats (bug 1290)

2003-09-18  Angus Leeming  <leeming@lyx.org>

	* buffer.C:
	* BufferView.C: pass the buffer when calling Inset::getLabelList,
	Inset::fillWithBibKeys.
	* tabular.[Ch] (getLabelList): receive, pass on a Buffer const & arg.

2003-09-18  Angus Leeming  <leeming@lyx.org>

	* LaTeXFeatures.[Ch]: append a '_' to the names of all private member
	variables.
	(ctor): pass and store a 'Buffer const &'
	(buffer): new member function.

	* buffer.C (makeDocBookFile, makeLinuxDocFile, makeLaTeXFile): pass
	'*this' to the LaTeXFeatures ctor.

2003-09-18  Angus Leeming  <leeming@lyx.org>

	* LColor.h:
	* lyxfont.C:
	* lyxfont.h:
	* lyxtext.h:
	* text.C: rename EnumLColor as LColor_color.

2003-09-18  Angus Leeming  <leeming@lyx.org>

	* cursor.[Ch]: use the dispatch_result wrapper class DispatchResult to
	remove #include "insets/insetbase.h" from cursor.h.

2003-09-18  Angus Leeming  <leeming@lyx.org>

	* paragraph.[Ch] (insetAllowed): use the InsetOld::Code wrapper class
	InsetOld_code to remove #include "inset.h".

	* iterators.C: add #include "insets/inset.h"

2003-09-16  Martin Vermeer  <martin.vermeer@hut.fi>

	* BufferView.C: remove more locking stuff that apparently doesn't
	do anything sensible.

2003-09-16  André Pönitz  <poenitz@gmx.net>

	* paragraph.[Ch]:
	* paragraph_pimpl.[Ch]: un-pimpl Paragraph::(Pimpl::)text for a >10%
	  performance boost.

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* lyxfont.h (LyXFont_size): a wrapper class for LyXFont::FONT_SIZE.

	* paragraph.[Ch] (highestFontInRange): use LyXFont_size as function
	arg/return type.

	* paragraph.h: remove #include "lyxfont.h". Forward declare
	LyXFont_size.

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* paragraph.C (IsInsetChar): new function in namespace anon, moved out
	of support/textutils.h.
	(isWord): move the contents of support/textutils.h's IsWordChar here.

	* buffer.C:
	* lyxfind.C:
	* rowpainter.C:
	* text.C:
	* text2.C: add #include "paragraph.h".

	* rowpainter.C:
	* text.C: replace IsInsetChar(c) with a direct test of Paragraph::META_INSET.

2003-09-16  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* main.C:
	* lyx_main.C:
	* lyx_cb.C:
	* buffer.C:
	* LaTeX.C: use namespace alias for lyx::support::os

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* bufferparams.C:
	* bufferview_funcs.C:
	* factory.C:
	* lyxfunc.C:
	* paragraph_pimpl.C:
	* rowpainter.C:
	* text.C: add #include "LColor.h".

2003-09-16  Angus Leeming  <leeming@lyx.org>

	* lyxfont.[Ch]: (setFamily, setSeries, setShape, setSize, setEmph,
	setUnderbar, setNoun, setNumber, setColor, setLanguage): no longer
	return LyXFont &.
	Store the FontBits::color variable as an int rather than as an
	LColor::colorso that we can move LColor.h out of the lyxfont.h header
	file.

	* rowpainter.C (paintAppendixStart, paintPageBreak, paintLengthMarker):
	LyXFont::setColor, decSize no longer return a LyXFont &, so cannot
	string calls together.

	* lyxrc.C: add #include "LColor.h".

2003-09-15  Angus Leeming  <leeming@lyx.org>

	* bufferparams.[Ch]: store the pimpl_ as a copied_ptr, rather than as
	a cow_ptr.

2003-09-15  Angus Leeming  <leeming@lyx.org>

	* LColor.h: add an EnumLColor wrapper for LColor::color.

	* lyxfont.[Ch] (color, setColor, realColor):
	* lyxtext.h, text.C (backgroundColor):
	pass EnumLColor args to/from the functions, rather than LColor::color
	ones.

	* lyxfont.h:
	* lyxtext.h: forward declare EnumLColor.

	* lyx_main.C: add #include "LColor.h".

2003-09-15  Angus Leeming  <leeming@lyx.org>

	* .cvsignore: add lyx-gtk.

2003-09-15  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Chktex.C
	* LaTeX.C
	* LaTeXFeatures.C
	* ParagraphParameters.C
	* Spacing.C
	* buffer.C
	* bufferparams.C
	* bufferview_funcs.C
	* chset.C
	* counters.C
	* funcrequest.C
	* lyxfont.C
	* lyxgluelength.C
	* lyxlength.C
	* paragraph.C
	* paragraph_funcs.C
	* text3.C
	* vc-backend.C: remove usage of STRCONV

2003-09-15  Angus Leeming  <leeming@lyx.org>

	* rowpainter.C (paintLengthMarker, paintPageBreak, paintAppendixStart):
	explicitly define the color passed to the painter.

2003-09-15  Angus Leeming  <leeming@lyx.org>

	* bufferparams.C (BufferParams): reorder member initializers to avoid
	compiler warning.

2003-09-15  Alfredo Braunstein  <abraunst@libero.it>

	* CutAndPaste.C (pasteSelection): remove an outdated #warning
	* text.C (updateRowPositions): remove an unusual nop

2003-09-12  André Pönitz  <poenitz@gmx.net>

	* BufferView_pimpl.C:
	* Bullet.C:
	* layout.h:
	* lyxfunc.C:
	* lyxlayout.[Ch]:
	* lyxtextclass.C:
	* rowpainter.C:
	* text.C:
	* text2.C:
	* Counters.[Ch]: finish the 'automatic counters' job

2003-09-12  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* aspell.C: include <boost/assert.cpp> (compile fix)

2003-09-10  Rob Lahaye  <lahaye@snu.ac.kr>

	* boost.C (assertion_failed): use lyx::support::abort instead of
	assert.

2003-09-10  Angus Leeming  <leeming@lyx.org>

	* Makefile.am (lyx_SOURCES): replace ParagraphList.h and RowList.h
	with their _fwd progeny.

2003-09-09  Angus Leeming  <leeming@lyx.org>

	134 files throughtout the source tree: replace 'using namespace abc;'
	directives with the appropriate 'using abc::xyz;' declarations.

2003-09-09  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* boost.C (emergencyCleanup): moved here from LAssert.c
	(assertion_failed): new function, called by BOOST_ASSERT

	* several files: change Assert to BOOST_ASSERT

2003-09-09  Angus Leeming  <leeming@lyx.org>

	* buffer.[Ch]: Add an Impl class and move Buffer's member
	variables into it. As a result move several header files out of
	buffer.h.

	Add header files to lots of .C files all over the tree as a result.

2003-09-09  Angus Leeming  <leeming@lyx.org>

	* buffer.[Ch]: make Buffer's member variables private. Add
	accessor functions.

	Lots of changes all over the tree as a result.

2003-09-08  Angus Leeming  <leeming@lyx.org>

	* graph.C: #include <config.h>.

2003-09-08  Angus Leeming  <leeming@lyx.org>

	* BranchList.C:
	* BufferView.C:
	* BufferView_pimpl.C:
	* CutAndPaste.C:
	* DepTable.C:
	* LaTeX.C:
	* LaTeXFeatures.C:
	* LyXAction.C:
	* MenuBackend.C:
	* TextCache.C:
	* aspell.C:
	* buffer.C:
	* bufferlist.C:
	* changes.C:
	* chset.C:
	* converter.C:
	* counters.C:
	* debug.C:
	* graph.C:
	* ispell.C:
	* lyx_cb.C:
	* lyxfind.C:
	* lyxfunc.C:
	* lyxlex_pimpl.C:
	* lyxrc.C:
	* lyxrow.C:
	* paragraph.C:
	* rowpainter.C:
	* texrow.C:
	* text.C:
	* text2.C:
	* toc.C: remove redundant using directives.

2003-09-07  Angus Leeming  <leeming@lyx.org>

	* LaTeXFeatures.h: remove #include "support/types.h".
	* ToolbarBackend.h: remove #include <algorithm>.
	* changes.h: remove #include <ctime>.
	* debug.h: remove #include <iosfwd>.
	* graph.h: remove #include "support/std_string.h".
	* lyx_main.h: remove #include <csignal>.
	* lyxlex_pimpl.h: remove #include <fstream>.
	* sgml.h: remove #include <algorithm>, <utility>.
	* toc.h: remove #include "support/std_ostream.h".
	Add #include <iosfwd>.

2003-09-07  Angus Leeming  <leeming@lyx.org>

	* vspace.[Ch] (length): returns a const & to a LyXGlueLength.

	* converter.h: forward declare LatexRunParams.
	* encoding.h: remove #include "lyxrc.h".
	* lyxtext.h: remove #include "LColor.h".
	* lyxtextclass.h: remove #include "support/types.h".
	* trans.h: remove #include "tex-accent.h".
	* trans_mgr.h: remove #include "tex-accent.h".
	* insets/inset.h: remove #include "support/types.h", <vector>.
	* insets/insetcollapsable.h: remove #include "LColor.h".
	* insets/insetinclude.h: remove #include "dimension.h".
	* insets/insetlatexaccent.h: remove #include "dimension.h".
	* insets/insetoptarg.h:: remove #include "insettext.h".
	* insets/insettext.h: remove #include "dimension.h",
	<boost/shared_ptr.hpp>

	* insets/renderers.h: add #include "dimension.h".
	* insets/updatableinset.h: add #include "support/types.h".

	* many .C files: Associated changes.

2003-09-06  Angus Leeming  <leeming@lyx.org>

	* Bullet.[Ch]: factorize all those #ifdef ENABLE_ASSERTIONS to just
	one, inside testInvariant.

	* PrinterParams.C: new file.
	* PrinterParams.[Ch]: move the function bodies out of line.

2003-09-06  Angus Leeming  <leeming@lyx.org>

	* ParagraphParameters.h: forward declare ParameterStruct rather than
	including its header file.
	(depth): moved out-of-line.

2003-09-06  Angus Leeming  <leeming@lyx.org>

	* BufferView_pimpl.h:
	* kbmap.h:
	* kbsequence.h:
	* lyxfunc.h: forward declare LyXKeySym rather than
	#include "frontends/LyXKeySym.h".

	* BufferView_pimpl.C:
	* kbmap.C:
	* kbsequence.C:
	* lyxfunc.C: associated changes.

2003-09-06  Angus Leeming  <leeming@lyx.org>

	* BufferView.[Ch] (ChangeInsets): moved to BufferView_pimpl.[Ch].
	As a result, can remove the #include "insets/inset.h" from BufferView.h

2003-09-06  Angus Leeming  <leeming@lyx.org>

	* BufferView.[Ch] (ChangeInsets): moved to BufferView_pimpl.[Ch].
	As a result, can remove the #include "insets/inset.h" from BufferView.h

2003-09-06  Angus Leeming  <leeming@lyx.org>

	* buffer_funcs.C:
	* buffer.h:
	* bufferlist.C:
	* BufferView.C:
	* bufferview_funcs.C:
	* BufferView_pimpl.C:
	* CutAndPaste.C:
	* lyx_cb.C:
	* lyxfunc.C:
	* paragraph.h:
	* ParagraphParameters.C:
	* tabular.C:
	* text3.C:
	* toc.C:
	* undo_funcs.C:
	* frontends/controllers/ControlDocument.C:
	* insets/insetcaption.C: rearrange the #includes into some sort of
	coherent order.

	* buffer.h: remove #includes ErrorList.h, undo.h

2003-09-06  Angus Leeming  <leeming@lyx.org>

	* support/types.h: add a 'depth_type' typedef, used to store the
	nesting depth of a paragraph.

	* paragraph.h:
	* ParameterStruct.h: use this lyx::depth_type typedef rather than
	defining explicitly.

	* buffer.h:
	* paragraph_funcs.h:
	* ParagraphParameters.h:
	* sgml.h: use lyx::depth_type rather than Paragraph or
	ParameterStruct's depth_type.

	* buffer.h
	* paragraph_funcs.h: no need to #include paragraph.h anymore.

	* BufferView.C:
	* BufferView_pimpl.C:
	* CutAndPaste.C:
	* ParagraphParameters.C:
	* buffer_funcs.C:
	* bufferlist.C:
	* bufferview_funcs.C:
	* lyx_cb.C:
	* lyxfunc.C:
	* tabular.C:
	* text3.C:
	* toc.C:
	* undo_funcs.C:
	* frontends/LyXView.C:
	* frontends/controllers/ControlDocument.C:
	* frontends/controllers/ControlErrorList.C:
	* insets/insetbibitem.C:
	* insets/insetbranch.C:
	* insets/insetcaption.C:
	* insets/insetcollapsable.C:
	* insets/insetenv.C:
	* insets/insetert.C:
	* insets/insetfloat.C:
	* insets/insetfoot.C:
	* insets/insetfootlike.C:
	* insets/insetnewline.C:
	* insets/insetquotes.C:
	* insets/insettabular.C:
	* insets/insettext.C:
	* insets/insetwrap.C: must now explicitly #include "paragraph.h".

	* frontends/controllers/ControlChanges.C: #include "changes.h".

2003-09-06  Angus Leeming  <leeming@lyx.org>

	* ParagraphList_fwd.h: new file, forward-declaring Paragraph rather
	than #including paragraph.h.

	* ParagraphList.h:
	* RowList.h: deleted. Superfluous.

	* CutAndPaste.h:
	* iterators.h:
	* lyxcursor.h:
	* lyxtext.h:
	* text_funcs.h:
	* undo.h:
	* undo_funcs.h:
	* insets/inset.h:
	* insets/insettext.h: use ParagraphList_fwd.h rather than
	ParagraphList.h.

	* paragraph.h: don't forward declare ParagraphList.

	* buffer.h:
	* paragraph_funcs.h: #include ParagraphList_fwd.h and paragraph.h
	rather than ParagraphList.h. paragraph.h is still needed for the
	Paragraph::depth_type parameters.

	* textcursor.h: enable it to compile stand-alone in light of the
	above changes.

	* bufferview_funcs.C:
	* iterators.C:
	* lyxfunc.C:
	* lyxrow_funcs.C:
	* paragraph.C:
	* rowpainter.C:
	* text.C:
	* text2.C:
	* text3.C:
	* text_funcs.C:
	* textcursor.C:
	* undo.C:
	* frontends/controllers/ControlParagraph.C:
	* frontends/controllers/ControlTabular.C:
	* insets/insetmarginal.C:
	* insets/insetminipage.C:
	* insets/insetnote.C:
	* insets/insetoptarg.C: add header files needed to compile again.

2003-09-06  Angus Leeming  <leeming@lyx.org>

	* RowList_fwd.h: new file, forward-declaring Row rather than
	#including lyxrow.h.

	* lyxrow_funcs.h:
	* lyxtext.h:
	* paragraph.h:
	* insets/insettext.h: use it instead of RowList.h

	* bufferview_funcs.C:
	* lyxfunc.C:
	* lyxrow_funcs.C:
	* paragraph.C:
	* rowpainter.C:
	* text.C:
	* text2.C:
	* text3.C: #include "RowList.h".

2003-09-05  Angus Leeming  <leeming@lyx.org>

	* factory.C (createInset):
	* vspace.C (c-tor): replace sscanf call with an istringstream.
	* ispell.C: re-add missing HP/UX headers.
	* lyxserver.C: re-add missing  os2 headers.

2003-09-05  Martin Vermeer  <martin.vermeer@hut.fi>

	* BranchList.C:
	* graph.C:
	* ispell.C:
	* lastfiles.C:
	* lyx_cb.C:
	* lyxserver.C:
	* texrow.C:
	* text3.C: re-add missing system headers, needed for 2.95.2.

2003-09-05  Angus Leeming  <leeming@lyx.org>

	Changes most place everywhere due to the removal of using directives
	from support/std_sstream.h.

2003-09-05  Angus Leeming  <leeming@lyx.org>

	Replace LString.h with support/std_string.h,
	Lsstream.h with support/std_sstream.h,
	support/LIstream.h with support/std_istream.h,
	support/LOstream.h with support/std_ostream.h.

	Changes resulting throughout the tree.

2003-09-05  Angus Leeming  <leeming@lyx.org>

	* sgml.h: ensure that the header file can be compiled stand-alone.
	* *.C: strip out redundant #includes. (320 in total.)

2003-09-04  Angus Leeming  <leeming@lyx.org>

	* LaTeXFeatures.C (getMacros): move the output of the preamble_snippets
	here (from getPackages).

	* debug.[Ch]: add a new EXTERNAL tag.

2003-09-04  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* text2.C (cursorEnd): simplify
	(setCursor): adjust
	(getColumnNearX): adjust

	* text.C (computeBidiTables): adjust
	(fill): adjust

	* rowpainter.C (paintChars): adjust
	(paintSelection): adjust
	(paintChangeBar): adjust
	(paintText): adjust

	* lyxrow_funcs.C (lastPrintablePos): remove, all users now call
	lastPos instead.
	(numberOfSeparators): adjust

2003-09-03  Martin Vermeer  <martin.vermeer@hut.fi>

	* LyXAction.C:
	* box.[Ch]:
	* lfuns.h:
	* lyxfunc.C:
	* text3.C: Restricts the mouse click functionality
	of insets like bibtex, include, toc and floatlist to the visible
	button, and allows the use of LFUN_INSET_SHOW_DIALOG to bring
	up the dialogs. Cursor has to be in front of the inset (i.e.
	start of row) for this to function.

2003-09-04  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* bufferview_funcs.C (currentState): output row information

2003-09-04  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* bufferview_funcs.C (currentState): output paragraph position

2003-09-04  Angus Leeming  <leeming@lyx.org>

	* FloatList.h: move out #include "Floating.h".
	* LaTeX.h: move out #include "DepTable.h".
	* LyXAction.h: move out #include "funcrequest.h".
	* buffer.h: move out #include "author.h", "iterators.h".
	* bufferparams.h: move out #include "LaTeXFeatures.h", "texrow.h".
	* lyx_main.h: move out #include "errorlist.h".
	* lyxfunc.h: move out #include "FuncStatus.h".
	* lyxtext: move out #include "lyxcursor.h".
	* paragraph_pimpl.h: move out #include "counters.h".

2003-09-03  Angus Leeming  <leeming@lyx.org>

	* LaTeXFeatures.[Ch]: replace the externalPreambles string with a
	preamble_snippets list, enabling us to add snippets to the preamble
	only if the snippet was not there already.

2003-09-04  Angus Leeming  <leeming@lyx.org>

	* Chktex.C, converter.C, lyx_cb.C: add #include "support/lyxlib.h".

2003-09-03  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxfunc.C (dispatch): if fitCursor did something be sure to
	update

2003-09-03  Martin Vermeer  <martin.vermeer@hut.fi>

	* BranchList.C: point fix, earlier forgotten

2003-09-02  Angus Leeming  <leeming@lyx.org>

	* box.C (contains): renamed from 'contained' after a fantastic
	amount of hot air.

2003-09-02  John Levon  <levon@movementarian.org>

	* BufferView.C:
	* lyxcursor.h:
	* lyxcursor.C:
	* lyxfunc.C:
	* lyxfunc.h: remove cursor.i[x]y(), it no longer differs

2003-09-02  John Levon  <levon@movementarian.org>

	* text2.C: simplification of cursorEnd(), including partial
	fix for bug 1376

2003-09-02  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* buffer.C (readFile): add a space

2003-09-02  Alfredo Braunstein  <abraunst@libero.it>

	* BufferView_pimpl.C (update): remove bogus fitCursor() call

2003-09-02  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* buffer.C (readFile): new function, take a filename and a
	ParagraphList::iterator
	(readFile): adjust
	(readFile): adjust, make it private. don't use setStream, make
	lyx2lyx use a temporary file. Some simplificaton. Make the Alerts
	always contain the filename.

	* BufferView.C (insertLyXFile): simplify and make it work for
	gzipped files.

2003-08-30  John Levon  <levon@movementarian.org>

	* Makefile.am: fix dist (from Kayvan)

2003-08-28  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* most files: change to use const Buffer refs

2003-08-27  André Pönitz  <poenitz@gmx.net>

	* BufferView.[Ch]: remove getParentText, implement getParentLanguage
	on top of ownerPar().

2003-08-27  John Levon  <levon@movementarian.org>

	* funcrequest.C: properly initialise POD members

2003-08-27  Alfredo Braunstein  <abraunst@libero.it>

	* lyxtext.h (top_y): move top_y from here
	* text.C:
	* text2.C:
	* text3.C:
	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch]: to here
	* frontends/screen.C:
	* insets/insettabular.C:
	* insets/insettext.C: adjust
	* rowpainter.[Ch] (paintRows): remove LyXText & argument

2003-08-27  Alfredo Braunstein  <abraunst@libero.it>

	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch] (updateInset): add an InsetOld * argument

2003-08-26  André Pönitz  <poenitz@gmx.net>

	* paragraph_func.[Ch] (outerPar): new function

	* paragraph.C:
	* paragraph_funcs.C:
	* paragraph_funcs.h:
	* paragraph_pimpl.C:
	* text2.C: remove Inset::par_owner

2003-08-25  Martin Vermeer  <martin.vermeer@hut.fi>

	* lyxrow_funcs.C:
	* lyxtext.h:
	* text.C:
	* text2.C: eliminates the needFullRow/display() stuff
	altogether, putting the logic in metrics/draw in the insets.

2003-08-25  Alfredo Braunstein  <abraunst@libero.it>

	* text2.C (redoParagraphInternal, redoParagraphs):
	* text.C (redoParagraph): add a call to	updateRowPositions at the
	end of each 'metrics-like' call. Remove all others.
	(getRow): remove the 'y-computing' version.
	(getRowNearY): do not compute nor return the real y. Solve the
	'y < 0' problem and simplify.

2003-08-22  Angus Leeming  <leeming@lyx.org>

	* *.[Ch]: clean-up of licence and author blurbs.
	Also move config.h out of a few .h files and into a few .C files.

2003-08-22  André Pönitz  <poenitz@gmx.net>

	* lyxrow.[Ch]: add x_ and *fill_ members

	* lyxtext.h:
	* text.C:
	* rowpainter.C:
	* text2.C: adjust/remove prepareToPrint() calls

2003-08-22  André Pönitz  <poenitz@gmx.net>

	* lyxrow.[Ch]: add  end_ member

	* lyxrow_funcs.C: use LyXRow::end_

	* lyxtext.h (singleWidth): add LyXFont parameter

	* rowpainter.C:
	* text2.C: adjust LyXText::singleWidth() calls

	* text.C (redoParagraph): simplify row breaking logic


2003-08-19  André Pönitz  <poenitz@gmx.net>

	* funcrequest.C: initialize button_ member

	* text3.C:
	* rowpainter.[Ch]: interface consolidation

2003-08-18  André Pönitz  <poenitz@gmx.net>

	* BufferView.C:
	* BufferView_pimpl.C:
	* lyxfind.C:
	* paragraph_funcs.C:
	* rowpainter.C:
	* text3.C: remove LyXScreen::draw() and fitCursor calls

	* BranchList.h: remove spurious semicolons

	* MenuBackend.C: fix branchlist related crash

2003-08-17  Martin Vermeer  <martin.vermeer@hut.fi>

	* BranchList.[Ch]:
	* InsetList.[Ch]:
	* LColor.[Ch]:
	* LyXAction.C:
	* Makefile.am:
	* MenuBackend.[Ch]:
	* bufferparams.[Ch]:
	* factory.C:
	* lfuns.h:
	* lyxfunc.C:
	* text3.C: implements the 'branch inset'
	idea. This allows the output of various versions of a document
	from a single source version, selectively outputing or suppressing
	output of parts of the text.
	This implementation contains a 'branch list editor' in a separate
	tab of the document settings dialog. Branches are user definable
	and have a "display colour" to distinguish them on-screen.

	ColorHandler was somewhat cleaned up.
	(1) make possible a dynamically growing LColor list by allowing
	the graphic context cache to grow along (vector);
	(2) eliminate an IMHO unnecessary step in colour allocation.

2003-08-15  Kayvan A. Sylvan <kayvan@sylvan.com>

	* BufferView_pimpl.C: compile fix

2003-08-15  André Pönitz  <poenitz@gmx.net>

	* rowpainter.C: remove extra metrics calls

	* lyxtext.h: merge the two constructors into a single one,
	  pass reference to owner's par list

	* BufferView_pimpl.C:
	* text.C:
	* text2.C: adjust

2003-08-15  André Pönitz  <poenitz@gmx.net>

	* lyxrow_funcs.[Ch]:
	* lyxtext.h:
	* paragraph.h:
	* paragraph_funcs.C:
	* rowpainter.C:
	* text.C:
	* text2.C:
	* text3.C:
	* text_funcs.C: split LyXText::rowlist_ into individual
	Paragraph::rows_ chunks

	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch]:
	* lyxfind.C:
	* lyxtext.h:
	* text3.C: remove toggleSelection()

2003-08-12  Michael Schmitt  <michael.schmitt@teststep.org>

	* bufferlist.C: beautify two alerts (shorter text of buttons)
	* buffer.C: Remove redundant ' ' from message
	* tabular.h:
	* tabular.C: rename LYX_VALIGN_CENTER" to LYX_VALIGN_MIDDLE";
	rename M_VALIGN_CENTER to M_VALIGN_MIDDLE;
	rename VALIGN_CENTER to VALIGN_MIDDLE

2003-08-11  André Pönitz  <poenitz@gmx.net>

	* lyxtext.h (getPar):
	* text.C: new function

2003-08-11  André Pönitz  <poenitz@gmx.net>

	* Makefile.am:
	* tracer.[Ch]: remove unneeded files

	* InsetList.[Ch]: remove resizeInsetsLyXText()

	* lyxtext.h:
	* text.C:
	* text2.C:
	* text3.C: merge insertParagraphs() and appendParagraph()
	remove breakAgain(), update()

	* BufferView_pimpl.[Ch]:
	* bufferview_funcs.[Ch]:
	* lyxfunc.C:
	* paragraph.[Ch]:
	* rowpainter.C:
	* tabular.C: adjust after text & InsetList changes.

2003-08-08  André Pönitz  <poenitz@gmx.net>

	* text.C (insertChar, backspace): replace rowlist fiddling
	with rebreak of full par

	* lyxtext.h:
	* text.C (breakAgainOneRow, redoHeightOfParagraph,
	checkParagraph, updateInset): removed

2003-08-07  André Pönitz  <poenitz@gmx.net>

	* paragraph.C:
	* text3.C: merge some LFUN handlers, remove dead code

2003-08-06  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* .cvsignore: add lyx-xforms, lyx-qt, version.C-tmp and stamp-version

2003-08-05  Alfredo Braunstein  <abraunst@libero.it>

	* text2.C (DEPM): fix part of bug 1255 and 1256

2003-08-05  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* BufferView_pimpl.C (workAreaDispatch): change to use
	LyXView::dispatch instead of BufferView::Pimpl::dispatch for lfuns
	that are no mouse related.

2003-08-05  André Pönitz  <poenitz@gmx.net>

	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch]:
	* bufferview_funcs.C:
	* text2.C:
	* text3.C: rip out "deep update"

	* textcursor.[Ch] (last_sel_cursor): remove unused member

2003-08-04  André Pönitz  <poenitz@gmx.net>

	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch]:
	* ParagraphParameters.C:
	* bufferview_funcs.C:
	* lyx_cb.C:
	* lyxfind.C:
	* lyxfunc.C:
	* text.C:
	* text2.C:
	* text3.C: replace "complicated" BufferView::update(...) calls with
	simpler ones.

	* BufferView.[Ch]: remove now unneeded BufferView::UpdateCodes

2003-08-02  Kayvan Sylvan  <kayvan@sylvan.com>

	* Makefile.am (lyx_SOURCES): add paper.h

2003-08-02  Jean-Marc Lasgouttes  <lasgouttes@freesurf.fr>

	* Makefile.am: move things around so that both lyx-qt and
	lyx-xforms can be built (according to --with-frontend). Then lyx
	is a symbolic link to lyx-[firstfrontend]

2003-08-02  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* Always use std::endl with lyxerr

2003-08-01  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* BufferView_pimpl.C: _Always_ use std::endl with lyxerr

2003-08-01  André Pönitz  <poenitz@gmx.net>

	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch]:
	* lyxfunc.C:
	* text3.C: merge BufferView::repaint() and BufferView::update()

2003-08-01  José Matos  <jamatos@lyx.org>

	* buffer.[Ch]: file_format is no longer a buffer data element.

2003-08-01  André Pönitz  <poenitz@gmx.net>

	* BufferView.C:
	* lyxtext.h:
	* text.C:
	* text2.C: make redoParagraph more independent of current cursor

	* lyxtext.h (need_update, needUpdate, postPaint, clearPaint):
	* text.C:
	* text2.C: remove unneeded members

2003-07-30  André Pönitz  <poenitz@gmx.net>

	* paragraph.[Ch] (copyIntoMinibuffer): removed unused function

	* paragraph.[Ch] (cutIntoMinibuffer, insertFromMinibuffer):
	  create a single function...

	* paragraph_funcs.C (moveItem): ... here.

	* text.C:
	  lyxtext.h (LyXText::workWidth(InsetOld*)) remove. unused.

2003-07-30  Martin Vermeer  <martin.vermeer@hut.fi>

	* LColor.[Ch]: Add comment and greyedout logical colors.

2003-07-30  André Pönitz  <poenitz@gmx.net>

	* tabular.C: don't use Assert too heavily. This crashes where it
	  shouldn't

2003-07-30  Alfredo Braunstein  <abraunst@libero.it>

	* lyxfunc.C (dispatch): do not mark the buffer dirty if the action
	is disabled (bug 1232)

2003-07-30	Martin Vermeer  <martin.vermeer@hut.fi>

	* factory.C: limited 'arg' scope

2003-07-30	Martin Vermeer  <martin.vermeer@hut.fi>

	* factory.C: fixed Note submenu issues

2003-07-30	Martin Vermeer  <martin.vermeer@hut.fi>

	* factory.C: submenu for Note/Comment/Greyedout

2003-07-29  Alfredo Braunstein  <abraunst@libero.it>

	* lyx_main.C (LyX):
	* BufferView_pimpl.C (loadLyXFile): fix to bugs 1287 and 1297 + ws

2003-07-29  Martin Vermeer  <martin.vermeer@hut.fi>

	* LaTeXFeatures.C:
	* lyx_sty.[Ch]:h: Implement a newenvironment in preamble for
	greyedout. Patch provided by Jürgen Spitzmüller.

2003-07-29  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* kbmap.C (read): fix error message when reading bind files

2003-07-29  Angus Leeming  <leeming@lyx.org>

	* BufferView.[Ch] (ChangeCitationsIfUnique): This function most
	certainly does not do what it purports to do. I am doing it, and
	us, a favour by killing it.

2003-07-28  José Matos  <jamatos@lyx.org>

	* buffer.C (readBody, do_writeFile):
	* paragraph.C(readParagraph): \end_document replaces \the_end.

2003-07-29  André Pönitz  <poenitz@gmx.net>

	* BufferView.[Ch]:
	* BufferView_pimpl.[Ch]:
	* lyxfunc.C:
	* text2.C:
	* text3.C:
	* textcursor.[Ch]: remove toggleToggle & Co

2003-07-28  José Matos  <jamatos@fep.up.pt>

	* buffer.C (readParagraph):
	* params_func (readParToken, readParagraph):
	* paragraph.C (write): \layout -> \begin_layout.

2003-07-28  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* lyxlex_pimpl.C (setFile): clean up slightly.

	* bufferparams.h: add compressed var

	* buffer_funcs.C (readFile): adjust for LyXLex change
	(newFile): ditto + simplify

	* buffer.C (writeFile): handle writing of compressed files

	* buffer.[Ch] (readFile): begin LyXLex here, remove one argument.
	Check if the file is compressed and set a bufferparm if so.

	* Makefile.am (lyx_LDADD): remove explicit -lz

2003-07-28  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* buffer.C (do_writeFile, makeLaTeXFile, makeLinuxDocFile,
	makeDocBookFile): put the real LyX version in the first line of
	the file

	* version.h:
	* version.C.in: remove lyx_docversion

	* tabular.C (write_attribute): add a template-based version to
	write enums properly

2003-07-28  André Pönitz  <poenitz@gmx.net>

	* lyxtext.h:
	* text.C:
	* text2.C:
	* text3.C: use doubles again for x-coordinates. They are needed.

2003-07-28  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* messages.C (getLocaleDir): use lyx_localedir()

	* lyxlex_pimpl.C (setFile): compress stuff

	* buffer.C (writeFile): add some compression stuff
	(do_writeFile): new func, dont call expliti close... will this
	breake anything?

	* Makefile.am (lyx_LDADD): add -lz

2003-07-28  José Matos  <jamatos@fep.up.pt>

	* buffer.C: increment file format.
	* paragraph_funcs (readParagraph, readParToken):
	* paragraph.C (readParagraph): add \end_layout.

2003-07-27  Angus Leeming  <leeming@lyx.org>

	* Makefile.am: remove special casing for configure-time setting of
	LYX_DIR, TOP_SRCDIR and LOCALEDIR.

	* lyx_main.C (init): remove all Jean-Marc's magic setting of
	system_lyxdir, build_lyxdir and user_lyxdir into the support lib.

2003-07-26  André Pönitz  <poenitz@gmx.net>

	* paragraph_func.[Ch]:
	* paragraph.C (realizeFont): inline it whereever it is used

	* rowpainter.C:
	* text.C:
	* text2.C:
	* text3.C: remove Buffer * parameter from a bunch of get*Font functions


2003-07-26  André Pönitz  <poenitz@gmx.net>

	*	lyxtext.h:
	* text.C:
	* text2.C: get rid of LyXText::need_break_row

2003-07-27  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* toc.[Ch]: put namespace toc inside namespace lyx

	* MenuBackend.C (expandToc2): adjust for lyx::toc
	(expandToc): ditto

	* lyxfunc.C (dispatch): adjust for lyx::find

	* lyxfind.[hC]: get rid of namespace lyxfind introduce namespace
	lyx::find instead. Reorganize a bit.
	(LyXReplace): rename to replace
	(LyXFind): rename to find

	* BufferView_pimpl.C (trackChanges): adjust for lyx::find
	(dispatch): ditto

2003-07-26  André Pönitz  <poenitz@gmx.net>

	* text.C (setHeightOfRow): restrict scope of temporary variable

	* paragraph_funcs.C (readParToken): remove USE_CAPTION  compatibility
	  code (never has been used?)

2003-07-27  Asger Alstrup  <alstrup@local>

	* text.C (fill): Optimise algorithm to exploit that we can reuse
	the LyXFont for many characters.
	(setHeightOfRow): Same thing.
	(rowBreakPoint): Same thing.

2003-07-26  Asger Alstrup  <alstrup@local>

	* text2.C (metrics): change a brain-dead algorithm to a smarter one.

	* text.C (singleWidth): Spurious font copying in hot-spot
	singleWidth avoided. Reorder tests for arabic for efficiency.

	* text.C (fill): handle empty paragraphs better.

2003-07-27  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* ispell.C:
	* encoding.h: add includes

	* lyxrc.C: remove reading of bind files

	* lyx_main.C (init): setup bindings and menus only if we have a
	gui.

	* kbmap.C (read): new method. Do the actual reading of bind
	files.

	* converter.C (dvipdfm_options):
	* bufferparams.C:
	* lyxrc.C (read):
	(output): adapt PAPER_* enums.

	* lyxrc.h: include paper.h instead of bufferparams.h (mucho lighter)

	* bufferparams.h: remove paper-related enums from there

	* paper.h: New file. A trivial header file to hold paper-related
	enums. It should later expand to contain many paper-related
	horrors access.

	* lyxrc.C: declare extern displayTranslator

2003-07-27  José Matos  <jamatos@fep.up.pt>

	* tabular.[Ch] (linuxdoc): add support for tables and figures
	(linuxdoc).

2003-07-27  José Matos  <jamatos@fep.up.pt>

	* buffer.[Ch] (makeLaTeXFile): changed name of arguments for
	consistency in both functions.
	* bufferlist.C (updateIncludedTeXfiles): change client to comply.

2003-07-26  Asger Alstrup  <alstrup@local>

	* rowpainter.C (paintRows): Change algorithm to work directly on
	the insets rather than asking every character in the document
	whether its an inset.

2003-07.26  Alfredo Braunstein  <abraunst@libero.it>

	* buffer.C (openFileWrite): factorize some code

2003-07-26  Angus Leeming  <leeming@lyx.org>

	* lyx_cb.C:
	* lyx_main.[Ch]: replace occurances of system_tempdir with
	os::getTmpDir().

2003-07-25  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* rename Inset to InsetOld

2003-07-25  Asger Alstrup  <alstrup@diku.dk>

	* undo_funcs.h: Removed setCursorParUndo to simplify things a bit.
	Renamed setUndo family to recordUndo. Renamed FINISH to ATOMIC
	which I think is a bit clearer. EDIT is gone, since it was
	premature optimisation, and broken for mathed anyway.
	* undo_funcs.C (performUndoOrRedo): Cleaned up and made it work
	with cursor positioning in insets as well (math insets still do not
	work, but that's a different story anyway.) It mysteriously
	crashes sometimes with undo in the first paragraph, but I'm fairly
	confident that this is a compiler bug.

2003-07-25  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* paragraph.C (Paragraph): adjust for new clone return type
	(operator==): ditto
	(copyIntoMinibuffer): ditto

2003-07-25  Asger Alstrup  <alstrup@lyx.org>

	* undo_funcs.C (textHandleUndo): Fix undo crash in first paragraph
	by not having a special case, and always doing a full rebreak of
	the document after undo.

2003-07-23  Angus Leeming  <leeming@lyx.org>

	* factory.C (createInset): InsetExternal::setParams now takes a
	Buffer const * arg.

2003-07-23  Angus Leeming  <leeming@lyx.org>

	* factory.C (createInset): changed interface to the external and
	graphics mailers' string2params functions.

2003-07-23  Angus Leeming  <leeming@lyx.org>

	* factory.C (createInset): pass a
	Buffer const * parameter to InsetExternalMailer's string2params.

2003-07-22  John Levon  <levon@movementarian.org>

	* Thesaurus.h: include the right aiksaurus header

2003-07-21  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* MenuBackend.C (expand): check menu shortcuts unconditionally

2003-07-21  Angus Leeming  <leeming@lyx.org>

	* factory.C (createInset): pass a
	buffer_path parameter to InsetGraphicsMailer's string2params.

2003-07-21  Angus Leeming  <leeming@lyx.org>

	* BufferView_pimpl.C (buffer):
	* buffer.C (d-tor):
	* lyx_main.C (LyX):
	* lyxfunc.C (dispatch):
	* lyxrc.C (setDefaults, read, output): use namespace lyx::graphics
	rather than the grfx shortcut.

2003-07-21  André Pönitz  <poenitz@gmx.net>

	* rowpainter.C: remove unused variables

	* tabular_funcs.C:
	* tabular_funcs.h: move to tabular.C
	* Makefile.am: adjust

	* tabular.[Ch]: basic optical cleaning

	* author.h: pass references, not values

2003-07-18  André Pönitz  <poenitz@gmx.net>

	* lyxtext.h:
	* metricsinfo.C:
	* metricsinfo.h:
	* rowpainter.C:
	* text.C:
	* text2.C:
	* text3.C: two-phase drawing for InsetText and InsetTabular
	some float -> int changes.

2003-07-18  Alfredo Braunstein  <abraunst@libero.it>

	* lyx_main.C: fix the fix

2003-07-18  Alfredo Braunstein  <abraunst@libero.it>

	* lyx_main.C: fix a crash in batch mode if no files specified
	* converter.C: ws

2003-07-17  Alfredo Braunstein  <abraunst@libero.it>

	* format.[Ch] (papersize): moved to BufferParams
	* converter.[Ch] (dvips_options): moved to BufferParams
	(dvipdfm_options): moved to anon namespace
	* bufferparams.[Ch]: added above functions.

2003-07-17  André Pönitz  <poenitz@gmx.net>

	* lyxtext.h:
	* rowpainter.C:
	* text2.C: don't call inset->update() anymore

	* metricsinfo.[Ch]: add convenience constructor

2003-07-16  André Pönitz  <poenitz@gmx.net>

	* lyxcursor.[Ch]:
	* lyxfunc.[Ch]:
	* text.C:
	* text2.C: replace the LyXCursor::irow_ member with
	 on-demand computation of the value

2003-07-16  John Levon  <levon@movementarian.org>

	* lyxfunc.C: support LFUN_INSET_SETTINGS for Note

2003-07-15  André Pönitz  <poenitz@gmx.net>

	* text.C:
	* text2.C: remove no more needed refresh_row

2003-07-15  André Pönitz  <poenitz@gmx.net>

	* lyxtext.h:
	* rowpainter.C:
	* text2.C:
	* text3.C: refresh_status tristate -> need_update bool

2003-07-15  Alfredo Braunstein  <abraunst@libero.it>

	* lyxtext.h (init): remove reinit argument (act as if always true)
	* text2.C: adjust to that

2003-07-14  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* bufferview_funcs.[Ch]: introduce function replaceSelection()
	* text3.C: use it to delete selections in some cases
	(bugs 441, 673, 702, 954).

2003-07-14  André Pönitz  <poenitz@gmx.net>

	* rowpainter.[Ch]: reduce interface

2003-07-14  André Pönitz  <poenitz@gmx.net>

	* BufferView_pimpl.C:
	* text2.C: adjust after removing unused BufferView * argument

2003-07-14  Alfredo Braunstein  <abraunst@libero.it>

	* text2.C (init): fix a crash fired on resize

2003-07-11  Alfredo Braunstein  <abraunst@libero.it>

	* buffer.[Ch]: added new closing signal
	* BufferView_pimpl.[Ch]: connect/disconnect to new signal
	* lyxfunc.C: removed BufferView::buffer(0) call now handled in
	BufferView::Pimpl via the closing the signal

2003-07-10  Alfredo Braunstein  <abraunst@libero.it>

	* buffer.[Ch]: take out all bv-related from buffer
	* BufferView.C:
	* BufferView_pimpl.[Ch]: connect to new signals
	* CutAndPaste.C: removed useless asserts
	* bufferview_funcs.[Ch] (resizeInsets): moved from buffer
	* lyxvc.[Ch]:
	* vc-backend.[Ch]:
	* lyxfunc.C: moved view-related funciontality from vc here
	* paragraph.C: removed outdated comments
	* text.C: ws

2003-07-10  André Pönitz  <poenitz@gmx.net>

	* BufferView_pimpl.C:
	* tabular.h:
	* tabular_funcs.C:
	* text.C:
	* text2.C: remove InsetText::InnerCache, clean up consequences

2003-07-07  Adrien Rebollo  <adrien.rebollo@gmx.fr>

	* ispell.C: fix two typos in error messages

2003-07-08  Martin Vermeer  <martin.vermeer@hut.fi>

	* Extend Note inset to other forms of annotation like Comment
	and Greyedout. Right button click gives dialog.

	Files modified or added (+):

	* insetnote.[Ch]
	* FormNote.[Ch]      +
	* ControlNote.[Ch]   +
	* form_note.fd       +
	* Makefile.am in frontends/xforms, frontends/xforms/forms,
	frontends/controllers
	* xforms/Dialogs.C
	* factory.C

2003-07-01  Juergen Spitzmueller  <j.spitzmueller@gmx.de>

	* aspell.C: add missing namespace lyx::support

2003-07-07  Alfredo Braunstein  <abraunst@libero.it>

	* BufferView.[Ch] (newFile): Add
	* BufferView_pimpl.[Ch] (newFile, connectBuffer, disconnectBuffer): Add
	* LaTeX.[Ch] (message): added this signal and use it
	* buffer.[Ch] (busy, message): added these signals and use them
	* buffer_funcs.[Ch]: rename parseErrors to bufferErrors
	* converter.C:
	* exporter.C:
	* format.C:
	* importer.C: use buffer signals instead of direct bv calling
	* lyx_cb.[Ch] (ShowMessage): removed
	* lyx_main.C:
	* lyxfunc.C:
	* paragraph_funcs.C:
	* text2.C: use buffer signals

2003-07-04  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* introduce namespace lyx::graphics

2003-07-02  André Pönitz  <poenitz@gmx.net>

	* BufferView_pimpl.C (workAreaDispatch): tell the FuncRequest who we are

2003-07-01  André Pönitz  <poenitz@gmx.net>

	* text.C:
	* text2.C:
	* text3.C:
	* text_funcs.[Ch]:
	* textcursor.h:
	* lyxtext.h: shuffle pure paragraph/cursor related cursor movement from
	  text*.C to text_func.C

2003-07-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* introduce namespace lyx::support

2003-06-30  André Pönitz  <poenitz@gmx.net>

	* Chktex.C:
	* funcrequest.C:
	* lyxtext.h:
	* text.C: re-enable --with-included-string

2003-06-28  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* textcursor.C: add <config.h>

	* text.C (getWord): remove const from word_location arg

	* lyxvc.C (getLogFile): fix const type order

	* lyxtext.h: remove const from word_location arg, add arg name

	* lyxlayout.h: currect type on labeltype.

	* importer.C: correct \file

	* converter.C (intToFormat): use std:: on ret val, ws changes

	* bufferlist.h: correct \file

	* buffer.C (makeLinuxDocFile): fix const type order
	(makeDocBookFile): ditto
	(fillWithBibKeys): use std:: on stdlib args.

	* CutAndPaste.C: fix authors.
	(availableSelections): use std:: on return vector

2003-06-27  André Pönitz  <poenitz@gmx.net>

	* BufferView_pimpl.C:
	* bufferview_funcs.C:
	* lyxcursor.C:
	* lyxcursor.h:
	* lyxfunc.C:
	* lyxtext.h:
	* rowpainter.C:
	* text.C:
	* text2.C:
	* text3.C: remove LyXCursor::row_ member

	* lyxtext.h:
	* text.C: rename fullRebreak() to partialRebreak() and implement
	  a fullRebreak() that really bereks fully

	* textcursor.h: new struct for cursor-related data

2003-06-26  Alfredo Braunstein  <abraunst@lyx.org>

	* lyx_main.C (LyX): get full path of document loaded on the
	command line

2003-06-26  André Pönitz  <poenitz@gmx.net>

	* lyxcursor.[Ch]: move rarely used operator==,!= out of line
	  remove unused/broken operator>,<,>=.

	*	text.C: remove only use of broken operator<= in an Assert().

2003-06-24  Alfredo Braunstein  <abraunst@lyx.org>

	* BufferView.[Ch] (getErrorList): removed unneeded forward declare,
	moved errorlist_.clear to showErrorList

2003-06-24  Alfredo Braunstein  <abraunst@lyx.org>

	* converter.C (scanLog, runLaTeX):
	* buffer.C (makeLinuxDocFile, makeDocBookFile, runChkTeX):
	move the bv->showErrorList call to the callers
	* lyxfunc.C: i.e. here...
	* text2.C: and here
	* BufferView.[Ch] (setErrorList, resetErrorList): both removed
	* exporter.[Ch] (Backends, BufferFormat): the first was moved to anon
	namespace, the second to...
	* buffer_funcs (BufferFormat, parseErrors): added
	* errorlist.C (ErrorList(TeXErrors const &)): removed

2003-06-24  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* ToolbarBackend.C (getIcon): complain when icon cannot be found

2003-06-24  "Garst R. Reese" <reese@isn.net>

	* debug.C: fix typo

2003-06-23  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyx_main.C (init): honor LYX_DIR_14x and LYX_USERDIR_14x

	* version.C.in: change docversion to 1.4

2003-06-22  Alfredo Braunstein  <abraunst@libero.it>

	* buffer.C: fix a bug just introduced

2003-06-21  Alfredo Braunstein  <abraunst@libero.it>

	* buffer.[Ch]: added the parseError signal and use it, removed
	sgmlError
	* BufferView.[Ch] (addError): moved to ...
	* BufferView_pimpl.[Ch] (addError, loadLyXFile): ... here. Attach
	to the Buffer::parseError signal to catch (guess what) parse errors
	* lyx_main.[Ch] (printError,LyX): added gui-less parsing error feedback

2003-06-19  Alfredo Braunstein  <abraunst@libero.it>

	* bufferlist.[Ch] (loadLyXFile, readFile, newFile): removed the
	ability to create a buffer and to return an existing one from
	the list. Moved these functions to...
	* buffer_funcs.[Ch]: added
	* BufferView.[Ch] (loadLyXFile): added
	* BufferView_pimpl.[Ch] (loadLyXFile): Added. Does the guessing
	job removed from bufferlist::loadLyXFile.
	* buffer.C (setReadOnly): make it work without view
	(i.e added an if (users))

2003-06-19  Angus Leeming  <leeming@lyx.org>

	* lfuns.h:
	* LyXAction.C (init):
	* lyxfunc.C (getStatus, dispatch): remove 14 LFUNs, replacing them
	with LFUN_DIALOG_SHOW <name> <data>.

2003-06-19  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* CutAndPaste.C (availableSelections): small compilation fix for
	ancient (gcc 2.9x) compilers

2003-06-18  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text3.C (cursorNext): add tmp var

	* text2.C (updateCounters): for function calling out of for clause
	(replaceSelectionWithString): ditto
	(insertStringAsParagraphs): ditto
	(getColumnNearX): add tmp var
	(setCursorFromCoordinates): add tmp var
	(cursorDownParagraph): add tmp var
	(deleteEmptyParagraphMechanism): add tmp var

	* text.C (insertChar): add tmp var

	* rowpainter.C (paintDepthBar): add tmp var

	* CutAndPaste.C (availableSelections): potentially check all
	paragraphs in a cut to fill the shown strings.

2003-06-18  André Pönitz  <poenitz@gmx.net>

	* kbmap.[Ch]: use vector<> instead of list<>

2003-06-17  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* text3.C (dispatch): handle arg to LFUN_PASTE, call
	pasteSelection with index

	* text2.C (pasteSelection): modify, call pasteSelection with index

	* paragraph.C (asString): reimplement version with no interval to
	call the one with interval.

	* lyxtext.h: add index arg to pasteSelection

	* MenuBackend.C (MenuItem): handle PasteRecent
	(Menu::read::Menutags): add md_pasterecent
	(read): handle it
	(expandPasteRecent): new function
	(expand): use it

	* MenuBackend.h: add PasteRecent to MenuItem::Kind

	* CutAndPaste.C: get rid of some stale comments. Add typdefe for
	the limited stack
	(availableSelections): new function

2003-06-17  Angus Leeming  <leeming@lyx.org>

	* lyxfunc.C (dispatch): s/showMathPanel/show("mathpanel")/

2003-06-17  Angus Leeming  <leeming@lyx.org>

	* lfuns.h:
	* LyXAction.C (init): new LFUN_DIALOG_SHOW.

	* lyxfunc.C (dispatch): invoke it.

2003-06-16  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* iterators.C (operator++, ParPosition): reintroduce some
	const_cast for the benefit of older compilers.

2003-06-13  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* text3.C (dispatch): do not modify clipboard when doing
	LFUN_BACKSPACE, LFUN_BACKSPACE_SKIP, LFUN_DELETE or
	LFUN_DELETE_SKIP on a selection selection

2003-06-16  André Pönitz  <poenitz@gmx.net>

	* BufferView.C:
	* buffer.C:
	* buffer.h:
	* paragraph.C:
	* tabular.[Ch]: IU of clone() and getLabelList();

2003-06-13  André Pönitz  <poenitz@gmx.net>

	* tabular.h: compactification

2003-06-12  André Pönitz  <poenitz@gmx.net>

	* tabular.C:
	* tabular.h:
	* tabular_funcs.h: some renaming plus whitespace

2003-06-12  André Pönitz  <poenitz@gmx.net>

	* BufferView.C:
	* BufferView_pimpl.C:
	* CutAndPaste.C:
	* buffer.C:
	* iterators.[Ch]:
	* lyxfunc.C:
	* text.C:
	* toc.C: Return a Paragraph & for ParIterator::operator*()

2003-06-11  John Levon  <levon@movementarian.org>

	* lyx_main.C:
	* ToolbarBackend.h:
	* ToolbarBackend.C: add "Toolbars" section and
	put the flags there

2003-06-10  Angus Leeming  <leeming@lyx.org>

	* lfuns.h:
	* LyXAction.C (init): new LFUN_EXTERNAL_EDIT.

	* lyxfunc.C (dispatch): invoke it.

2003-06-11  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* main.C: protect <ios> with HAVE_IOS
	(main): protect sync_with_stdio with HAVE_IOS

2003-06-10  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* text2.C (cutSelection): adjust
	(pasteSelection): adjust

	* messages.C: handle get of empty string

	* main.C (main): use sync_with_stdio(false)

	* lyxfunc.C (dispatch): adjust

	* lyx_cb.[Ch] (MenuWrite): remove unneeded BufferView arg
	(WriteAs): remove unneeded BufferView arg.

	* bufferparams.h: use correct types on papersize, papersize2 and
	paperpackage.

	* bufferparams.C (readToken): adjust for type
	(writeLaTeX): add missing cases to switch.

	* bufferlist.C (quitWriteBuffer): adjust
	(close): adjust

	* buffer.C (asciiParagraph): remove some commented code.

	* CutAndPaste.C: remove current_view extern variable.
	(cutSelection): add BufferParams arg.
	(eraseSelection): add BufferParams arg.
	(pasteSelection): add Buffer const & arg

2003-06-07  John Levon  <levon@movementarian.org>

	* buffer.C:
	* paragraph_funcs.C:
	* paragraph_pimpl.C:
	* text.C:
	* text2.C:
	* paragraph.h:
	* paragraph.C: allow InsetERT to freely space lines,
	and some consolidation of code

2003-06-06  José Matos  <jamatos@fep.up.pt>

	* buffer.C (makeDocBookFile): fix bug #821

2003-06-06  Alfredo Braunstein  <abraunst@libero.it>

	* BufferView_pimpl.C (dispatch): use Dialogs::visible

2003-06-04  Angus Leeming  <leeming@lyx.org>

	* buffer.C: bump format to 224.

2003-06-05  André Pönitz  <poenitz@gmx.net>

	* text2.C (redoParagraphs): remove two const_cast<>

2003-06-04  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* ParagraphList.h: remove last remnants of NO_STD_LIST

2003-06-03  Angus Leeming  <leeming@lyx.org>

	* factory.C (createInset): small change to the way InsetExternal's params
	are set.

2003-06-04  André Pönitz  <poenitz@gmx.net>

	* buffer.h: use Undo directly instead of shared_ptr<Undo>

	* paragraph_pimpl.h:
	* paragraph.[Ch]: some Inset -> UpdatableInset changes

	* undo.[Ch]: use ParagraphList instead of vector<Paragraph>

	* undo_funcs.C: make some simple cases of undo work again

2003-06-03  John Levon  <levon@movementarian.org>

	* ispell.C: HPUX doesn't have sys/select.h
	(from Albert Chin)

2003-06-03  John Levon  <levon@movementarian.org>

	* CutAndPaste.C: update tabular and include inset
	buffer references

	* buffer.h:
	* paragraph.h:
	* paragraph.C: remove owningBuffer(), don't pass Buffer
	to clone()

	* factory.C: insetGraphicsParams changed

2003-06-02  John Levon  <levon@movementarian.org>

	* LyXAction.C:
	* factory.C:
	* lfuns.h:
	* lyxfunc.C:
	* text3.C: remove insetparent

2003-06-02  John Levon  <levon@movementarian.org>

	* buffer.h:
	* buffer.C: fix inset_iterator.end(), move out of line
	(bug 1149)

2003-06-01  John Levon  <levon@movementarian.org>

	* text3.C: use a proper cut/paste when doing inset
	insert (from Jürgen Spitzmüller)

2003-06-01  John Levon  <levon@movementarian.org>

	* factory.C: accept "\bibtex" not "\BibTeX" (bug 1018)

2003-05-30  André Pönitz  <poenitz@gmx.net>

	* rowpainter.C: unify second drawing phase

2003-05-29  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* trans_mgr.C: remove one case of current_view

	* text2.C (cursorBottom): delete NO_STD_LIST stuff

	* paragraph_funcs.h: remove paragraph.h include

	* paragraph.h: delete NO_STD_LIST stuff

	* paragraph.C (Paragraph): delete NO_STD_LIST stuff

	* buffer.h: remove paragraph.h include

	* ParagraphList.C: delete file

	* Makefile.am (lyx_SOURCES): remove ParagraphList.C

	* toc.C (getTocList): adjust

	* paragraph_pimpl.C (validate): adjust

	* paragraph_funcs.C (optArgInset): use const_iterator, adjust

	* paragraph.C (Paragraph): adjust
	(getPositionOfInset): use const_iterator, adjust
	(bibitem): use const_iterator, adjust
	(setInsetOwner): adjust

	* iterators.C (operator++): adjust

	* InsetList.[Ch]: Replace selfmade iterator with standard
	vector::iterator also introduce const_iterator. Remove getPos,
	getInset and setInset from InsetTable. Adjust accordingly.

	* BufferView.C (lockInset): adjust
	(ChangeInsets): adjust

	* tabular.[Ch]: delete commented same_id functions

2003-05-28  John Levon  <levon@movementarian.org>

	* lyxfunc.C: fix LFUN_ESCAPE (bug 1055)

2003-05-28  André Pönitz  <poenitz@gmx.net>

	* metricsinfo.[Ch]: remove 'fullredraw' member

2003-05-28  Lars Gullik Bjønnes  <larsbj@lyx.org>

	* lyxtextclass.C (operator): remove caching.

2003-05-27  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text3.C: adjust

	* text2.C (cursorBottom): adjust
	(setCounter): use ParagraphList::find, adjust

	* text.C (workWidth): use ParagraphList::find, adjust

	* lyxcursor.C (LyXCursor): adjust

	* buffer.C (inset_iterator): adjust

	* ParagraphList.h: make iterator(value_type) private, make
	ParagraphList a friend of iterator.

	* ParagraphList.C (find): new function

	* BufferView_pimpl.C (resizeCurrentBuffer): adjust

2003-05-27  André Pönitz  <poenitz@gmx.net>

	* dimension.[Ch]: a -> asc, d -> des, w -> wid

2003-05-27  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* lyxfont.C (latexWriteStartChanges): fix character count for \noun

2003-05-26  John Levon  <levon@movementarian.org>

	* LyXAction.C: LFUN_ESCAPE should be ReadOnly

2003-05-26  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* remove same_id from function signatures, adjust.

2003-05-25  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* undo_funcs.C (createUndo): use the id functions directly, adjust.

	* paragraph_pimpl.C (Pimpl): get rid of same_ids parameter

	* paragraph.C (Paragraph): get rid of same_ids parameter

	* ParagraphList.C (insert): adjust
	(push_back): adjust

2003-05-24  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* paragraph_funcs.C (breakParagraph): adjust
	(breakParagraphConservative): adjust

	* buffer.C (readParagraph): adjust

	* ParagraphList.C (insert): take a reference instead of a pointer
	(insert): adjust

	* paragraph.[Ch] (id): new function

	* bufferlist.C (newFile): adjust

	* ParagraphList.C (ParagraphList): adjust
	(assign): adjust
	(push_back): take a reference instead of a pointer.

	* paragraph.h: add NO_STD_LIST define, remove NO_NEXT define.

	* paragraph.C: remove all NO_NEXT node add some NO_STD_LIST parts
	instead.

	* ParagraphList.h: degenerate to std::list if NO_STD_LIST is not
	set else use old code.

	* ParagraphList.C: remove all NO_NEXT code and only compile this
	code of NO_STD_LIST is set.

2003-05-23  Alfredo Braunstein  <abraunst@libero.it>

	* BufferView_pimpl.C:
	* TextCache.C:
	* TextCache.h:
	* bufferlist.C:
	* errorlist.h:
	* format.C:
	* format.h:
	* graph.C:
	* lyxfunc.C:
	* lyxrc.C:
	* graphics/GraphicsConverter.C:
	* graphics/PreviewLoader.C: header adjustment

2003-05-23  Angus Leeming  <leeming@lyx.org>

	* LaTeXFeatures.[Ch] (useBabel): new method.
	* bufferparams.C (writeLaTeX): use it.

2003-05-23  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* ParagraphList.h (set): remove unused function.

2003-05-23  André Pönitz  <poenitz@gmx.net>

	* BufferView.C:
	* BufferView_pimpl.C:
	* buffer.C:
	* buffer.h:
	* lyxfunc.C:
	* undo_funcs.C: setUndo reworked

	* iterators.[Ch]: add access to topmost ParagraphList

	* lyxtext.[Ch] (workWidth): add a const

2003-05-23  Alfredo Braunstein  <abraunst@libero.it>

	* texrow.[Ch] (increasePos): remove function
	* exporter.C (export): removed unused var and outdated comment

2003-05-23  Angus Leeming  <leeming@lyx.org>

	* latexrunparams.h: rename fragile as moving_arg.
	* paragraph.C (simpleTeXOnePar): ditto.
	* paragraph_pimpl.C (simpleTeXSpecialChars): ditto.

2003-05-23  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* undo_funcs.C (textHandleUndo): comment out next/previous stuff
	(createUndo): ditto
	(textUndoOrRedo): comment out a currently unused var.

	* paragraph.h (NO_NEXT): enable NO_NEXT

	* lyxfunc.C (dispatch): remove LFUN_REMOVEERRORS

	* lfuns.h: remove LFUN_REMOVEERRORS and adjust lfun numbers.

	* exporter.C (Export): adjust for removeAutoInsets removal.

	* buffer.C (runChktex): adjust for removeAutoInsets removal.

	* LyXAction.C (init): remove LFUN_REMOVEERRORS

	* BufferView.[Ch] (removeAutoInsets): delete function

2003-05-22  Angus Leeming  <leeming@lyx.org>

	* latexrunparams.h: add a free_spacing variable.

	* paragraph.[Ch] (simpleTeXOnePar): further fragile clean-up; no need
	to pass moving_arg, as the data is stored in runparams.fragile.

	* paragraph_funcs.C (TeXOnePar): no longer pass free_spacing arg
	to Inset::latexOptional or to simpleTeXOnePar.

	* paragraph_pimpl.C (simpleTeXSpecialChars): no longer pass
	free_spacing arg to Inset::latexOptional.

	* tabular.[Ch] (TeXLongtableHeaderFooter, TeXRow): no longer have
	free_spacing arg.

2003-05-22  Angus Leeming  <leeming@lyx.org>

	* latexrunparams.h: add fragile and use_babel variables.

	* bufferparams.[Ch] (writeLaTeX): return use_babel.
	* buffer.C (makeLaTeXFile): store this returned value in
	runparams.use_babel, thus passing it to the inset::latex methods.

	* paragraph.C (simpleTeXOnePar): no need to pass 'moving_arg' to
	simpleTeXSpecialChars as it is now stored in runparams.fragile.

	* paragraph_funcs.[Ch] (TeXOnePar, latexParagraphs): TeXOnePar no
	longer has a fragile arg, as it is stored in runparams.fragile.

	* paragraph_pimpl.[Ch] (simpleTeXSpecialChars): no longer has a
	moving_arg parameter as the data is stored in runparams.fragile.

	* tabular.[Ch] (TeXLongtableHeaderFooter, TeXRow): no longer have
	a fragile parameter as the data is stored in runparams.fragile.

2003-05-22  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* paragraph.C (Paragraph): initialize next_par_ and prev_par_

2003-05-22  Angus Leeming  <leeming@lyx.org>

	* latexrunparams.h: add a 'bool nice' which defaults to false.

	* buffer.[Ch] (makeLaTeXFile): remove the nice parameter as it is
	now encapsulated within runparams.

	* bufferlist.C (updateIncludedTeXfiles):
	* exporter.C (Export): ensuing change to the calls to makeLaTeXFile.

2003-05-22  Angus Leeming  <leeming@lyx.org>

	* latexrunparams.h: new file containing struct LatexRunParams.
	* Makefile.am: add new file.

	* LaTeX.[Ch] (c-tor, run):
	* buffer.[Ch] (makeLaTeXFile):
	* bufferlist.[Ch] (updateIncludedTeXfiles):
	* converter.C (convert, scanLog):
	* converter.[Ch] (runLaTeX):
	* exporter.C (Export):
	* paragraph.[Ch] (simpleTeXOnePar):
	* paragraph_funcs.C (TeXEnvironment, TeXOnePar, TeXDeeper):
	* paragraph_funcs.[Ch] (latexParagraphs):
	* paragraph_pimpl.[Ch] (simpleTeXSpecialChars):
	* tabular.[Ch] (TeXLongtableHeaderFooter, TeXRow, latex):
	pass around a LatexRunParams parameter.

2003-05-22  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* paragraph.[Ch]: remove unused constructor

	* ParagraphList.C (erase): new function, taking two iterators

2003-05-22  André Pönitz  <poenitz@gmx.net>

	* undo_funcs.C: remove duplicated code

	* iterator.[Ch]: operator=

2003-05-22  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* tabular.C (SetMultiColumn): ws changes

	* rowpainter.C (paintFirst): get rid of a ->previous

	* lyx_cb.C (getPossibleLabel): parlist simplification

	* BufferView.C (ChangeInsets): simplify slightly.

2003-05-20  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* LyXAction.C: new lfun space-insert, kill protected-space-insert
	* lfuns.h: new LFUN_SPACE
	* lyxfunc.C: protected space has a new lfun
	* paragraph_funcs.C: read new space insets
	* text3.C:
	* factory.C: handle new space insets

2003-05-22  André Pönitz  <poenitz@gmx.net>

	* BufferView.C:
	* BufferView_pimpl.C:
	* buffer.[Ch]:
	* lyxfunc.C:
	* undo_funcs.C: return a ParIterator from getParFromID.

	* iterators.[Ch]: add two const's

2003-05-21  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* toc.C (getTocList): adjust

	* iterators.[Ch]: rework for parlist

	* buffer.C (par_iterator_begin): adjust
	(par_iterator_end): adjust

	* CutAndPaste.C (SwitchLayoutsBetweenClasses): adjust

	* BufferView.C (removeAutoInsets): adjust
	(ChangeInsets): adjust

2003-05-21  Alfredo Braunstein  <abraunst@libero.it>

	* text.C (top_y): fix bug 1110

2003-05-08  Alfredo Braunstein  <abraunst@libero.it>

	* errorlist.[Ch]: added
	* buffer.C:
	* BufferView.[Ch]:
	* BufferView_pimpl.C:
	* CutAndPaste.[Ch]: get rid of InsetError users, use ErrorList
	instead

2003-05-08  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Makefile.am: ensure that lyx is relinked upon changes to the
	various "convenience" libs.

2003-05-20  Angus Leeming  <leeming@lyx.org>

	* Makefile.am (lyx_SOURCES): move format.[Ch] and graph.[Ch] so that
	files are compiled in alphabetical order again.

	* gettext.h: #ifndef _GETTEXT_H_ -> #ifndef GETTEXT_H.

2003-05-19  Angus Leeming  <leeming@lyx.org>

	* gettext.[Ch]: remove "char const * _(char const *)".

2003-05-19  André Pönitz  <poenitz@gmx.net>

	* dimension.[Ch]: promote from mathed/dimension.[Ch]

	* Makefile.am:
	* BufferView.C:
	* DepTable.h:
	* LaTeXFeatures.C:
	* buffer.C:
	* lyxfont.C:
	* lyxlex.h:
	* paragraph_funcs.C: dimensions() instead of ascend/descend/width

2003-05-19  André Pönitz  <poenitz@gmx.net>

	* buffer.C:
	* lyxlayout.[Ch]:
	* lyxtextclass.[Ch]:
	* paragraph.C:
	* paragraph_funcs.[Ch]:
	* text2.C:
	* text3.C: more insetenv work

2003-05-16  Alfredo Braunstein  <abraunst@libero.it>

	* ParagraphParameters.C (params2string): small bug fixed

2003-05-16  André Pönitz  <poenitz@gmx.net>

	* debug.C:
	* bufferview_funcs.C: patch from Kornel Benko to prevent
	  crash when _(...) is called twice in a statement

2003-05-16  André Pönitz  <poenitz@gmx.net>

	* BufferView.C:
	* lyxfunc.C:
	* text.C:
	* text2.C:
	* text3.C:
	* undo_funcs.C: edit() -> LFUN_INSET_EDIT

2003-05-14  Alfredo Braunstein  <abraunst@libero.it>

	* lyx_main.C (init): remove spurious static_cast

2003-05-14  André Pönitz  <poenitz@gmx.net>

	* BufferView.C: fix format string

2003-05-12  Alfredo Braunstein  <abraunst@libero.it>

	* BufferView.[Ch] (insertErrors): removed
	* BufferView.[Ch] (showErrorList): added
	* buffer.C (runChkTeX):
	* converter.C (scanLog): call showErrorList instead of inserterrors

2003-05-13  André Pönitz  <poenitz@gmx.net>

	* BufferView_pimpl.C:
	* buffer.C:
	* bufferview_func.C:
	* MenuBackend.C:
	* lyxfunc.C:
	* lyxrc.C:
	* tex-accent.C:
	* text3.C:
	* toc.C:
	* tabular_funcs.h: tostr() from its own header

	* ParagraphParameters.C:
	* ToolbarBackend.C:
	* bufferparams.C:
	* format.C:
	* lyxlex_pimpl.C:
	* text3.C: STRCONV()

2003-05-12  André Pönitz  <poenitz@gmx.net>

	* BufferView.C:
	* BufferView_pimpl.C:
	* CutAndPaste.C:
	* LaTeX.C:
	* LaTeXFeatures.C:
	* ParagraphParameters.C:
	* buffer.C:
	* bufferlist.C:
	* bufferparams.C:
	* bufferview_funcs.C:
	* converter.C:
	* counters.C:
	* debug.C:
	* exporter.C:
	* format.C:
	* importer.C:
	* lyx_cb.C:
	* lyx_main.C:
	* lyxfont.C:
	* lyxfunc.C:
	* lyxvc.C:
	* paragraph.C:
	* paragraph_funcs.C:
	* tabular.C:
	* tabular_funcs.C:
	* text2.C:
	* text3.C:  boost::format -> bformat  all over the place


2003-05-09  André Pönitz  <poenitz@gmx.net>

	* LColor.[Ch]: Pimpl the #include <map> away

2003-05-09  John Levon  <levon@movementarian.org>

	* bufferlist.C: never remove emergency saves

2003-05-08  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* Makefile.am: better lib building

2003-05-07  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* texrow.[Ch]: remove dependency on Paragraph and just store a id
	instead.
	* paragraph_pimpl.C (simpleTeXBlanks): adjust
	(simpleTeXSpecialChars): adjust
	(simpleTeXSpecialChars): adjust
	* paragraph.C (simpleTeXOnePar): adjust
	* buffer.C (makeLaTeXFile): adjust

	* Makefile.am (BOOST_LIBS): allow boost as system lib.

	* text2.C (changeDepth): parlist cleanup
	(getColumnNearX): ditto

	* rowpainter.C (getLabelFont): parlist cleanup

	* bufferlist.C (newFile): parlist cleanup

	* CutAndPaste.C (eraseSelection): parlist cleanup

	* BufferView_pimpl.C (trackChanges): parlist cleanup
	(dispatch): ditto

	* BufferView.C (lockInset): parlist cleanup.
	(ChangeInsets): ditto

2003-05-06  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* CutAndPaste.h: Update file header.

	* CutAndPaste.C: Update file header.
	Store the parts cut out of the Document in a limited_stack.
	(copySelection): adjust
	(pasteSelection): new function, takes the index in the limited stack.
	(nrOfParagraphs): adjust
	(SwitchLayoutsBetweenClasses): Change to take a ParagraphList&,
	simplify error inset insertion.
	(checkPastePossible): adjust

2003-05-06  John Levon  <levon@movementarian.org>

	* text2.C: don't cast wrap inset to float

2003-05-05  André Pönitz  <poenitz@gmx.net>

	* iterator.C:
	* undo_funcs.C: use getParagraphs() instead of getFirstParagraph()

	* buffer.[Ch]: new function hasParWithId() to help to get rid of a
	  few naked Paragraph *.

2003-05-02  Michael Schmitt  <michael.schmitt@teststep.org>

	* bufferparams.C: Output warning if a document with missing
	TeX document class is loaded
	* exporter.C: Disable TeX exports if the document class is missing
	* lyxtextclass.C:
	* lyxtextclass.h:
	* lyxtextclasslist.C: Handle new textclass.lst format; new method
	isTeXClassAvailable()

2003-05-03  John Levon  <levon@movementarian.org>

	* BufferView.h:
	* BufferView.C: remove showLockedInsetCursor(), showCursor(),
	explicit cursor show/hide

	* BufferView_pimpl.h:
	* BufferView_pimpl.C: hide cursor before dispatching. Show cursor
	after a cursor move lfun. Simplify cursorToggle(). Remove show/hideCursor().

	* lyxfunc.C: hide cursor before dispatching.

	* lyx_cb.C:
	* lyxfind.C:
	* text.C:
	* text3.C: remove explicit cursor hides

2003-05-02  André Pönitz  <poenitz@gmx.net>

	* buffer.[Ch]: two instances of Paragraph * -> ParagraphList::iterator

	* undo_funcs.C:
	* undo.[Ch]: rely on std::vector<Paragraph *> instead of manually
	  linked lists

	* text2.C: tiny whitespace

2003-05-02  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* undo_funcs.C: almost only ws changes.

	* ParagraphList.C (splice): just return if pl is empty.

2003-05-02  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* ParagraphList.C (splice): new function.

	* CutAndPaste.C (pasteSelection): use it

2003-05-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* CutAndPaste.C (pasteSelection): remove the last next and
	previous from this file.

2003-05-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* CutAndPaste.C (pasteSelection): more clean up, user proper
	ParagraphList functions for pasteing.

	* ParagraphList.C (insert): new function, three arg insert

2003-05-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* ParagraphList.C (insert): new function, three arg insert

	* CutAndPaste.C (pasteSelection): work on the simple_cut_clone,
	not on paragraphs.

2003-05-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* CutAndPaste.C (pasteSelection): copy paragraphlist the nice way.

2003-05-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* CutAndPaste.C (pasteSelection): remove some unneeded code.

2003-05-01  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* CutAndPaste.C (resetOwnerAndChanges): new helper functor
	(copySelection): clean up a bit.
	(pasteSelection): use make_pair

	* ParagraphList.C (ParagraphList): implement copy constructor
	(operator=): implement, base on copy constructor.
	(assign): new func

	* paragraph.C (erase): return a bool

	* paragraph_pimpl.C (erasePos): remove function, move contents...
	(erase): ... here. Return a bool.
	(erase): call erase instead of erasePos.

2003-04-30  Alfredo Braunstein  <abraunst@libero.it>

	* ParagraphList.h: define PitPosPair
	* CutAndPaste.C (copySelection, pasteSelection): big rework, use
	ParagraphList, fix a bug on pasting multiple pars
	* text2.C: change interface to C&P

2003-04-30  André Pönitz  <poenitz@gmx.net>

	* undo_func.C: revert part of yesterday's patch 2

2003-04-30  John Levon  <levon@movementarian.org>

	* LColor.C: s/tabular/table/

2003-04-30  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* text3.C (dispatch): do not convert iterator -> pointer
	* undo_funcs.C (setCursorParUndo): ditto
	* text_funcs.C (transposeChars): ditto

	* text2.C (setLayout): ws changes only

	* text.C (breakParagraph): do not convert iterator -> pointer
	(insertChar): ditto
	(acceptChange): ditto
	(rejectChange): ditto
	(changeCase): ditto
	(Delete): ditto
	(backspace): ditto

	* BufferView.C (lockedInsetStoreUndo): do not convert iterator ->
	pointer

2003-04-29  Alfredo Braunstein  <abraunst@libero.it>

	* text3.C (gotoInset): YABG (yet another bad getChar)

2003-04-29  André Pönitz  <poenitz@gmx.net>

	* paragraph.h: make operator= private unimplemented as long as
	  it is unusable

	* ParagraphList.C: whitespace

	* paragraph.[Ch]:
	* paragraph_pimpl.[Ch]:
	* paragraph_funcs.C:
	* CutAndPaste.C:
	* undo_funcs.C: whitespace + Paragraph *  -> Paragraph (const) &

	* text2.C:
	  undo_funcs.[Ch]: Paragraph * -> ParagraphList::iterator

2003-04-29  Alfredo Braunstein  <abraunst@libero.it>

	* CutAndPaste.[Ch] (cutSelection): big rework, some bugs fixed
	* paragraph.[Ch] (erase):
	* paragraph_pimpl.[Ch] (erase): change return type and value
	* text2.C (cutSelection): some rework

2003-04-28  John Levon  <levon@movementarian.org>

	* bufferlist.C: changes for unsaved changes dialog

2003-04-28  Lars Gullik Bjønnes  <larsbj@gullik.net>

	* bufferlist.C (newFile): set language (messages_) for new
	documents also.

	* buffer.C (readFile): ws changes only.

2003-04-28  André Pönitz  <poenitz@gmx.net>

	* undo_funcs.C:
	* lyxfunc.C:
	* buffer.[Ch]:
	* BufferView_pimpl.C:
	* BufferView.C: getParFromID related ParagraphList::iterator changes

2003-04-28  André Pönitz  <poenitz@gmx.net>

	* tabular.[Ch]: part of Lars' Paragraph * -> ParagraphList::iterator
